2009-01-06 11:53  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2009-01-06 00:14  jannis

	* ChangeLog, NEWS, po/ChangeLog, po/am.po, po/ar.po, po/be.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po,
	  po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hu.po, po/hy.po, po/id.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/ku.po, po/libxfcegui4.pot, po/lt.po,
	  po/lv.po, po/mk.po, po/mr.po, po/nb_NO.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/si.po,
	  po/sk.po, po/sq.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po,
	  po/ur.po, po/zh_CN.po, po/zh_TW.po:
	  * NEWS: Update NEWS. * libxfcegui4.pot, *.po: Update translation
	  files, merge new strings.

2009-01-05 23:58  jannis

	* ChangeLog, libxfce4kbd-private/xfce-shortcut-dialog.c,
	  libxfce4kbd-private/xfce-shortcuts.c:
	  * libxfce4kbd-private/xfce-shortcut-dialog.c,
	  libxfce4kbd-private/xfce-shortcuts.c: Review strings and improve
	  the
	  layout of the shortcut dialog a tiny bit (the latter being
	  slightly
	  evil since we're in feature freeze).

2009-01-05 23:58  jannis

	* ChangeLog, libxfce4kbd-private/xfce-shortcut-dialog.c:
	  * libxfce4kbd-private/xfce-shortcut-dialog.c: Fix indentation in
	  several places.

2009-01-03 12:23  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-12-30 09:15  sas

	* po/hu.po:
	  [intl:hu] little updates

2008-12-25 19:19  maximilian

	* po/ChangeLog, po/gl.po, po/zh_CN.po:
	  Translations updates - gl id ja uk zh_CN

2008-12-11 09:23  olivier

	* ChangeLog, libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Reorder to avoid reuse of existing shortcuts.
	  * libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:

2008-12-11 09:17  olivier

	* ChangeLog, libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  * libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Alt-F9 is hide, not shade.

2008-12-09 23:22  eulex

	* po/ChangeLog, po/sv.po:
	  * sv.po: Swedish translation update (Daniel Nylander)
	  
	  
	  
	  
	  
	  
	  * sv.po: Swedish translation update (Daniel Nylander)
	  
	  
	  * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
	  
	  
	  
	  * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
	  
	  
	  
	  * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
	  
	  * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  * sv.po: Swedish translation update (Daniel Nylander)
	  
	  * sv.po: Swedish translation update (Daniel Nylander)
	  
	  
	  
	  * sv.po: Swedish translation update (Daniel Nylander)
	  

2008-11-29 23:00  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - fr

2008-11-25 21:20  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - es fr

2008-11-25 21:02  lars

	* po/ChangeLog, po/da.po:
	  update-po

2008-11-23 14:47  maximilian

	* po/ChangeLog, po/ja.po:
	  Translations updates - ca ja nb uk

2008-11-22 10:49  nick

	* libxfcegui4/dialogs.c:
	  * Revert previous commit and use g_markup_escape_text().

2008-11-21 11:55  nick

	* libxfcegui4/dialogs.c:
	  * Move xfce_message_dialog_new_valist from libxfce4ui
	  to libxfcegui4. This should fix problems with 'wrong'
	  markup in the secondary text (caused by using
	  error->message).
	  * Replace tabs with spaces.

2008-11-21 11:41  nick

	* libxfcegui4/netk-screen.c, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-xutils.c,
	  libxfcegui4/xfce_clock.c:
	  * Fix some compile warnings.

2008-11-18 22:45  maximilian

	* po/ChangeLog, po/nb_NO.po, po/sq.po:
	  Translations updates for - de, id, ja, nb_NO and finally sq

2008-11-17 22:53  nab

	* po/ChangeLog, po/be.po:
	  Belarusian translation update

2008-11-16 22:39  maximilian

	* po/ChangeLog, po/uk.po:
	  Translations updates and additions - ca, de, es, id, tr, uk

2008-11-15 20:52  erenturkay

	* po/ChangeLog, po/tr.po:
	  Turkish translation update

2008-11-10 05:53  stephan

	* ChangeLog, NEWS, configure.in.in,
	  libxfce4kbd-private/Makefile.am:
	  Update NEWS. ChangeLog and version-number
	  Fix make distcheck

2008-11-09 23:57  maximilian

	* po/ChangeLog, po/ca.po, po/ja.po:
	  Translation updates

2008-11-09 18:29  olivier

	* libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Keep in alphabetic order

2008-11-09 10:44  olivier

	* libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Add cycle_reverse_windows_key

2008-11-06 17:53  piarres

	* po/eu.po:
	  Trunk Basqye translation updates

2008-11-04 13:34  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-11-02 23:38  maximilian

	* po/ChangeLog, po/de.po, po/es.po:
	  Translation updates and additions - de es ku tr

2008-11-02 18:43  sas

	* po/hu.po:
	  [intl:hu] test

2008-11-01 23:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/ku.po:
	  Translations udpates in Kurdish, also unfinished French, too lazy
	  to take them out of the commit tonight

2008-11-01 19:53  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-01 11:08  jannis

	* libxfce4kbd-private/xfce-shortcut-dialog.c,
	  libxfce4kbd-private/xfce-shortcut-dialog.h,
	  libxfce4kbd-private/xfce-shortcuts-grabber.c,
	  libxfce4kbd-private/xfce-shortcuts-grabber.h,
	  libxfce4kbd-private/xfce-shortcuts-provider.c,
	  libxfce4kbd-private/xfce-shortcuts-provider.h,
	  libxfce4kbd-private/xfce-shortcuts.c,
	  libxfce4kbd-private/xfce-shortcuts.h:
	  Use LGPL everywhere. Update FSF address.

2008-11-01 05:14  jannis

	* libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Fix channel name and property structure in the settings XML file.

2008-10-31 21:47  olivier

	* libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Populate keyboard defaults

2008-10-31 14:59  jannis

	* libxfce4kbd-private/Makefile.am,
	  libxfce4kbd-private/xfce4-keyboard-shortcuts.xml:
	  Install xfce4-keyboard-shortcuts.xml with defaults to the global
	  xfconf
	  settings directory. This file already contains two example
	  shortcuts for
	  both, commands and xfwm4.

2008-10-30 17:52  maximilian

	* po/ChangeLog, po/id.po:
	  Translations updates - id

2008-10-30 11:10  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-30 09:56  piarres

	* po/ChangeLog, po/eu.po:
	  libxfcegui4 Basque translation update

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/sq.po:
	  Translations updates and additions HUGE

2008-10-28 23:16  jannis

	* libxfce4kbd-private/libxfce4kbd-private-1.0.pc.in:
	  Add missing libxfce4kbd-private-1.0.pc.in.

2008-10-28 22:12  jannis

	* Makefile.am, configure.in.in, libxfce4kbd-private,
	  libxfce4kbd-private/Makefile.am,
	  libxfce4kbd-private/xfce-shortcut-dialog.c,
	  libxfce4kbd-private/xfce-shortcut-dialog.h,
	  libxfce4kbd-private/xfce-shortcuts-grabber.c,
	  libxfce4kbd-private/xfce-shortcuts-grabber.h,
	  libxfce4kbd-private/xfce-shortcuts-provider.c,
	  libxfce4kbd-private/xfce-shortcuts-provider.h,
	  libxfce4kbd-private/xfce-shortcuts.c,
	  libxfce4kbd-private/xfce-shortcuts.h, po/ChangeLog,
	  po/POTFILES.in, po/am.po, po/ar.po, po/be.po, po/bn_IN.po,
	  po/ca.po, po/cs.po, po/cy.po, po/da.po, po/de.po, po/dz.po,
	  po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hu.po, po/hy.po, po/id.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/libxfcegui4.pot, po/lt.po, po/lv.po, po/mk.po,
	  po/mr.po, po/nb_NO.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/pt_PT.po, po/ro.po, po/ru.po, po/si.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/ur.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Add libxfce4kbd-private library. This library is to be used by
	  Xfce core
	  applications only. It contains shortcuts related code for
	  xfce4-settings
	  and xfwm4. It's built by default and requires xfconf. People who
	  don't
	  want it can turn it of with --disable-keyboard-library.
	  Update translation files.

2008-10-23 08:10  stephan

	* libxfcegui4/dialogs.c:
	  Fix format-string vulnerabilities in 'message_dialog' and
	  'xfce_confirm'.

2008-10-20 20:41  maximilian

	* po/ChangeLog, po/de.po:
	  Translation updates for many packages in many languages, is this
	  message too vague

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/nb_NO.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-17 12:57  olivier

	* configure.in.in:
	  Need to identify the exact version for dependency with other
	  modules because the previous implementation was abort()-ing

2008-10-17 12:53  olivier

	* configure.in.in, libxfcegui4/session-client.c:
	  Add support for setting session properties after the connection
	  was established with the session manager (required to be able to
	  change restart style)

2008-10-12 22:16  stephan

	* configure.in.in:
	  Update version number

2008-10-11 22:01  lars

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/es.po, po/et.po, po/ru.po, po/si.po:
	  Updated and added Estonian translations for the libxfcegui4,
	  terminal and mousepad trunk modules and libxfce4util branch 4.4
	  module
	  Updated Indonesian translations for the xfce-utils, xfce4-mixer,
	  xarchiver, xfwm4, xfcalendar and xfdesktop trunk modules
	  Updated and added Spanish translations for the xfce4-appfinder,
	  squeeze, libexo, xfce-utils, libxfce4menu, xfce4-session,
	  xfce4-mixer, libxfce4util, libxfce4ui, xfce4-icon-theme, thunar,
	  libxfcegui4, xfce4-panel, xfdesktop, xfce4-trigger-launcher,
	  terminal, mousepad and xfmedia trunk modules
	  Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules
	  Updated and added German translation of the xfce4-settings and
	  xfwm4 trunk modules
	  Updated Japanese translation for the thunar module
	  Updated Sinhalese translation for the libxfcegui4 trunk module

2008-10-02 19:47  lars

	* po/da.po:
	  

2008-10-02 19:45  lars

	* po/ChangeLog, po/da.po:
	  * da.po: Danish translation update
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  
	  

2008-10-01 07:58  kelnos

	* configure.in.in:
	  readd 'svn' version tag

2008-10-01 07:57  kelnos

	* NEWS, libxfcegui4/dialogs.c, libxfcegui4/xfce-exec.c:
	  no 'environ' on Darwin; need _NSGetEnviron() (bug 4432)

2008-09-12 20:38  kelnos

	* NEWS:
	  update NEWS for 4.6alpha

2008-09-12 20:28  kelnos

	* NEWS:
	  merge NEWS from 4.4 branch

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates and new ones for trunk in es,fr,id

2008-09-05 23:31  stephan

	* ChangeLog:
	  Update ChangeLog

2008-09-05 23:22  stephan

	* configure.in.in:
	  Del -svn tag
	  Del xfce 4.6 alpha tag
	  Update dependency versions

2008-08-17 20:37  stephan

	* configure.in.in:
	  Bump version number

2008-08-17 20:36  stephan

	* configure.in.in:
	  Bump version number

2008-08-17 20:16  kelnos

	* Makefile.am, configure.in.in:
	  fix make distcheck (install glade stuff to /tmp)

2008-08-17 20:16  kelnos

	* autogen.sh:
	  get revision from git-svn

2008-08-10 21:42  maximilian

	* po/ChangeLog, po/pl.po:
	  Translations updated and added in Indonesian, Korean and Polish.

2008-07-17 10:27  alnokta

	* po/ar.po:
	  Update Arabic translations

2008-07-15 11:46  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations added and updated (gl;sk)

2008-07-09 09:58  mvd

	* po/uk.po:
	  Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  Updated Ukrainian translation

2008-06-27 22:26  kelnos

	* configure.in.in:
	  make libglade module dir configurable

2008-06-26 22:09  maximilian

	* po/ChangeLog, po/gl.po:
	  Translations added and updated for most trunk packages (gl)

2008-06-23 21:17  kelnos

	* ChangeLog:
	  update cl

2008-06-23 21:11  kelnos

	* Makefile.am, configure.in.in, glade/16x16/Makefile.am,
	  glade/22x22/Makefile.am, glade/Makefile.am:
	  fix glade stuff: hard dep on libglade, soft dep on libgladeui

2008-06-22 10:57  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/id.po:
	  update-po

2008-06-22 10:07  maximilian

	* po/ChangeLog, po/sk.po:
	  Translations updates for the squeeze, libxfcegui4 and terminal
	  trunk packages (sk)

2008-06-05 07:48  kelnos

	* ChangeLog, glade/libglade-xfce4.c:
	  remove debugging statement

2008-06-05 07:10  kelnos

	* ChangeLog, glade/libglade-xfce4.c:
	  override build_children for XfceTitledDialog so button reponses
	  and signals
	  get set properly

2008-06-05 07:10  kelnos

	* ChangeLog, autogen.sh:
	  use git-svn to get revision number

2008-06-05 07:10  kelnos

	* docs/tmpl/xfce-appmenuitem.sgml:
	  update docs

2008-06-04 18:53  kelnos

	* ChangeLog, configure.in.in:
	  prepend 'r' to svn revision number

2008-06-04 18:49  kelnos

	* ChangeLog, libxfcegui4/xfce-appmenuitem.c:
	  fix warning on 64bit

2008-06-04 18:46  kelnos

	* configure.in.in:
	  add 'svn' version tag

2008-06-04 18:46  kelnos

	* INSTALL:
	  remove auto-added file

2008-05-27 07:18  erenturkay

	* po/ChangeLog, po/tr.po:
	  * update Turkish translation

2008-05-27 00:25  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/da.po, po/ja.po:
	  update-po

2008-05-13 09:23  mmassonnet

	* po/ChangeLog, po/en_GB.po:
	  update en_GB translations

2008-04-12 17:28  stavrosg

	* po/ChangeLog, po/el.po:
	  Greek translations update by Evaggelos Balaskas

2008-04-12 09:54  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update Latvian translation

2008-03-18 13:18  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  Update Portuguese translation

2008-02-18 01:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update French translation + patch from Gérald Barré

2008-02-15 14:51  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/si.po:
	  Merge Sinhala translation from xfce 4.4 branch to trunk

2008-01-22 18:19  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translations by Fábio Nogueira
	  <deb-user-ba@ubuntu.com>.

2008-01-05 23:49  kelnos

	* libxfcegui4/Makefile.am:
	  nevermind, disable G_GNUC_INTERNAL for the marshallers entirely
	  because
	  it breaks on amd64

2008-01-05 23:43  kelnos

	* libxfcegui4/Makefile.am:
	  no need to use sed to get G_GNUC_INTERNAL; can pass --internal to
	  glib-genmarshal

2007-12-26 03:13  kelnos

	* Makefile.am, configure.in.in, glade/16x16/Makefile.am,
	  glade/22x22/Makefile.am, glade/Makefile.am,
	  glade/libglade-xfce4.c:
	  fix glade pixmap location for glade >= 3.4.0

2007-12-14 09:09  nick

	* ChangeLog, libxfcegui4/Makefile.am:
	  
	  * libxfcegui4/Makefile.am: Whoops, for got to add
	  xfce_marshal.list to the EXTRA_DIST files and
	  clean xgen-xmh, xgen-xmc.

2007-12-14 08:56  nick

	* ChangeLog, libxfcegui4/preview_filesel.h,
	  libxfcegui4/xfce-filechooser.h, libxfcegui4/xfce-icontheme.h,
	  libxfcegui4/xfce_decorbutton.h, libxfcegui4/xfce_decortoggle.h,
	  libxfcegui4/xfce_framebox.h, libxfcegui4/xfce_iconbutton.h,
	  libxfcegui4/xfce_menubutton.h, libxfcegui4/xfce_movehandler.h,
	  libxfcegui4/xfce_togglebutton.h:
	  * libxfcegui4/*: Properly deprecate deprecated interfaces.
	  * libxfcegui4/*: Replace some c++ bracket headers with the
	  G_{BEGIN,END}_DECLS macros.

2007-12-14 08:40  nick

	* ChangeLog, libxfcegui4/Makefile.am, libxfcegui4/netk-marshal.c,
	  libxfcegui4/netk-marshal.h, libxfcegui4/xfce_marshal.c,
	  libxfcegui4/xfce_marshal.h:
	  * libxfcegui4/{xfce_,netk-}marshal.{c,h}: Remove.
	  * libxfcegui4/Makefile.am: Generate marshals during make and
	  add G_GNUC_INTERNAL.
	  * libxfcegui4/Makefile.am: Don't add netk-marshal.h to the
	  included headers, mashals are only used internally.

2007-12-13 10:35  nick

	* ChangeLog, libxfcegui4/netk-trayicon.h:
	  * libxfcegui4/netk-trayicon.h: Deprecated code. Last piece
	  was used in xfce-mcs-plugin, but has been replaced by
	  GtkStatusIcon.

2007-12-13 09:51  nick

	* ChangeLog, libxfcegui4/xfce_clock.h,
	  libxfcegui4/xfce_systemtray.h:
	  * libxfcegui4/xfce_clock.h, libxfcegui4/xfce_systemtray.h:
	  Deprecate the clock and systray code.

2007-12-02 16:49  maximilian

	* po/ChangeLog, po/de.po:
	  Spanish translations branch updates and German translations trunk
	  updates

2007-11-15 09:14  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/ur.po:
	  Add Urdu translations to trunk (hope this is right *sigh*)

2007-11-12 04:15  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Added Brazilian Portuguese translation

2007-11-11 03:25  mmassonnet

	* po/ChangeLog, po/lv.po:
	  Update latvian

2007-11-05 05:37  mmassonnet

	* po/ChangeLog, po/fr.po:
	  Update fr translation

2007-10-28 17:06  pollux

	* libxfcegui4/xfce-exec.c:
	  we don't need that .h file here

2007-10-28 17:05  pollux

	* libxfcegui4/xfce-exec.c:
	  Start program on the correct screen.
	  
	  The DISPLAY environment variable is always :0.0 even if the
	  program has
	  to be started on an other screen. This patch changes the DISPLAY
	  environment variable to use the wanted screen, if anyone has a
	  better
	  idea to fix that issue feel free to improve.

2007-10-28 15:50  pollux

	* libxfcegui4/xfce-appmenuitem.c:
	  fix compiler warning

2007-10-24 22:53  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  fix memory leak - gtk_container_get_children() returns an alloced
	  GList

2007-10-22 20:20  kelnos

	* configure.in.in, po/POTFILES.skip:
	  fix 'make distcheck' - add i18n strings we don't care about to
	  POTFILES.skip,
	  and don't use the trailing-paren syntax for the m4 version macro,
	  as it
	  confuses intltool

2007-10-01 18:19  mmassonnet

	* po/ChangeLog, po/de.po:
	  * libxfcegui4, xfce4-panel, xfwm4, xarchiver, xfcalendar: Update
	  german
	  translation.

2007-09-30 08:54  paurullan

	* po/ChangeLog, po/ca.po:
	  Some catalan updates

2007-09-25 17:40  mmassonnet

	* po/ChangeLog, po/ko.po:
	  * xfce4-session, libxfcegui4, xfwm4, xfcalendar, xfdesktop,
	  terminal:
	  Update Korean translation by ByungHyun Choi

2007-09-24 01:41  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po:
	  * thunar, xfce4-panel: Update Korean translation
	  * libxfce4menu, libxfcegui4, mousepad, squeeze, xfce4-appfinder,
	  xfce4-icon-theme, xfce4-mixer, xfce4-terminal,
	  xfce4-trigger-launcher,
	  xfce-mcs-manager, xfce-utils: Add Latvian translation

2007-09-22 21:00  olivier

	* libxfcegui4/xfce-appmenuitem.c:
	  Code style for previous patch

2007-09-22 20:59  olivier

	* libxfcegui4/xfce-appmenuitem.c:
	  Fix crash of menu if icon file name is not defined

2007-09-17 03:31  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-09-17 03:23  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-09-12 20:04  piarres

	* po/ChangeLog, po/eu.po:
	  libxfcegui4 basque translation update

2007-09-09 13:00  nab

	* po/ChangeLog, po/be.po:
	  2007-09-06 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated belarusian translation

2007-09-09 10:26  majkl

	* po/cs.po:
	  Updated Czech translations

2007-09-06 18:16  maximilian

	* po/ChangeLog, po/LINGUAS, po/am.po:
	  Added a long waiting Amharic translation for trunk.

2007-09-06 10:03  jari

	* po/ChangeLog, po/fi.po:
	  Updated Finnish translations.

2007-09-04 22:43  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/nb_NO.po:
	  * Update and add new nb_NO translations

2007-08-24 23:20  mmassonnet

	* po/ChangeLog, po/pt_PT.po:
	  * po/pt_PT.po: European Portuguese update

2007-08-22 09:04  pollux

	* libxfcegui4/icons.c:
	  revert change of yesterday

2007-08-21 19:45  pollux

	* libxfcegui4/icons.c:
	  Make the test for name != NULL more explicit

2007-08-20 17:01  sas

	* po/hu.po:
	  hu trunk: burn & gui updates

2007-08-18 23:01  kelnos

	* Makefile.am:
	  fix distcheck

2007-08-18 22:37  kelnos

	* configure.in.in, glade/xfce4.xml.in:
	  fix typo in directory name, mark properties as translatable

2007-08-18 19:56  kelnos

	* po/POTFILES.in, po/ar.po, po/be.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/cy.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/libxfcegui4.pot,
	  po/lt.po, po/mk.po, po/mr.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po, po/sk.po, po/sq.po,
	  po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  update-po for the glade stuff

2007-08-18 19:52  kelnos

	* Makefile.am, configure.in.in, glade, glade/16x16,
	  glade/16x16/Makefile.am, glade/16x16/xfce-app-menu-item.png,
	  glade/16x16/xfce-heading.png, glade/16x16/xfce-movehandler.png,
	  glade/16x16/xfce-scaled-image.png,
	  glade/16x16/xfce-titled-dialog.png, glade/22x22,
	  glade/22x22/Makefile.am, glade/22x22/xfce-app-menu-item.png,
	  glade/22x22/xfce-heading.png, glade/22x22/xfce-movehandler.png,
	  glade/22x22/xfce-scaled-image.png,
	  glade/22x22/xfce-titled-dialog.png, glade/Makefile.am,
	  glade/glade-xfce4.c, glade/xfce4.xml.in,
	  libxfcegui4/xfce-appmenuitem.c:
	  add glade support for libxfcegui4 - adds an optional dependency
	  on
	  libgladeui (but libxfcegui4 is not linked to it; just needed to
	  build a
	  helper library that glade uses), and installs a glade catalog
	  file and some
	  pixmaps to glade's data directory.
	  
	  also fixed up XfceAppMenuItem to use properties where possible
	  and be more
	  glade- and bindings-friendly
	  
	  bump version to 4.5.1

2007-08-15 09:53  alnokta

	* po/ar.po:
	  Updating Arabic translations

2007-07-14 03:04  daichi

	* po/ChangeLog, po/ja.po:
	  Added/Updated Japanese translations.

2007-07-03 23:24  maximilian

	* po/ChangeLog, po/LINGUAS, po/pt_PT.po:
	  * Updated the Brazilian Portuguese translation for Xfwm4 trunk
	  and added the one for Squeeze.
	  * Added new European Portuguese translations for trunk.

2007-06-10 23:25  maximilian

	* po/ChangeLog, po/fr.po:
	  * nb_NO: Updated some Norwegian translations and added one for
	  Xfmedia
	  * pt_PT: Added European Portuguese translations
	  * Changed my email address

2007-05-30 02:25  kelnos

	* libxfcegui4/dialogs.c:
	  fix double-semicolon typo

2007-05-30 02:16  kelnos

	* libxfcegui4/dialogs.c:
	  be more HIGgy - allow any of the buttons in xfce_message_dialog()
	  to be set
	  as the default response, and automatically set the last button as
	  default

2007-05-05 23:58  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  fix warning

2007-05-05 22:52  kelnos

	* ChangeLog, configure.in.in:
	  2007-05-05 Brian Tarricone <bjt23@cornell.edu>
	  
	  * configure.in.in: Bump version to 4.5.0, otherwise 4.4.1
	  won't build against trunk!

2007-05-05 19:01  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  lazy-load the menu icons in size-request rather than map so the
	  size of the
	  menu item is calculated correctly to eliminate ugly menu overlap
	  (bug 3081)

2007-05-05 18:23  kelnos

	* libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  always use GTK_ICON_SIZE_MENU for XfceAppMenuItem icons (bug
	  3080)

2007-04-14 19:46  olivier

	* libxfcegui4/session-client.c:
	  Allocate a copy of passed cliend id (patch by Daichi Kawahata
	  <daichi@xfce.org>)

2007-04-14 19:13  olivier

	* INSTALL, libxfcegui4/session-client.c:
	  Allocate a copy of passed cliend id (patch by Daichi Kawahata
	  <daichi@xfce.org>)

2007-04-10 16:51  pollux

	* libxfcegui4/session-client.c, libxfcegui4/xfce-appmenuitem.c:
	  fix compilation warnings

2007-04-09 10:05  maximilian

	* po/fr.po:
	  * fr.po: Fixed typos and style in the French translation of
	  Terminal's manual
	  * Changed my email address in all the fr.po files in trunk and
	  4.4

2007-04-05 13:41  paurullan

	* po/ChangeLog, po/ca.po:
	  i18n catalan update

2007-03-27 20:05  maximilian

	* po/ChangeLog, po/en_GB.po:
	  Updated and added British English translations by Jeff Bailes.

2007-03-27 19:23  nick

	* configure.in.in:
	  Backport from branch

2007-03-27 14:21  nick

	* ChangeLog, libxfcegui4/xfce-filechooser.c,
	  libxfcegui4/xfce-filechooser.h:
	  2007-03-24 16:19 nick
	  
	  * libxfcegui4/xfce-filechooser.{c,h}: Apply patch from Bernhard
	  Walle
	  to fix LGPL in the headers. (Bug 2903).

2007-03-25 11:04  daichi

	* po/ChangeLog, po/mk.po:
	  Removed executable attribute.

2007-03-24 19:47  dannym

	* libxfcegui4/session-client.c, libxfcegui4/session-client.h:
	  remove client_session_copy: doesn't work since the lowlevel
	  session is not copied and I don't see a practical use either

2007-03-18 10:38  erenturkay

	* po/ChangeLog:
	  update ChangeLog

2007-03-14 07:00  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  expand %-variables in the .desktop Exec= line like the spec says

2007-03-09 20:46  erenturkay

	* po/LINGUAS, po/tr.po:
	  add Turkish translation

2007-02-16 20:35  olivier

	* libxfcegui4/netk-pager.c:
	  Fix aspect ratio of the pager when using viewports, required for
	  window managers such as Beryl that use multiple viewports within
	  one single workspace

2007-02-10 18:56  maximilian

	* po/ChangeLog, po/LINGUAS:
	  Verified all LINGUAS files and added Albanian language to it.

2007-02-08 21:44  alnokta

	* po/ChangeLog:
	  Adding information to the ChangeLog

2007-02-08 21:42  alnokta

	* po/ar.po:
	  25 strings, 0 fuzzy, 25 not translated. initial commit.

2007-02-08 21:40  alnokta

	* po/LINGUAS:
	  Adding AR language code.

2007-02-06 00:01  dannym

	* libxfcegui4/netk-tasklist.c:
	  fix return values in the error case

2007-02-03 17:50  dannym

	* libxfcegui4/session-client.c, libxfcegui4/session-client.h:
	  explain what constness is to C

2007-02-03 17:43  dannym

	* libxfcegui4/session-client.c, libxfcegui4/session-client.h:
	  add SessionClient property accessors (paranoid)

2007-02-03 14:29  pollux

	* libxfcegui4/netk-window.c:
	  return FALSE when assertion fails

2007-02-03 14:26  dannym

	* libxfcegui4/netk-window.h:
	  add netk_window_get_icon_geometry as public

2007-02-03 14:22  dannym

	* libxfcegui4/netk-xutils.c:
	  shut warnings

2007-02-03 14:18  dannym

	* libxfcegui4/netk-window.c, libxfcegui4/netk-xutils.c,
	  libxfcegui4/netk-xutils.h:
	  add p_netk_get_icon_geometry

2007-02-03 13:29  dannym

	* libxfcegui4/libnetk.h:
	  add #include <libxfcegui4/netk-window-action-menu.h>

2007-02-03 13:23  dannym

	* libxfcegui4/libnetk.h:
	  add netk-trayicon

2007-02-03 13:02  dannym

	* libxfcegui4/libnetk.h:
	  add netk-class-group

2007-02-03 11:34  dannym

	* libxfcegui4/netk-trayicon.c, libxfcegui4/netk-trayicon.h:
	  add setters for gdkscreen (convenience)

2007-02-03 11:13  dannym

	* libxfcegui4/netk-tasklist.c, libxfcegui4/netk-tasklist.h:
	  add getters

2007-02-03 10:34  dannym

	* libxfcegui4/netk-screen.c, libxfcegui4/netk-screen.h:
	  add netk_screen_get_workspaces for consistency

2007-01-28 10:44  sas

	* po/hu.po:
	  hu trunk: little updates

2007-01-25 19:07  maximilian

	* po/ChangeLog, po/sq.po:
	  Added the Albanian translations by Besnik Bleta for the core
	  packages. Updated some French translations

2007-01-21 14:08  maximilian

	* po/ChangeLog, po/ro.po:
	  * fr.po: Minor changes to the French translations
	  in xfce-utils, libxfce4util and mousepad
	  * pl.po: Updated the Polish translation by Szymon Kałasz
	  <szymon_maestro@gazeta.pl>
	  in thunar and mousepad.
	  * ro.po: Updated the Romanian translation by Mişu Moldovan
	  <dumol@gnome.ro>
	  in most core packages.

2007-01-20 15:15  benny

	* INSTALL, NEWS, configure.in.in, po/be.po, po/bn_IN.po, po/ca.po,
	  po/cs.po, po/cy.po, po/de.po, po/dz.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gl.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ka.po, po/ko.po, po/lt.po, po/mk.po,
	  po/mr.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump version. Update NEWS. Update Project-Id-Version.

2007-01-19 22:02  olivier

	* ChangeLog:
	  Update ChangeLog

2007-01-19 20:46  olivier

	* INSTALL, configure.in.in, po/cy.po, po/it.po, po/lt.po, po/mk.po,
	  po/pa.po:
	  Update version

2007-01-19 10:13  nab

	* po/ChangeLog, po/be.po:
	  2007-01-19 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-18 23:10  eulex

	* po/ChangeLog, po/sv.po:
	  Updated Swedish translations for:
	  * libexo
	  * libxfcegui4
	  * mousepad
	  * thunar
	  * xfcalendar
	  * xfce4-appfinder
	  * xfce4-panel
	  * xfce-mcs-plugins
	  * xfce-utils
	  * xfdesktop
	  * xfprint
	  * xfwm4
	  
	  Also thus updated appropriate ChangeLog files.

2007-01-18 09:10  nab

	* po/ChangeLog, po/be.po:
	  2007-01-18 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-14 20:30  maximilian

	* po/ChangeLog, po/it.po:
	  Updated the Italian translations of the libexo and libxfcegui4
	  packages and fixed some accelerators in the mousepad French
	  translation

2007-01-07 22:40  stephan

	* po/nl.po:
	  set content-type of dutch translations to UTF-8

2007-01-05 03:19  maximilian

	* po/ChangeLog, po/de.po:
	  Updated the German translations by Fabian Nowak for a few
	  packages and updated the French translation of libexo.

2006-12-25 11:14  maximilian

	* po/ChangeLog, po/LINGUAS, po/mk.po:
	  Added the new translations from the Macedonian team for plenty of
	  packages, Merry Christmas

2006-12-22 18:52  maximilian

	* po/ChangeLog:
	  Updated the French translation for the xarchiver package and
	  fixed a mistake I introduced in Changelog's lately

2006-12-22 01:39  aalam

	* po/pa.po:
	  update for latest changes

2006-12-20 22:53  maximilian

	* po/ChangeLog, po/ru.po:
	  Updated the Russian translations by Andrey Fedoseev for a lot of
	  packages

2006-12-13 19:59  mantas

	* po/lt.po:
	  Updated lithuanian translation

2006-11-30 18:23  stavrosg

	* po/ChangeLog:
	  E-mail address change. Sorry for the noise.

2006-11-15 12:43  maximilian

	* po/ChangeLog, po/cy.po, po/fr.po:
	  Updated the Spanish translations by Rudy Godoy for the following
	  packages
	  xfce4-panel; xfce4-session
	  Modified the description text of the translation files for fr cy
	  and es
	  Fixed typo in French translation of thunar

2006-11-14 12:00  pollux

	* po/ChangeLog, po/LINGUAS, po/cy.po:
	  add Welsh translations by Geraint Rowlands
	  <ansbaradigeidfran@gmail.com>

2006-11-13 10:16  benny

	* configure.in.in, icons/Makefile.am, icons/scalable,
	  icons/scalable/Makefile.am, icons/scalable/xfce-filemanager.svg:
	  Add scalable xfce-filemanager icon.

2006-11-13 10:01  benny

	* Makefile.am, configure.in.in, icons, icons/48x48,
	  icons/48x48/Makefile.am, icons/48x48/xfce-edit.png,
	  icons/48x48/xfce-filemanager.png, icons/48x48/xfce-games.png,
	  icons/48x48/xfce-graphics.png, icons/48x48/xfce-internet.png,
	  icons/48x48/xfce-man.png, icons/48x48/xfce-multimedia.png,
	  icons/48x48/xfce-printer.png, icons/48x48/xfce-schedule.png,
	  icons/48x48/xfce-sound.png, icons/48x48/xfce-terminal.png,
	  icons/48x48/xfce-unknown.png, icons/48x48/xfce-utils.png,
	  icons/Makefile.am, pixmaps, po/fr.po:
	  Add icons required by libxfcegui4. Bug #2033.

2006-11-05 13:34  olivier

	* ChangeLog:
	  Update ChangeLog.

2006-11-04 17:52  benny

	* configure.in.in:
	  Post-release version bump.

2006-11-04 17:51  benny

	* configure.in.in, po/be.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/dz.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po,
	  po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	  po/gu.po, po/he.po, po/hu.po, po/hy.po, po/it.po, po/ja.po,
	  po/ka.po, po/ko.po, po/lt.po, po/mr.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements. Update Project-Id-Version.

2006-11-04 10:54  olivier

	* configure.in.in, po/be.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/gl.po, po/gu.po, po/he.po,
	  po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mr.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po,
	  po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po,
	  po/zh_CN.po, po/zh_TW.po:
	  Update libtool revision number

2006-11-03 19:15  benny

	* libxfcegui4/netk-application.c, libxfcegui4/netk-class-group.c,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-private.h,
	  libxfcegui4/netk-screen.c, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-trayicon.c, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-workspace.c:
	  Apply patch from Nick Schermer <nick@xfce.org> to plug memory
	  leaks and reduce relocations. Bug #2377.

2006-10-30 22:13  maximilian

	* po/ChangeLog, po/fr.po:
	  Fixed some typos and spelling mistakes in the libxfce4util,
	  libxfcegui4 and xfce-mcs-plugins's french translation

2006-10-28 13:04  paurullan

	* po/ChangeLog, po/LINGUAS, po/dz.po:
	  added whole Dzongkha translation
	  
	  congratulations to the dz team.

2006-10-24 21:46  olivier

	* configure.in.in:
	  Update version

2006-10-03 16:34  pollux

	* po/ChangeLog, po/it.po:
	  updated translations

2006-09-12 20:54  olivier

	* libxfcegui4/netk-window.c:
	  Avoid sending spurious icon geometry updates (Nick Schermer
	  <nick@xfce.org>, bug #2306)

2006-09-09 15:27  jasper

	* libxfcegui4/xfce-exec.c:
	  Fix handling of quoted commands (bug #2276).

2006-09-04 21:02  olivier

	* libxfcegui4/xfce_clock.c:
	  Issue a warning instead of silently ignoring fals params

2006-09-04 20:47  olivier

	* libxfcegui4/xfce_clock.c:
	  Clock's format_string was leaked in previous patch

2006-09-04 20:41  olivier

	* ChangeLog, libxfcegui4/xfce_clock.c, libxfcegui4/xfce_clock.h:
	  Clock widget enhancements, patch from Tim Baga
	  <fester@verbdev.com> (bug #2264)

2006-09-03 13:26  pollux

	* po/ChangeLog, po/nl.po:
	  updated Dutch translations

2006-09-02 15:03  benny

	* configure.in.in, po/be.po, po/bn_IN.po, po/ca.po, po/cs.po,
	  po/de.po, po/el.po, po/en_GB.po, po/eo.po, po/es.po, po/et.po,
	  po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po,
	  po/he.po, po/hu.po, po/hy.po, po/it.po, po/ja.po, po/ka.po,
	  po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Bump version and requirements.

2006-09-02 12:05  benny

	* po/ChangeLog, po/cs.po:
	  2006-09-02 Benedikt Meurer <benny@xfce.org>
	  
	  * cs.po: Updated czech translations by Michal VÃ¡rady
	  <miko.vaji@gmail.com>.

2006-09-02 08:57  sas

	* po/hu.po:
	  hungarian updates

2006-08-27 12:57  pollux

	* po/ChangeLog, po/de.po:
	  Updated German translations

2006-08-27 11:35  pollux

	* po/ChangeLog, po/LINGUAS, po/ka.po:
	  add Georgian translations

2006-08-19 19:45  pollux

	* libxfcegui4/netk-tasklist.c:
	  show the task action menu on the correct screen

2006-08-17 16:29  pollux

	* po/ChangeLog, po/LINGUAS, po/gl.po:
	  Add Galician translations

2006-08-16 08:45  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  style cleanup

2006-08-16 08:04  jasper

	* libxfcegui4/netk-tasklist.c:
	  Don't show urgent button on all workspaces.

2006-08-16 07:10  kelnos

	* libxfcegui4/netk-tasklist.c:
	  stop blinking an urgent tasklist item after it has blinked 10
	  times, but leave
	  it highlighted until the urgent hint is gone

2006-08-15 20:38  benny

	* docs/tmpl/xfce-icontheme.sgml, libxfcegui4/netk-application.c,
	  libxfcegui4/netk-class-group.c, libxfcegui4/netk-pager.c,
	  libxfcegui4/netk-private.h, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-window-action-menu.c, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-workspace.c, libxfcegui4/netk-xutils.c,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-icontheme.c:
	  Apply patch from Nick Schermer <nick@xfce.org> to use the slice
	  allocator
	  where appropriate and g_type_class_add_private(). Bug #2087.

2006-08-14 15:20  jasper

	* libxfcegui4/netk-tasklist.c:
	  Properly blink flat buttons.

2006-08-13 08:43  jasper

	* libxfcegui4/netk-pager.c:
	  Add delay for switching workspace when dragging something over
	  the pager. Bug #838.

2006-08-12 15:00  jasper

	* configure.in.in, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-tasklist.h:
	  Add netk_tasklist_set_button_relief() function.

2006-08-12 10:18  jasper

	* libxfcegui4/netk-tasklist.c:
	  Use flat buttons for tasklist widget.

2006-08-11 18:35  jasper

	* libxfcegui4/netk-util.c:
	  Restore unmodified font after urgency, don't just remove the bold
	  attribute. Fixes bug #2050.

2006-08-01 17:45  jasper

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-pager.h:
	  Make mousewheel scrolling configurable. Patch by Nick.

2006-07-12 20:55  kelnos

	* libxfcegui4/icons.c:
	  tweak the 'accessories' fallback chain

2006-07-12 19:47  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  add ACCESSORIES icon category

2006-07-12 10:54  kelnos

	* libxfcegui4/icons.c:
	  add another icon for "unknown"

2006-07-12 10:47  kelnos

	* libxfcegui4/icons.c:
	  add/move icon names from the icon naming spec to the front of the
	  list for
	  category searches (bug 1948)

2006-07-09 21:34  pollux

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po,
	  po/mr.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po:
	  updated translations

2006-07-08 19:39  olivier

	* libxfcegui4/netk-tasklist.c:
	  Small cleanup in libxfcegui4 (patch from Nick Schermer
	  <nick@xfce.org>, bug #1952)

2006-06-15 21:22  olivier

	* docs/tmpl/dialogs.sgml, docs/tmpl/netk-window.sgml,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-xutils.c:
	  Fixes ported from libwnck by Nick Schermer <nick@xfce.org> (Bug
	  #1874)

2006-06-12 14:26  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations; Modify personal e-mail
	  address.

2006-06-04 12:02  olivier

	* libxfcegui4/netk-xutils.c:
	  Fix bug in 64-bit

2006-06-04 08:12  eulex

	* po/ChangeLog:
	  Changelogs for appfinder, exo, utils, mcs-plugins, mcs-manager,
	  xfce4-session, xfce4-mixer, thunar, libgui, xfwm4, the panel,
	  orage, trigger-launcher and terminal updated.
	  Also couldn't resist to fix a small error in the xfce4-mixer
	  Changelog.
	  Didn't updated the changelog of xfprint, because I discovered
	  that that translation wasn't updated, it had just slipped through
	  the commit by mistake.

2006-06-04 00:10  eulex

	* po/sv.po:
	  obsolete strings in the swedish translations removed

2006-06-03 23:44  eulex

	* po/sv.po:
	  Merged Swedish translations (by me and Jens Hagerman) into the
	  xfce svn.
	  This includes updated translations of appfinder, xfce-utils,
	  mcs-plugins,
	  xfprint, xfce4-session, xfce4-mixer, thunar, libxfcegui4, xfwm4,
	  xfce4-panel, xfdesktop, orage, xfce4-trigger-launcher and
	  mcs-manager,
	  and added translations for libexo and terminal.
	  The appropriate LINGUAS files were also updated.

2006-05-29 13:02  benny

	* libxfcegui4/xfce_clock.c:
	  Move clock data to text. Patch from Nick Schermer
	  <nick@xfce.org>.
	  Bug #1865.

2006-05-29 12:18  benny

	* docs/tmpl/xfce-icontheme.sgml, docs/tmpl/xfce-titled-dialog.sgml,
	  libxfcegui4/gtk_style.c, libxfcegui4/xfce_decorbutton.c,
	  libxfcegui4/xfce_decortoggle.c, libxfcegui4/xfce_movehandler.c:
	  Apply patch from Nick Schermer <nick@xfce.org> to reduce
	  unshareable
	  data size of the library. Bug #1865.

2006-05-25 18:48  pollux

	* po/fr.po:
	  update FR translations

2006-05-25 07:02  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  add XFCE_ICON_CATEGORY_OFFICE, and some more icon matches for a
	  bunch of
	  the categories, patch by daniele favara (bug 1847)

2006-05-23 22:00  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Remove and recreate a new socket if one is found, instead of just
	  ignoring the request. That seems to fix a problem with krusader
	  (Fix bug #1836). Also clean up some #ifdefs for older
	  pre-gtk+-2.2.

2006-05-23 12:28  piarres

	* po/eu.po:
	  [l10n:eu] Basque translation update

2006-05-23 02:45  daichi

	* po/ChangeLog, po/fi.po:
	  Changed an address.

2006-05-11 08:53  benny

	* libxfcegui4/xfce-startup-notification.c:
	  Fix compiler warning. Bug #1790.

2006-05-06 22:56  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Use XfceHeading for the about dialog.

2006-05-06 09:23  sas

	* po/hu.po:
	  hu trunk: terminal gui & burn fixes

2006-05-05 21:25  daichi

	* po/ChangeLog, po/cs.po:
	  Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-05-05 21:01  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po,
	  po/mr.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Bump.

2006-05-04 21:23  benny

	* configure.in.in, docs/libxfcegui4-docs.sgml,
	  docs/libxfcegui4-sections.txt, docs/libxfcegui4.types,
	  docs/tmpl/xfce-heading.sgml, docs/tmpl/xfce-titled-dialog.sgml,
	  docs/xfce4-modules-docs.sgml, docs/xfce4-modules-overrides.txt,
	  docs/xfce4-modules-sections.txt, docs/xfce4-modules.types,
	  libxfcegui4/Makefile.am, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xfce-colorbutton.c, libxfcegui4/xfce-colorbutton.h,
	  libxfcegui4/xfce-gdk-extensions.c, libxfcegui4/xfce-heading.c,
	  libxfcegui4/xfce-heading.h, libxfcegui4/xfce-titled-dialog.c,
	  libxfcegui4/xfce-titled-dialog.h, libxfcegui4/xinerama.c,
	  libxfcegui4/xinerama.h:
	  Import XfceHeading and XfceTitledDialog widget classes. Cleanup
	  some
	  deprecated stuff. Update the API docs.

2006-05-02 16:06  daichi

	* po/ChangeLog:
	  Removed timestamps so that a translator isn't bothered:
	  "Then, what time is it now in UTC?"

2006-05-01 20:17  jasper

	* libxfcegui4/netk-tasklist.c:
	  Improve urgent/demands_attention handling. Now also works with
	  grouped tasks (Bug #53).

2006-05-01 15:09  benny

	* ., Makefile.am, autogen.sh, configure.ac, configure.in.in,
	  docs/Makefile.am, docs/tmpl/netk-window.sgml,
	  docs/version.xml.in, examples/aboutdlg/aboutdlg.c,
	  examples/decorbutton/decorbutton.c,
	  examples/iconbutton/iconbutton.c, examples/margins/margins.c,
	  examples/menubutton/menubutton.c,
	  examples/movehandler/movehandler.c, examples/netk/netk.c,
	  examples/pager/pager.c,
	  examples/preview_filesel/preview_filesel.c,
	  examples/session/session.c, examples/tasklist/tasklist.c,
	  examples/togglebutton/togglebutton.c, libxfcegui4/Makefile.am,
	  libxfcegui4/dialogs.c, libxfcegui4/dialogs.h,
	  libxfcegui4/gtk_style.c, libxfcegui4/gtk_style.h,
	  libxfcegui4/gtktoxevent.c, libxfcegui4/gtktoxevent.h,
	  libxfcegui4/icons.c, libxfcegui4/icons.h, libxfcegui4/libnetk.h,
	  libxfcegui4/libxfcegui4.h, libxfcegui4/netk-application.c,
	  libxfcegui4/netk-application.h, libxfcegui4/netk-class-group.c,
	  libxfcegui4/netk-class-group.h, libxfcegui4/netk-inlinepixbufs.h,
	  libxfcegui4/netk-marshal.c, libxfcegui4/netk-marshal.h,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-pager.h,
	  libxfcegui4/netk-private.h, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-screen.h, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-tasklist.h, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-trayicon.h, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-util.h, libxfcegui4/netk-window-action-menu.c,
	  libxfcegui4/netk-window-action-menu.h,
	  libxfcegui4/netk-window-menu.c, libxfcegui4/netk-window-menu.h,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-window.h,
	  libxfcegui4/netk-workspace.c, libxfcegui4/netk-workspace.h,
	  libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h,
	  libxfcegui4/preview_filesel.c, libxfcegui4/preview_filesel.h,
	  libxfcegui4/session-client.c, libxfcegui4/session-client.h,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h,
	  libxfcegui4/xfce-colorbutton.c, libxfcegui4/xfce-colorbutton.h,
	  libxfcegui4/xfce-exec.c, libxfcegui4/xfce-exec.h,
	  libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xfce-gdk-extensions.c,
	  libxfcegui4/xfce-gdk-extensions.h,
	  libxfcegui4/xfce-gtk-extensions.c,
	  libxfcegui4/xfce-gtk-extensions.h, libxfcegui4/xfce-icontheme.c,
	  libxfcegui4/xfce-icontheme.h, libxfcegui4/xfce-internals.c,
	  libxfcegui4/xfce-internals.h,
	  libxfcegui4/xfce-startup-notification.c,
	  libxfcegui4/xfce-startup-notification.h,
	  libxfcegui4/xfce-widget-helpers.c,
	  libxfcegui4/xfce-widget-helpers.h,
	  libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h,
	  libxfcegui4/xfce_clock.c, libxfcegui4/xfce_clock.h,
	  libxfcegui4/xfce_decorbutton.c, libxfcegui4/xfce_decorbutton.h,
	  libxfcegui4/xfce_decortoggle.c, libxfcegui4/xfce_decortoggle.h,
	  libxfcegui4/xfce_framebox.c, libxfcegui4/xfce_framebox.h,
	  libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_iconbutton.h,
	  libxfcegui4/xfce_marshal.c, libxfcegui4/xfce_marshal.h,
	  libxfcegui4/xfce_menubutton.c, libxfcegui4/xfce_menubutton.h,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_movehandler.h,
	  libxfcegui4/xfce_scaled_image.c, libxfcegui4/xfce_scaled_image.h,
	  libxfcegui4/xfce_systemtray.c, libxfcegui4/xfce_systemtray.h,
	  libxfcegui4/xfce_togglebutton.c, libxfcegui4/xfce_togglebutton.h,
	  libxfcegui4/xinerama.c, libxfcegui4/xinerama.h,
	  pixmaps/Makefile.am, po/LINGUAS:
	  Use po/LINGUAS. libxml is no longer required.

2006-04-30 09:07  sas

	* po/hu.po:
	  hu trunk: updates

2006-04-30 08:36  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po,
	  po/mr.po, po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po:
	  Updated.

2006-04-29 19:33  jasper

	* libxfcegui4/netk-pager.c:
	  Switch workspace when dragging something over the pager (bug
	  #1735).

2006-04-29 18:42  jasper

	* libxfcegui4/netk-private.h, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-util.c, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-window.h, libxfcegui4/netk-xutils.c,
	  libxfcegui4/xfce-icontheme.c:
	  * Add support for _NET_WM_STATE_DEMANDS_ATTENTION. Mostly copied
	  from libwnck.
	  * Make tasklist do something with this hint (bug #1287). Also
	  make label bold when a window demands attention.
	  * Add spacing between label and icon (bug #1672).
	  * Get rid of XfceIconTheme.
	  * Add some missing prototypes to netk-window.h.

2006-04-28 23:44  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  Update traditional Chinese translations for several packages.

2006-04-19 13:59  mvd

	* po/uk.po:
	  2006-04-19 Maxim Dziumanenko <mvd@mylinux.ua>
	  
	  * Updated Ukrainian translation.

2006-04-18 19:44  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Add shadow to the license box, and 6px left/right margin.

2006-04-16 08:37  benny

	* ., Makefile.am, configure.ac, docs, docs/tmpl,
	  libxfcegui4.spec.in, pixmaps, po/hu.po:
	  Update for 4.4beta1.

2006-04-15 17:34  olivier

	* ChangeLog:
	  Update ChangeLog

2006-04-15 12:10  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hu.po, po/hy.po,
	  po/it.po, po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po,
	  po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Bump, etc.

2006-04-15 02:12  daichi

	* po/ko.po:
	  Added/Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2006-04-15 01:42  daichi

	* configure.ac:
	  Added missing language codes.

2006-04-13 08:36  sas

	* po/hu.po:
	  libxfcegui4 hu.po

2006-04-02 20:44  olivier

	* libxfcegui4/session-client.c:
	  Minor code style change

2006-04-01 03:37  stavrosg

	* po/el.po:
	  Greek translations update & polish by Stathis Kamperis
	  <ekamperi@auth.gr>

2006-03-19 15:22  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Bump.

2006-03-19 09:33  jasper

	* libxfcegui4/netk-pager.c:
	  Add extra check to pager for n_rows > 0. Sugested by Pasi Orovuo.

2006-03-18 09:15  daichi

	* po/ru.po:
	  Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-17 19:45  jasper

	* libxfcegui4/icons.c:
	  Scale icons down if necessary. Hopefully this patch can make
	  everyone happy (see bug #1516).

2006-03-14 03:24  kelnos

	* configure.ac:
	  drop dbh dependency. i thought i had done that already...

2006-03-11 20:58  jasper

	* libxfcegui4/icons.c:
	  Revert unwanted commit. Sorry.

2006-03-11 10:38  jasper

	* libxfcegui4/icons.c, libxfcegui4/netk-tasklist.c:
	  Fix assertion (which could lead to a crash) when label has not
	  yet been created (bug #1540).

2006-03-05 15:52  gnu_sylvain

	* po/eo.po:
	  Corrected date of "First author" field.
	  Filled-in address in field "report msgid bugs to".

2006-03-04 11:10  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-03-03 22:42  gnu_sylvain

	* po/eo.po:
	  Updated 1 string, and also the last author's email address.

2006-03-03 21:58  pollux

	* docs/tmpl/dialogs.sgml, docs/tmpl/netk-application.sgml,
	  docs/tmpl/netk-class-group.sgml, docs/tmpl/netk-screen.sgml,
	  docs/tmpl/netk-window.sgml, docs/tmpl/netk-workspace.sgml,
	  docs/tmpl/standard-macros.sgml, docs/tmpl/xfce-aboutdialog.sgml,
	  docs/tmpl/xfce-appmenuitem.sgml, docs/tmpl/xfce-exec.sgml,
	  docs/tmpl/xfce-filechooser.sgml, docs/tmpl/xfce-framebox.sgml,
	  docs/tmpl/xfce-gdk-extensions.sgml,
	  docs/tmpl/xfce-gtk-extensions.sgml,
	  docs/tmpl/xfce-icontheme.sgml, libxfcegui4/icons.c:
	  brian you missed one occurence

2006-03-03 10:31  kelnos

	* Makefile.am, hicolor-index.theme:
	  hicolor-index.theme fallback not needed anymore

2006-03-03 10:30  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  xfce_pixbuf_new_from_file_at_size() ->
	  gdk_pixbuf_new_from_file_at_size()

2006-03-03 10:14  kelnos

	* configure.ac, libxfcegui4/icons.c, libxfcegui4/icons.h,
	  libxfcegui4/xfce-icontheme.c:
	  finish icon theme migration stuff. everything should use
	  GtkIconTheme
	  internally now. bump version to 4.3.9

2006-03-02 13:03  daichi

	* po/et.po:
	  Added/Updated Estonian translations by Peeter Vois
	  <Peeter.Vois@mail.ee>.

2006-02-25 09:17  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Disable ugly workarround on systray icon size as KDE support is
	  now disabled by default

2006-02-24 02:30  kelnos

	* libxfcegui4/Makefile.am:
	  fix missing GType for XfceIconThemeCategory (i think)

2006-02-23 07:40  kelnos

	* libxfcegui4/icons.c, libxfcegui4/xfce-appmenuitem.c:
	  try chopping off path components as a last-ditch effort to find
	  icons

2006-02-23 02:15  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-icontheme.h:
	  * use GtkIconTheme in the xfce_themed_icon_*() convenience
	  functions, and
	  work around some GtkIconTheme limitations
	  * deprecate XfceIconTheme
	  * fix how XfceAppMenuItem chooses between Name and GenericName
	  for good this
	  time (i hope)
	  * reformat xfce-appmenuitem.c because i'm anal

2006-02-21 13:20  daichi

	* po/sk.po:
	  Added/Updated Slovak translations by Roman Moravcik
	  <roman.moravcik@gmail.com>.

2006-02-20 20:41  pollux

	* po/POTFILES.in:
	  fix make dist

2006-02-19 17:29  kelnos

	* libxfcegui4/netk-tasklist.c:
	  fix an intermittent crash in the tasklist when URGENT is set.
	  this should
	  probably be fixed a different way, but that requires much more
	  work.

2006-02-18 16:21  kelnos

	* Makefile.am, configure.ac, xfce4-modules:
	  remove xfce4-modules because they aren't used by the xfce core
	  anymore, and
	  edscott says it's ok

2006-02-18 13:43  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2006-02-17 22:46  paurullan

	* po/ca.po:
	  [i18n] catalan trunk
	  little work on lib*

2006-02-17 17:01  kelnos

	* configure.ac, libxfcegui4/xfce-appmenuitem.c:
	  be smarter about picking translated menu item names for
	  XfceAppMenuItem.
	  require libxfce4util 4.3.1.

2006-02-17 11:10  olivier

	* po/fr.po:
	  Oh!

2006-02-16 16:31  pollux

	* po/zh_CN.po:
	  updated zh_CN translations

2006-02-15 17:14  kelnos

	* configure.ac, libxfcegui4/dialogs.c, libxfcegui4/dialogs.h:
	  add xfce_message_dialog_new(). this is just like
	  xfce_message_dialog(),
	  except that instead of running the dialog immediately, it just
	  returns it
	  so you can modify it

2006-02-14 20:06  adriano

	* po/pt_BR.po:
	  Updated pt_BR translations for libxfcegui4.

2006-02-06 13:32  benny

	* libxfcegui4, libxfcegui4/xfce_aboutdialog.c,
	  libxfcegui4/xfce_aboutdialog.h:
	  Fix numerous memory leaks. Use exo-open if available.

2006-02-05 17:53  yuvaltanny

	* po/he.po:
	  Update Hebrew translations

2006-02-02 13:57  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-01-29 07:21  daichi

	* po/ja.po:
	  Updated Japanese translations.

2006-01-29 06:52  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  * Updated.
	  * Discarded obsolete translations.

2006-01-22 20:50  jasper

	* libxfcegui4/xfce-exec.c:
	  Fix compilation without startup notification

2006-01-21 14:30  dannym

	* libxfcegui4/xfce-exec.c:
	  add HAVE_SYS_WAIT_H

2006-01-21 14:22  dannym

	* libxfcegui4/xfce-exec.c:
	  use config.h HAVE_SYS_TYPES_H (is there a HAVE_SYS_WAIT_H too ?)

2006-01-21 14:09  dannym

	* libxfcegui4/xfce-exec.c:
	  fix

2006-01-20 18:50  pollux

	* libxfcegui4/xfce-exec.c:
	  add sys/wait.h to includes to avoid a warning

2006-01-20 18:44  dannym

	* libxfcegui4/xfce-exec.c:
	  try to ward off zombies

2006-01-19 17:45  daichi

	* libxfcegui4/netk-application.c, libxfcegui4/netk-class-group.c,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-workspace.c,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-icontheme.c,
	  libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_clock.c,
	  libxfcegui4/xfce_decorbutton.c, libxfcegui4/xfce_decortoggle.c,
	  libxfcegui4/xfce_framebox.c, libxfcegui4/xfce_iconbutton.c,
	  libxfcegui4/xfce_menubutton.c, libxfcegui4/xfce_movehandler.c,
	  libxfcegui4/xfce_scaled_image.c, libxfcegui4/xfce_systemtray.c,
	  libxfcegui4/xfce_togglebutton.c:
	  Added missing initializers.

2006-01-18 17:48  daichi

	* po/ChangeLog:
	  Updated.

2006-01-13 05:52  daichi

	* po/pl.po:
	  Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-01-11 12:02  daichi

	* po/ca.po:
	  Fixed an error.

2006-01-10 14:35  paurullan

	* po/ca.po:
	  catalan translation
	  really fixes 1317
	  Jesus, I am terrible :(

2006-01-10 14:29  paurullan

	* po/ca.po:
	  fix bug 1317
	  I am sorry for that one

2006-01-08 21:12  paurullan

	* po/ca.po:
	  catalan translation:
	  little heading fixing but in every trunk file
	  Created the xfmedia translation

2006-01-07 13:33  dannym

	* libxfcegui4/xfce-exec.c, libxfcegui4/xfce-startup-notification.c:
	  that voersight was too dumb

2006-01-07 13:25  dannym

	* libxfcegui4/xfce-startup-notification.c:
	  no double unref

2006-01-07 11:30  dannym

	* libxfcegui4/xfce-startup-notification.c:
	  don't be that paranoid

2006-01-07 11:08  kelnos

	* libxfcegui4/xfce-exec.c:
	  nevermind, this is a much better way to fix the problem with the
	  wrong
	  screen on sync spawning. also, don't do this, or the setsid() on
	  async
	  thing, when on win32, as the child setup function is actually
	  called
	  in the *parent* on windows, because the win32 api is retarded.
	  this is
	  probably irrelevant, but i'm anal sometimes.

2006-01-07 10:59  dannym

	* libxfcegui4/xfce-startup-notification.c:
	  fix wrong parameters :)

2006-01-07 10:31  kelnos

	* configure.ac, libxfcegui4/xfce-exec.c:
	  * add child setup function for asynchronously spawned apps to
	  call setsid()
	  before launching the app
	  * fix the bug where apps spawned synchronously on a screen other
	  than the
	  default screen will be spawned on the default screen. fix is
	  somewhat
	  questionable, see my comment in the source:
	  /* Note: The idea here is to be sure that multiple threads don't
	  try
	  * to call this function simultaneously, since then there's a race
	  * condition setting the env vars that would probably make one or
	  * the other app start on the wrong screen. However, this means
	  that
	  * two applications can't be started by two different threads that
	  * will wait for each other to start and complete, because the
	  first
	  * one that starts will just wait forever. That might suck, in
	  which
	  * case this change should be reverted.
	  */

2006-01-07 09:40  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/lt.po, po/mr.po, po/nl.po, po/pa.po,
	  po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po,
	  po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated copyright information.

2006-01-06 22:52  dannym

	* libxfcegui4/xfce-exec.c:
	  live dangerously by doing the child_watch / do not reap child
	  thing that surely will kill us with SIGCHLD one day

2006-01-06 22:20  dannym

	* libxfcegui4/Makefile.am, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xfce-exec.c, libxfcegui4/xfce-startup-notification.c,
	  libxfcegui4/xfce-startup-notification.h:
	  split startup notification into it's own source file

2006-01-01 18:12  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-12-30 08:36  jasper

	* libxfcegui4/xfce-widget-helpers.c:
	  oops

2005-12-30 08:32  jasper

	* libxfcegui4/xfce-widget-helpers.c,
	  libxfcegui4/xfce-widget-helpers.h:
	  Rename xfce_create_framebox_imediate to
	  xfce_create_framebox_with_content

2005-12-29 22:34  dannym

	* configure.ac, libxfcegui4/xfce-widget-helpers.c,
	  libxfcegui4/xfce-widget-helpers.h:
	  err? why do it directly when you can do it convolutedly... :)
	  
	  add convenience helper function:
	  
	  GtkWidget *xfce_create_framebox_immediate(const gchar* title,
	  GtkWidget* contents);

2005-12-28 21:16  olivier

	* libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h:
	  Truncate window title names as it breaks cairo if the string is
	  too long (Bug #1296)

2005-12-23 10:41  jasper

	* libxfcegui4/dialogs.c:
	  Calculate position of message dialog _after_ all widgets have
	  been added.

2005-12-20 14:36  daichi

	* po/ChangeLog:
	  Updated.

2005-12-19 21:55  paurullan

	* po/ca.po:
	  beginning translation process to catalan. I am just working on
	  the trunk
	  so I have left the 4.2 branch in 'maintain mode'.
	  My goal is to end the work before new year so that 4.4 goes beta
	  in catalan
	  (the whole). This is because I have term exams after Chrismas
	  holidays and
	  time will not be much.

2005-12-11 18:37  stavrosg

	* po/el.po:
	  Updated Greek translations

2005-12-07 08:38  piarres

	* po/ChangeLog, po/eu.po:
	  [i18n] Basque translation update

2005-11-28 15:19  daichi

	* po/ChangeLog:
	  Updated.

2005-11-21 18:21  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-11-21 18:00  daichi

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translations by Adriano Winter Bess
	  <awbess@gmail.com>.

2005-11-21 17:14  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-11-21 16:06  daichi

	* po/POTFILES.in:
	  Updated POTFILES.in files.

2005-11-18 21:44  dannym

	* libxfcegui4/netk-xutils.c, libxfcegui4/xfce_clock.c,
	  libxfcegui4/xfce_decorbutton.c, libxfcegui4/xfce_decortoggle.c,
	  libxfcegui4/xfce_movehandler.c:
	  shut gcc up

2005-11-18 21:42  dannym

	* libxfcegui4/netk-screen.c, libxfcegui4/netk-screen.h:
	  api addition: netk_screen_get_number

2005-11-18 18:47  dannym

	* xfce4-modules/mime-applications/mime.c:
	  g_strconcat ... NULL terminated

2005-11-18 18:46  dannym

	* xfce4-modules/mime-applications/mime.c:
	  g_strconcat needs to be NULL-terminated

2005-11-18 20:51  dannym

	* xfce4-modules/mime-applications/mime.c:
	  add assert.h (is that a standard header?)

2005-11-18 20:46  dannym

	* libxfcegui4/xfce-filechooser.c:
	  fix:
	  xfce-filechooser.c:113: warning: not enough variable arguments to
	  fit a sentinel

2005-11-13 12:32  pollux

	* libxfcegui4/xfce-appmenuitem.c:
	  start app on the correct screen and no more on screen 0 only

2005-11-12 13:46  olivier

	* libxfcegui4/xfce-exec.c:
	  Fix startup time not being initialized properly.

2005-11-11 19:00  daichi

	* po/es.po:
	  Updated Spanish translations by Rudy Godoy <rudy@stone-head.org>.

2005-11-07 13:41  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-11-05 14:59  daichi

	* po/ChangeLog:
	  Deciphering.

2005-11-05 14:38  daichi

	* po/ChangeLog:
	  Trimmed and updated.

2005-11-04 20:58  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Renable portion of code that ensure proper systray icon size,
	  otherwise it breaks KDE systray icons.

2005-11-03 14:12  daichi

	* po/be.po, po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	  po/fi.po, po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po,
	  po/ja.po, po/ko.po, po/libxfcegui4.pot, po/lt.po, po/mr.po,
	  po/nl.po, po/pa.po, po/pl.po, po/pt_BR.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-11-03 13:48  daichi

	* po/ko.po:
	  Updated Korean translations by ByungHyun Choi
	  <byunghyun.choi@gmail.com>.

2005-10-31 11:06  kelnos

	* libxfcegui4/xfce_aboutdialog.c:
	  first try xfbrowser4 when opening a website from the about box,
	  and then
	  fallback to $BROWSER and finally ns-remote (which should probably
	  be changed
	  to something that people actually have nowadays, but whatever)

2005-10-30 13:33  daichi

	* po/libxfcegui4.pot:
	  Updated.

2005-10-29 07:57  daichi

	* po/ca.po:
	  Updated and bumped the version up.
	  Fixed various strings.
	  Removed unnecessary `fuzzy' marks.

2005-10-29 07:54  daichi

	* po/be.po, po/bn_IN.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	  po/fr.po, po/gu.po, po/he.po, po/hy.po, po/it.po, po/ja.po,
	  po/ko.po, po/lt.po, po/mr.po, po/nl.po, po/pa.po, po/pl.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated and bumped the version up.
	  
	  XXX: What's this strange `c-format' mark? I'll have to check my
	  gettext...

2005-10-28 17:40  daichi

	* configure.ac:
	  Added `ca' at the XDT_I18N().

2005-10-28 17:36  daichi

	* configure.ac:
	  Added `eo' at the XDT_I18N().

2005-10-27 20:32  paurullan

	* po/ca.po:
	  begin process to 4.4 work
	  autotranslation of most of the actual po
	  
	  -- paurullan@bulma.net , ca translator

2005-10-27 20:20  gnu_sylvain

	* po/eo.po:
	  Added Esperanto translation for libxfcegui4 (trunk).

2005-10-22 21:08  jasper

	* configure.ac, libxfcegui4/xfce-exec.c, libxfcegui4/xfce-exec.h,
	  libxfcegui4/xfce_systemtray.c:
	  Add several _on_screen() versions of xfce_exec functions, to run
	  on a specific screen.

2005-10-21 09:05  daichi

	* configure.ac, po/pl.po:
	  Added Polish translations by Piotr Malinski <admin@rk.edu.pl>.

2005-10-20 23:30  daichi

	* po/it.po:
	  * Modified initial header strings using template by `msginit'.
	  
	  * Modified initial comment strings using template by `msginit'.

2005-10-19 21:27  olivier

	* libxfcegui4/gtk_style.c, libxfcegui4/gtk_style.h:
	  Use const gchar* where suitable

2005-10-19 20:51  daichi

	* po/lt.po:
	  Changed addresses.

2005-10-16 22:19  daichi

	* po/be.po, po/bn_IN.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/libxfcegui4.pot, po/lt.po, po/mr.po, po/nl.po, po/pa.po,
	  po/pt_BR.po, po/ro.po, po/ru.po, po/sk.po, po/sv.po, po/ta.po,
	  po/uk.po, po/zh_CN.po, po/zh_TW.po:
	  Updated.

2005-10-15 09:30  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  remove g_print()

2005-10-15 07:27  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  increase menu generation time by delaying icon loading until just
	  before the
	  menu is shown. this slows down the menu show ever so slightly,
	  but not too
	  bad since they're shown in pieces. need to think about this a bit
	  more,
	  but sysprof says this is the biggest bottleneck for menu
	  generation (with
	  menu cached already)

2005-10-14 09:59  daichi

	* po/ja.po:
	  Minor update.

2005-10-11 08:56  daichi

	* po/fi.po:
	  Changed an address.

2005-10-07 15:08  daichi

	* po/pa.po, po/ro.po, po/sk.po:
	  Changed addresses.

2005-10-05 19:30  olivier

	* libxfcegui4/gtktoxevent.h, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xfce_clock.h, libxfcegui4/xfce_decorbutton.h:
	  Make glib-mkenums happy so it doesn't generate broken headers
	  (big #17995)

2005-10-04 21:20  stavrosg

	* po/el.po:
	  Minor changes and updates in el translations

2005-10-01 10:51  dannym

	* libxfcegui4/xfce_clock.h:
	  make glib-mkenums happy

2005-10-01 10:46  dannym

	* libxfcegui4/gtktoxevent.h, libxfcegui4/session-client.h,
	  libxfcegui4/xfce_clock.h, libxfcegui4/xfce_decorbutton.h:
	  make glib-mkenums happy

2005-10-01 09:05  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  fix file descriptor leak in xfceicontheme (i think) (bug 1082)

2005-09-26 08:34  jasper

	* libxfcegui4/dialogs.c:
	  Seen this a hundred times, but never did anything about it.
	  Message dialogs have no separator. Bug #1162.

2005-09-26 01:39  hydonsingore

	* po/ChangeLog, po/zh_TW.po:
	  zh_TW translations minor update

2005-09-24 07:45  daichi

	* po/ja.po:
	  * Added initial "$Id: ChangeLog 29138 2009-01-11 08:46:35Z stephan $".
	  
	  * Updated some translations.

2005-09-22 12:14  daichi

	* configure.ac:
	  Added 'it' at the XDT_I18N().

2005-09-22 12:11  daichi

	* po/be.po, po/bn_IN.po, po/cs.po, po/de.po, po/el.po, po/en_GB.po,
	  po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	  po/gu.po, po/he.po, po/hy.po, po/it.po, po/ja.po, po/ko.po,
	  po/lt.po, po/mr.po, po/nl.po, po/pa.po, po/pt_BR.po, po/ro.po,
	  po/ru.po, po/sk.po, po/sv.po, po/ta.po, po/uk.po, po/zh_CN.po,
	  po/zh_TW.po:
	  * Bumped version at the 'Project-Id-Version:'.
	  
	  * Added fall back address at the 'Language-Team:', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  * Modified initial comment strings with template by 'msginit'.

2005-09-20 19:52  alex

	* po/ChangeLog, po/it.po:
	  Update Italian translations.

2005-09-15 18:59  juro

	* configure.ac:
	  Add sk_SK translations

2005-09-15 18:51  juro

	* po/ChangeLog, po/sk.po:
	  Add sk_SK translations

2005-09-13 20:23  jasper

	* configure.ac, libxfcegui4/xfce-exec.c, libxfcegui4/xfce-exec.h:
	  Add xfce_exec_argv and xfce_exec_argv_with_envp. No need to glue
	  arguments together only to have them split up later. I updated
	  the version and the libtool micro version (because of the API
	  addition).

2005-09-09 12:06  daichi

	* po/zh_TW.po:
	  Changed translator's representation in spelling by the request.

2005-09-03 13:11  kelnos

	* libxfcegui4/preview_filesel.h:
	  deprecate PreviewFileSelection. should use GtkFileChooser +
	  gtk_file_chooser_set_preview_widget()

2005-09-02 22:32  kelnos

	* libxfcegui4/xfce_decorbutton.h, libxfcegui4/xfce_decortoggle.h,
	  libxfcegui4/xfce_togglebutton.c:
	  deprecate XfceDecortoggle and XfceTogglebutton

2005-09-01 19:43  olivier

	* libxfcegui4/netk-tasklist.c:
	  Center title in button as before, looks better

2005-09-01 06:07  kelnos

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  fix return-type b0rk

2005-09-01 05:50  kelnos

	* libxfcegui4/xfce_aboutdialog.c:
	  kill warning if about dialog created with NULL icon

2005-09-01 04:28  kelnos

	* libxfcegui4/libxfcegui4.h:
	  and fix the filename in libxfcegui4.h

2005-09-01 04:20  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/xfce-dialog-helpers.c,
	  libxfcegui4/xfce-dialog-helpers.h,
	  libxfcegui4/xfce-widget-helpers.c,
	  libxfcegui4/xfce-widget-helpers.h, libxfcegui4/xfce_framebox.c,
	  libxfcegui4/xfce_framebox.h:
	  ok, i really meant to name those files xfce-widget-helpers.[ch].
	  i must be
	  tired. also revert XfceFramebox to xfce-4.2 state, and deprecate
	  it

2005-09-01 04:14  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xfce-dialog-helpers.c,
	  libxfcegui4/xfce-dialog-helpers.h:
	  add xfce_create_framebox() to replace XfceFramebox

2005-09-01 04:14  kelnos

	* xfce4-modules/mime-icons/icon-theme.c:
	  fix --enable-debug=full

2005-09-01 04:07  kelnos

	* configure.ac:
	  fix library version b0rkage

2005-08-31 22:16  olivier

	* libxfcegui4/xfce-exec.c:
	  Fix compilation error

2005-08-31 20:53  olivier

	* libxfcegui4/netk-tasklist.c:
	  Improve the use of ELLIPSIZE_END, and credits goes to Brian

2005-08-31 20:38  olivier

	* libxfcegui4/netk-tasklist.c:
	  Use object properties to ellipsize the label as suggested by
	  Benny

2005-08-31 20:07  olivier

	* libxfcegui4/netk-tasklist.c:
	  Ellipsize text with gtk+ 2.6 and later (required for gtk+ 2.8)

2005-08-31 19:22  benny

	* libxfcegui4/xfce-colorbutton.c:
	  Include <libxfce4util/libxfce4util.h> rather than
	  <libxfce4util/i18n.h>.

2005-08-31 06:56  kelnos

	* libxfcegui4/xfce_framebox.c:
	  * get rid of the GtkContainerClass::remove override, as it was
	  causing problems
	  * add a 'label' and 'indent' property
	  * move everything out of xfce_framebox_new() and into
	  xfce_framebox_init() or
	  the property setters

2005-08-31 04:25  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  note deprecated state in gtk-docs

2005-08-31 04:24  kelnos

	* libxfcegui4/xfce_framebox.c, libxfcegui4/xfce_framebox.h:
	  make XfceFramebox behave properly: deprecate xfce_framebox_add(),
	  and hook
	  up GtkContainerClass::add and GtkContainerClass::remove

2005-08-30 19:00  kelnos

	* libxfcegui4/xfce-colorbutton.h, libxfcegui4/xfce-filechooser.h:
	  deprecate XfceColorButton as well, as GtkColorButton is in gtk
	  2.4. fix
	  bad ordering of the ifdefs in xfce-filechooser.h, and remove a
	  redundant ifdef

2005-08-30 18:52  kelnos

	* libxfcegui4/xfce-filechooser.h:
	  deprecate XfceFileChooser. library users should use
	  GtkFileChooser directly,
	  since xfce 4.4 will depend on gtk 2.4

2005-08-30 12:58  benny

	* docs/tmpl/dialogs.sgml, docs/tmpl/netk-application.sgml,
	  docs/tmpl/netk-class-group.sgml, docs/tmpl/netk-screen.sgml,
	  docs/tmpl/netk-window.sgml, docs/tmpl/netk-workspace.sgml,
	  docs/tmpl/standard-macros.sgml, docs/tmpl/xfce-aboutdialog.sgml,
	  docs/tmpl/xfce-appmenuitem.sgml, docs/tmpl/xfce-exec.sgml,
	  docs/tmpl/xfce-filechooser.sgml, docs/tmpl/xfce-framebox.sgml,
	  docs/tmpl/xfce-gdk-extensions.sgml,
	  docs/tmpl/xfce-gtk-extensions.sgml,
	  docs/tmpl/xfce-icontheme.sgml, libxfcegui4/xfce_aboutdialog.c:
	  Fix two bugs of the previously committed patch. Update gtk-doc
	  templates.

2005-08-30 12:53  benny

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  Apply XfceAboutDialog patch provided by Jeff Franks
	  <jcfranks@tpg.com.au>
	  to export getter/setter methods for the various about dialog
	  properties.

2005-08-30 06:26  kelnos

	* libxfcegui4/xfce_systemtray.h:
	  fix typo

2005-08-30 06:20  kelnos

	* libxfcegui4/xfce_decorbutton.h, libxfcegui4/xfce_decortoggle.h,
	  libxfcegui4/xfce_framebox.h, libxfcegui4/xfce_movehandler.h,
	  libxfcegui4/xfce_scaled_image.h, libxfcegui4/xfce_systemtray.h:
	  add *_TYPE_* macros

2005-08-27 11:30  jasper

	* libxfcegui4/netk-tasklist.c:
	  Fixes problem with gtk 2.8 (bug #1099). Should perhaps be
	  backported?

2005-08-18 12:05  daichi

	* po/ja.po:
	  Updated Japanese translations.

2005-08-17 12:58  daichi

	* po/en_GB.po, po/es.po, po/lt.po, po/nl.po, po/pt_BR.po,
	  po/zh_CN.po:
	  Fixed errors emitted by 'msgfmt -c'.
	  
	  Converted local charset to UTF-8 at the 'Content-type:'.
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.

2005-08-16 13:09  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Take a reference on the icon.

2005-08-15 18:27  pollux

	* libxfcegui4/xfce_aboutdialog.c:
	  avoid some caracters like 'J' to be cropped

2005-08-13 14:09  daichi

	* po/fi.po:
	  Updated Finnish translations by Jari Rahkonen.

2005-08-07 15:43  jasper

	* libxfcegui4/dialogs.c:
	  Align text better with buttons (play with border widths), fix
	  memleak and do a bit of reformatting.

2005-08-06 16:30  pollux

	* libxfcegui4/xfce-icontheme.c:
	  add /usr/local/share/pixmaps in the default search path for icon

2005-08-06 07:47  stavrosg

	* po/el.po:
	  should remeber to ADD the file first =)

2005-08-06 07:42  stavrosg

	* configure.ac, po/ChangeLog:
	  Add Greek translation for libxfcegui4/trunk

2005-08-05 06:41  pollux

	* configure.ac, po/hy.po:
	  add some HY translations

2005-07-26 20:22  pollux

	* docs/tmpl/dialogs.sgml, docs/tmpl/netk-application.sgml,
	  docs/tmpl/netk-class-group.sgml, docs/tmpl/netk-screen.sgml,
	  docs/tmpl/netk-window.sgml, docs/tmpl/netk-workspace.sgml,
	  docs/tmpl/standard-macros.sgml, docs/tmpl/xfce-aboutdialog.sgml,
	  docs/tmpl/xfce-appmenuitem.sgml, docs/tmpl/xfce-exec.sgml,
	  docs/tmpl/xfce-filechooser.sgml, docs/tmpl/xfce-framebox.sgml,
	  docs/tmpl/xfce-gdk-extensions.sgml,
	  docs/tmpl/xfce-gtk-extensions.sgml,
	  docs/tmpl/xfce-icontheme.sgml, libxfcegui4/dialogs.c:
	  fix b0rkage

2005-07-26 20:16  pollux

	* libxfcegui4/dialogs.c:
	  hmmm better this way

2005-07-26 20:13  pollux

	* libxfcegui4/dialogs.c:
	  make the window appears on the correct screen

2005-07-19 19:08  pollux

	* po/ja.po:
	  update JA translations

2005-07-06 09:01  pollux

	* configure.ac, po/zh_TW.po:
	  update zh_TW translations

2005-07-04 11:47  pollux

	* po/ko.po:
	  update KO translations

2005-06-26 07:35  jasper

	* libxfcegui4/Makefile.am, libxfcegui4/xfce-exec.c:
	  Fix executing in terminal when command has arguments (bug #1034)

2005-06-23 04:23  kelnos

	* libxfcegui4/xfce-exec.c:
	  replace netk stuff with theoretically more efficient xlib calls

2005-06-22 23:09  kelnos

	* libxfcegui4/xfce-exec.c:
	  heh, whoops. include libutil/debug.h

2005-06-22 17:59  kelnos

	* libxfcegui4/xfce-exec.c:
	  use sn_launcher_context_set_workspace() to tell the app which
	  workspace to
	  start on (this doesn't appear to actually work yet for some
	  reason)

2005-05-20 23:54  dannym

	* libxfcegui4/netk-xutils.c:
	  cant be utf8 anyways

2005-05-20 23:18  dannym

	* libxfcegui4/netk-window.c:
	  fix typo

2005-05-20 22:48  dannym

	* configure.ac:
	  update micro version, since netk_window_get_client_machine was
	  added

2005-05-20 22:13  dannym

	* libxfcegui4/netk-window.c:
	  explicit initialization of client_machine, clean up since g_free
	  ignores NULL

2005-05-20 21:56  dannym

	* libxfcegui4/netk-window.c, libxfcegui4/netk-window.h,
	  libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h:
	  add netk_window_get_client_machine

2005-05-16 08:16  dannym

	* libxfcegui4/gui-enum-types.c, libxfcegui4/gui-enum-types.h,
	  libxfcegui4/netk-enum-types.c, libxfcegui4/netk-enum-types.h:
	  remove generated files (trunk only). If something breaks, bug me
	  and I'll readd them :)

2005-05-15 11:49  jasper

	* libxfcegui4/gui-enum-types.c, libxfcegui4/gui-enum-types.h,
	  libxfcegui4/netk-enum-types.c, libxfcegui4/netk-enum-types.h,
	  libxfcegui4/xfce_aboutdialog.c:
	  Add a function type and a return statement. Danny: this is not
	  python ;-)

2005-05-14 19:52  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-14 19:51  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-06 19:00  pollux

	* configure.ac, po/bn_IN.po:
	  add bn_IN translations

2005-05-06 18:44  pollux

	* configure.ac, po/mr.po:
	  add MR translations

2005-05-06 07:23  dannym

	* libxfcegui4/xfce_systemtray.h:
	  add names for documentation

2005-05-06 07:10  dannym

	* libxfcegui4/xfce_systemtray.h:
	  systemtray: remove unneccessary 'extern', add parameter names

2005-05-05 16:40  dannym

	* libxfcegui4/gtktoxevent.h, libxfcegui4/gui-enum-types.c,
	  libxfcegui4/session-client.h, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xfce-icontheme.h, libxfcegui4/xfce_clock.h,
	  libxfcegui4/xfce_decorbutton.h:
	  whoops... that arent flags

2005-05-05 15:56  dannym

	* libxfcegui4/gtktoxevent.h, libxfcegui4/gui-enum-types.c,
	  libxfcegui4/gui-enum-types.h:
	  add gtktoxevent to gui-enum-types

2005-05-05 15:44  dannym

	* libxfcegui4/Makefile.am:
	  add gtktoxevent for the enums to get noticed

2005-05-05 15:22  dannym

	* libxfcegui4/session-client.h, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xfce-icontheme.h, libxfcegui4/xfce_decorbutton.h:
	  add some prefix flags for mkenum

2005-05-05 15:19  dannym

	* libxfcegui4/Makefile.am:
	  add session-client since there is an enum too

2005-05-05 15:17  dannym

	* configure.ac:
	  next version for the gui-enum-types

2005-05-05 15:06  dannym

	* libxfcegui4/gui-enum-types.c, libxfcegui4/gui-enum-types.h:
	  add gui-enum-types.*

2005-05-05 14:07  dannym

	* libxfcegui4/Makefile.am:
	  typo

2005-05-05 14:04  dannym

	* libxfcegui4/Makefile.am:
	  add gui_headers for glib-mkenums

2005-05-05 14:01  dannym

	* libxfcegui4/Makefile.am, libxfcegui4/xfce_clock.h:
	  add gui RTTI

2005-05-04 21:40  dannym

	* libxfcegui4/netk-trayicon.h:
	  remove obvious 'extern' and add parameter names

2005-05-04 20:51  olivier

	* ChangeLog:
	  Update ChangeLog

2005-05-04 20:50  olivier

	* po/ChangeLog:
	  Update ChangeLog

2005-05-04 19:39  dannym

	* libxfcegui4/xfce_clock.h:
	  add clock type

2005-05-04 19:27  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  set default to center always

2005-05-04 19:02  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  fix bug with calling wrong function for 'set_license'

2005-05-04 18:14  dannym

	* configure.ac, libxfcegui4/xfce_togglebutton.h:
	  add XFCE_TYPE_TOGGLEBUTTON

2005-05-03 22:39  dannym

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  xfce_about_dialog_new_normal -> xfce_about_dialog_new_empty

2005-05-03 21:32  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  add xfce_about_info_set_* functions

2005-05-03 21:18  dannym

	* configure.ac:
	  new about dialog => new minor version

2005-05-03 21:17  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  add documentation

2005-05-03 21:16  dannym

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  leave the fallback function with the old name to make kelnos
	  happy :)

2005-05-03 20:51  dannym

	* libxfcegui4/netk-tasklist.c:
	  revert accidential commit of netk tasklist

2005-05-03 20:46  dannym

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  add getter functions

2005-05-03 20:42  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  fix dupe vars

2005-05-03 20:41  dannym

	* libxfcegui4/netk-tasklist.c, libxfcegui4/xfce_aboutdialog.c,
	  libxfcegui4/xfce_aboutdialog.h:
	  add setters

2005-05-03 20:36  dannym

	* libxfcegui4/xfce_aboutdialog.c, libxfcegui4/xfce_aboutdialog.h:
	  make aboutdialog modifiable (after display) and simpler to use
	  from other languages

2005-05-03 16:08  dannym

	* libxfcegui4/netk-screen.c:
	  remove testing comment (tested enough)

2005-04-30 15:06  dannym

	* libxfcegui4/netk-screen.c:
	  make netk initialisation do do_update_now instead of queue_update
	  (the first time per screen), so that applications without main
	  loop can use netk_screen_get_windows too.
	  
	  example:
	  
	  g_warning ("%p", netk_screen_get_windows (netk_screen_get_default
	  ()));
	  
	  before:
	  0
	  
	  after:
	  someaddressofglist
	  
	  I tested all of window manager, task list, panel and they seem to
	  be fine, still.

2005-04-27 19:46  dannym

	* libxfcegui4/xfce_iconbutton.h, libxfcegui4/xfce_menubutton.h:
	  add XFCE_TYPE_*

2005-04-27 13:17  dannym

	* libxfcegui4/gtk_style.h:
	  add names to get_style and friends, to make pyxfce work

2005-04-11 19:58  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  check ~/.local/share/pixmaps/ as a fallback (bug 731)

2005-04-08 11:54  pollux

	* configure.ac, po/sv.po:
	  add SV translations

2005-04-06 07:33  perldude

	* docs/.cvsignore, po/.cvsignore:
	  remove .cvsignore cruft

2005-03-27 15:45  jasper

	* libxfcegui4/netk-xutils.c:
	  Ok, these debugging statements (icon theme related) drive me mad.
	  Just put them back if needed again.

2005-03-20 18:45  moe

	* po/de.po:
	  Would've missed them I guess

2005-03-15 17:02  benny

	* configure.ac, docs/tmpl/netk-application.sgml,
	  docs/tmpl/netk-class-group.sgml, docs/tmpl/netk-screen.sgml,
	  docs/tmpl/netk-window.sgml, docs/tmpl/netk-workspace.sgml,
	  docs/tmpl/xfce-appmenuitem.sgml, docs/tmpl/xfce-icontheme.sgml,
	  libxfcegui4/Makefile.am, libxfcegui4/netk-enum-types.c,
	  libxfcegui4/netk-marshal.c, libxfcegui4/netk-marshal.h, po,
	  po/.cvsignore:
	  Make this compile with --enable-debug=full.
	  Fix the autogeneration of enums and marshal files (for now
	  they'll be kept in
	  CVS).

2005-03-05 19:12  jasper

	* libxfcegui4/netk-window-action-menu.c,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-exec.c,
	  libxfcegui4/xfce-icontheme.c:
	  * Remove quotes around command in several locations (xfdesktop,
	  xfce-appmenu and xfce-exec). Bug #776.
	  * libgui warning fixes

2005-02-21 08:38  pollux

	* configure.ac, po/ja.po:
	  update JA translations

2005-02-13 10:45  jasper

	* libxfcegui4/xfce_scaled_image.c:
	  Hmm. No debug by default.

2005-02-07 18:53  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  fix problem with relative paths

2005-02-05 23:32  edscott

	* xfce4-modules/mime-applications/mime.c:
	  don't quote paths that are already quoted.

2005-01-31 10:34  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  this should fix inheritance - stupid mistake (bug 711)

2005-01-30 14:19  dannym

	* docs/tmpl/netk-workspace.sgml:
	  add real NetkWorkspace docs

2005-01-30 14:12  dannym

	* libxfcegui4/netk-window.h:
	  add const char* netk_window_get_resource_name (NetkWindow
	  *window);

2005-01-30 14:08  dannym

	* docs/tmpl/netk-window.sgml:
	  add real docs for NetkWindow

2005-01-30 13:44  dannym

	* docs/tmpl/netk-screen.sgml:
	  add real docs

2005-01-30 13:29  dannym

	* docs/tmpl/netk-class-group.sgml:
	  add real docs

2005-01-30 12:51  dannym

	* docs/tmpl/netk-class-group.sgml:
	  fix parameter names to fit gtk-doc

2005-01-30 12:49  dannym

	* docs/tmpl/netk-application.sgml:
	  fix typo

2005-01-30 12:33  dannym

	* docs/tmpl/netk-application.sgml:
	  addd some real docs :)

2005-01-30 01:24  dannym

	* libxfcegui4/netk-class-group.h:
	  fix what looks like an obvious type mistake... although too
	  obvious...
	  someone check that this is correct :)

2005-01-30 01:14  dannym

	* docs/tmpl/netk-workspace.sgml:
	  add netk workspace docs

2005-01-30 01:12  dannym

	* docs/libxfcegui4-docs.sgml, docs/libxfcegui4-sections.txt,
	  docs/tmpl/netk-application.sgml, docs/tmpl/netk-class-group.sgml,
	  docs/tmpl/netk-screen.sgml, docs/tmpl/netk-window.sgml,
	  docs/tmpl/xfce-appmenuitem.sgml, docs/tmpl/xfce-icontheme.sgml:
	  add netk stuff

2005-01-30 00:32  dannym

	* libxfcegui4/netk-window.h, libxfcegui4/netk-xutils.c,
	  libxfcegui4/xfce_scaled_image.c:
	  remove dupe of netk_window_get_resource_class

2005-01-26 22:16  benny

	* Makefile.am, Makefile.in, aclocal.m4, autogen.sh, compile,
	  config.guess, config.h.in, config.sub, configure, configure.ac,
	  depcomp, docs/Makefile.in, gtk-doc.make, install-sh,
	  libxfcegui4/Makefile.in, ltmain.sh, m4, missing, mkinstalldirs,
	  pixmaps/Makefile.in, po/Makefile.in.in, po/be.gmo, po/cs.gmo,
	  po/de.gmo, po/en_GB.gmo, po/es.gmo, po/et.gmo, po/eu.gmo,
	  po/fa.gmo, po/fi.gmo, po/fr.gmo, po/gu.gmo, po/he.gmo, po/ko.gmo,
	  po/lt.gmo, po/nl.gmo, po/pa.gmo, po/pt_BR.gmo, po/ro.gmo,
	  po/ru.gmo, po/ta.gmo, po/uk.gmo, po/zh_CN.gmo,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Remove autogenerated files (final i18n macro test).
	  Remove M4 macros.
	  Use xfce4-dev-tools and new macros.

2005-01-22 12:21  pollux

	* po/fi.gmo, po/fi.po:
	  update FI translations

2005-01-21 06:54  kelnos

	* libxfcegui4/netk-window-action-menu.c:
	  add "send to workspace" menu to NetkWindowActionMenu (for
	  taskbar)

2005-01-19 19:19  edscott

	* xfce4-modules/mime-applications/mime.c:
	  fix for posix-1.1996

2005-01-09 18:53  benny

	* libxfcegui4/xfce-icontheme.c:
	  Backport fix.

2005-01-08 15:04  pollux

	* configure, configure.ac, po/ru.gmo, po/ru.po:
	  update RU translations

2005-01-06 19:24  pollux

	* configure, configure.ac, ltmain.sh, po/uk.gmo, po/uk.po:
	  update UK translations

2005-01-05 16:01  pollux

	* po/he.gmo, po/he.po:
	  update HE translations

2005-01-02 12:51  olivier

	* ChangeLog, Makefile.in, configure, configure.ac, ltmain.sh:
	  Update version and changelog

2004-12-30 18:06  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  fix an incorrect path specification that was causing cache to be
	  regenerated whenchanging the working directory of the the
	  application using the module.

2004-12-25 20:33  kelnos

	* Makefile.am:
	  fix distcheck-bz2

2004-12-24 00:03  kelnos

	* Makefile.am:
	  add dist-bz2 and distcheck-bz2 targets

2004-12-23 21:24  pollux

	* configure, configure.ac, po/et.gmo, po/et.po:
	  update ET translations

2004-12-23 08:56  benny

	* docs/Makefile.in, gtk-doc.make, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in:
	  Fix dist creation with gtk-doc.

2004-12-23 07:19  olivier

	* libxfcegui4.spec.in:
	  Remove "icons" from spec file

2004-12-22 20:25  benny

	* ChangeLog, Makefile.am, Makefile.in, docs/Makefile.am,
	  docs/Makefile.in, gtk-doc.make:
	  Update ChangeLog. Fix make distcheck.

2004-12-21 10:00  jasper

	* configure:
	  Reporting for autotool duty

2004-12-21 09:10  kelnos

	* configure.ac:
	  add czech translations

2004-12-21 09:03  kelnos

	* po/cs.gmo, po/cs.po:
	  add/update czech translations

2004-12-20 21:00  jasper

	* ChangeLog, configure:
	  Update versions and ChangeLog

2004-12-19 20:26  pollux

	* configure, configure.ac, po/ta.gmo, po/ta.po:
	  Add TA translations in libxfcegui4

2004-12-19 18:25  jasper

	* Makefile.in, aclocal.m4, compile, config.guess, config.sub,
	  configure, docs/Makefile.in, install-sh, libxfcegui4/Makefile.in,
	  ltmain.sh, pixmaps/Makefile.in, po/libxfcegui4.pot,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Autogen for Brian

2004-12-19 09:30  kelnos

	* hicolor-index.theme, index.theme:
	  do something right for once, brian.

2004-12-19 09:25  kelnos

	* Makefile.am, Makefile.in, aclocal.m4, compile, config.guess,
	  config.sub, configure, configure.ac, docs/Makefile.in,
	  install-sh, libxfcegui4/Makefile.in,
	  libxfcegui4/xfce-icontheme.c, ltmain.sh, pixmaps/Makefile.in,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  stash a fallback hicolor-index.theme in $datadir/xfce4 and use
	  that if
	  we ever encounter a hicolor/ icon dir without an index.theme

2004-12-19 09:17  kelnos

	* xfce4-modules/mime-applications/mime.c:
	  fix warning

2004-12-18 10:28  jasper

	* configure, ltmain.sh,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in:
	  Autogen for Maarten

2004-12-18 10:14  boekhold

	* xfce4-modules/mime-icons/Makefile.am:
	  Under cygwin, we need to link against libdbh explicitly.

2004-12-18 10:13  boekhold

	* xfce4-modules/mime-applications/Makefile.am:
	  Under cywgin we need to link against libdbh explicitly.

2004-12-16 06:38  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  add a few more possible file names to the builtin category
	  searches; should
	  mitigate bug 426 some

2004-12-15 21:38  olivier

	* configure, configure.ac, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-xutils.c,
	  libxfcegui4/netk-xutils.h, ltmain.sh:
	  Fix #579 (taskbar not blinking when URGENT hint is set),
	  Update version.

2004-12-15 18:56  pollux

	* configure, configure.ac, po/pt_BR.gmo, po/pt_BR.po:
	  update pt_BR translations

2004-12-14 20:33  pollux

	* configure, configure.ac, po/ro.gmo, po/ro.po:
	  add RO translations

2004-12-11 17:51  olivier

	* libxfcegui4/gtktoxevent.c, po/libxfcegui4.pot:
	  Various changes and small fixes

2004-12-07 21:48  edscott

	* xfce4-modules/combo/combo.c:
	  fix a crash condition when trying to save a null string to
	  history file
	  (function should really not be called if nothing is to be
	  saved...).

2004-12-07 12:36  benny

	* configure, xfce4-modules/mime-applications/mime.c:
	  Fix mime-applications.c

2004-12-07 12:33  benny

	* config.h.in, configure, configure.ac:
	  Fix dependencies!

2004-12-07 03:33  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  remove a deprecated xfce_get_homedir().

2004-12-05 21:20  pollux

	* configure, configure.ac, po/en_GB.gmo, po/en_GB.po:
	  add en_GB translations

2004-12-05 15:21  edscott

	* xfce4-modules/combo/combo.c:
	  do not activate combo if there is only one element in the history
	  list

2004-12-04 16:37  benny

	* ChangeLog, configure:
	  Update ChangeLog.

2004-11-28 20:14  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  regenerate cache on device changes (suggested by C. Weaver)

2004-11-26 19:06  pollux

	* configure, configure.ac, po/ko.gmo, po/ko.po:
	  update KO translations

2004-11-24 10:03  kelnos

	* libxfcegui4/dialogs.c:
	  make xfce_message_dialog() more HIG-y

2004-11-20 22:32  olivier

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-tasklist.c:
	  Revering previous horrible hack for bug #502

2004-11-18 22:56  benny

	* configure, configure.ac, ltmain.sh:
	  Specifying the nano version within the micro version broke the
	  LIBXFCEGUI4_MICRO_VERSION and related macros. Added some m4
	  magic to work-around the problem.

2004-11-16 22:58  olivier

	* configure, configure.ac, po/libxfcegui4.pot:
	  Update package version

2004-11-16 22:44  olivier

	* configure, configure.ac, libxfcegui4/netk-application.c,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-xutils.c, po/libxfcegui4.pot:
	  Fix bug id #497 (Application icon not displayed in taskbar),
	  Various code cleanup.

2004-11-16 00:03  benny

	* libxfcegui4/xfce-internals.c:
	  libxfcegui4 should not call textdomain().

2004-11-14 11:09  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  huh. not really sure why this has compiled for the last bunch of
	  months, actually.

2004-11-13 18:01  olivier

	* ChangeLog:
	  Update ChangeLog

2004-11-13 15:19  olivier

	* configure, xfce4-modules/Makefile.in,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Auto-tools check-up.

2004-11-12 18:08  kelnos

	* libxfcegui4.spec.in:
	  fix 'make rpm' failure

2004-11-10 03:00  edscott

	* xfce4-modules/mime-applications/mime.c:
	  resolve bug 483: mime magic determination was leaving open file
	  descriptor

2004-11-08 01:32  edscott

	* xfce4-modules/mime-applications/mime.c:
	  code execution optimizations

2004-11-08 00:22  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  failsafe

2004-11-07 01:16  edscott

	* xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/combo/combo.c, xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime/Makefile.in:
	  get rid of some useless warnings generated in FreeBSD-5.2.1

2004-11-06 18:07  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  small fix: add serial count for source.

2004-11-06 16:53  olivier

	* configure, configure.ac:
	  Increase lib version because of bugfixes that occured recently
	  (talsklist widget, SVG icons handling, etc.)

2004-11-06 16:23  olivier

	* ChangeLog, Makefile.in, aclocal.m4, compile, config.guess,
	  config.sub, configure, configure.ac, depcomp, docs/Makefile.in,
	  install-sh, libxfcegui4/Makefile.in, ltmain.sh, missing,
	  pixmaps/Makefile.in, po/libxfcegui4.pot,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Update automake/autoconf/libtool/gettext versions to generate the
	  configure scripts and Makefiles,
	  Update versions of all packages to 4.1.99.1 (ie 4.2 RC1),
	  Update ChangeLogs.

2004-11-06 15:54  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  extend directory search for fallback upon broken icon.theme
	  (Piotr Chmura case).

2004-11-06 09:29  kelnos

	* Makefile.am, Makefile.in, aclocal.m4, config.guess, config.sub,
	  configure, configure.ac, depcomp, docs/Makefile.in, install-sh,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce-icontheme.c, ltmain.sh,
	  pixmaps, pixmaps/Makefile.am, pixmaps/Makefile.in,
	  pixmaps/xfce-svg-test.svg, xfce4-modules/Makefile.in,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  * add new way of doing runtime detection for SVG files
	  FIXME: create a tiny svg to replace the one i'm adding
	  * change how XfceIconTheme finds icons, so it prefers a
	  correctly-sized
	  non-scalable icon over an SVG icon

2004-11-03 15:21  olivier

	* libxfcegui4/netk-window.c:
	  Revert: Don't show modals/dialogs/utilities/toolbars that set a
	  "group_leader" field in taskbar either.

2004-11-03 09:20  olivier

	* libxfcegui4/netk-window.c:
	  Don't show modals/dialogs/utilities/toolbars that set a
	  "group_leader" field in taskbar either.

2004-11-02 17:59  olivier

	* libxfcegui4/netk-tasklist.c, libxfcegui4/netk-window.c:
	  Fix bug #436 and #449 (taskbar and taskbar plugin are crashing)

2004-11-02 13:43  benny

	* libxfcegui4/libxfcegui4.h:
	  Include xfce_scaled_image as well here.

2004-11-02 13:34  jasper

	* configure, configure.ac, ltmain.sh:
	  Bump version

2004-11-02 13:16  jasper

	* libxfcegui4/netk-tasklist.c, libxfcegui4/xfce_scaled_image.c:
	  * Fix bug #452: don't force button size when not showing label
	  * Hopefully fix bug #450: infinite loop in icon scaling

2004-11-02 13:08  edscott

	* xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime-icons/icon-theme.c:
	  This should fixe bug 437

2004-11-01 21:17  olivier

	* libxfcegui4/netk-tasklist.c:
	  Reordering

2004-11-01 15:28  edscott

	* xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/icon-theme.h:
	  add missing gtk-doc comments (although gtk-doc files are
	  currently not
	  being generated for xfce4-modules)

2004-11-01 14:58  edscott

	* xfce4-modules/combo/combo.c,
	  xfce4-modules/mime-applications/mime.c,
	  xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/icon-theme.h,
	  xfce4-modules/mime-icons/mime_icons.c:
	  replace debugging directives with DBG and TRACE macros

2004-10-31 23:44  edscott

	* xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/icon-theme.h,
	  xfce4-modules/mime-icons/mime_icons.c:
	  beta3: Instead of having each application load it's very own
	  memory based
	  hashtable, use a shared disk based hash for resolution of icon
	  names
	  according to theme. This should both speed up the startup up
	  process and
	  reduce the memory footprint. Performance will also be improved
	  but will be
	  hardly noticeable.

2004-10-30 21:16  olivier

	* libxfcegui4.spec.in:
	  Still no luck...

2004-10-30 21:01  olivier

	* libxfcegui4.spec.in:
	  Grrrr, spec file broken

2004-10-30 19:03  olivier

	* ChangeLog, ltmain.sh:
	  Global update for 4.1.91 (Xfce 4.2 beta 2)

2004-10-30 16:01  pollux

	* configure, xfce4-modules/mime-icons/icon-theme.c:
	  fix compilation with --enable-debug=yes

2004-10-30 14:00  pollux

	* configure, configure.ac, ltmain.sh, po/lt.gmo, po/lt.po:
	  update LT translations

2004-10-29 23:54  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  code cleanup

2004-10-29 21:10  olivier

	* configure, libxfcegui4/netk-tasklist.c, ltmain.sh,
	  po/libxfcegui4.pot, xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in:
	  Fix the crashes in taskbar,
	  Fix a missing file from dist,
	  Small code cleanups.

2004-10-29 18:29  edscott

	* xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime/hicolor.mime.xml:
	  avoid trouble when either icon.theme or xxx.mime.xml are missing
	  (failsafe)

2004-10-29 16:16  edscott

	* xfce4-modules/mime/hicolor.mime.xml:
	  small details

2004-10-29 15:21  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  small details

2004-10-28 21:17  olivier

	* libxfcegui4/netk-tasklist.c:
	  Small code reorg

2004-10-28 12:50  jasper

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_scaled_image.c:
	  Small tweak

2004-10-28 11:55  pollux

	* configure, configure.ac, ltmain.sh, po/he.gmo, po/he.po:
	  update HE translations

2004-10-28 08:31  kelnos

	* libxfcegui4/netk-tasklist.c:
	  ...and fix a memleak i just introduced

2004-10-28 08:24  kelnos

	* libxfcegui4/netk-tasklist.c:
	  fix condition where a window that gets _NET_WM_STATE_SKIP_TASKBAR
	  set on
	  stops getting watched, and NetkTasklist won't notice if that
	  state is
	  later removed.

2004-10-26 16:10  jasper

	* libxfcegui4/netk-tasklist.c:
	  Don't make smaller buttons when there's space enough for
	  DEFAULT_BUTTON_WIDTH. This is what I intended to do originally.
	  Hope it won't cause (another) flame war ;-)

2004-10-26 06:56  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  fix a memleak

2004-10-25 17:32  edscott

	* xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  fix bug 413

2004-10-25 14:34  edscott

	* xfce4-modules/mime-icons/icon-theme.c:
	  fix dumb typo

2004-10-25 14:12  edscott

	* xfce4-modules/headers/mime_icons.h,
	  xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/icon-theme.h,
	  xfce4-modules/mime-icons/mime_icons.c:
	  optimisations

2004-10-25 01:03  edscott

	* xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime-icons/icon-theme.c,
	  xfce4-modules/mime-icons/icon-theme.h,
	  xfce4-modules/mime-icons/mime_icons.c:
	  add function find_icon_path() to handle inheritance correctly and
	  faster,
	  allow retricted hash searches dependending on icon context,
	  process size field from index.theme correctly,
	  add support for rendering all icons that gtk supports,
	  and remove blocking flag from applications using mime-icons
	  module.

2004-10-23 14:45  olivier

	* ChangeLog:
	  Update ChangeLog

2004-10-22 20:38  olivier

	* ChangeLog, ltmain.sh:
	  Updated versions and change logs

2004-10-21 17:52  benny

	* docs/Makefile.am, docs/Makefile.in:
	  Fix build w/o gtk-doc.

2004-10-20 18:19  edscott

	* configure:
	  update version

2004-10-18 21:57  edscott

	* libxfcegui4/xfce-icontheme.c:
	  remove another edscott fix

2004-10-18 21:49  edscott

	* libxfcegui4/xfce-icontheme.c:
	  revert all of Edscott's fixes

2004-10-17 12:52  edscott

	* libxfcegui4/xfce-icontheme.c:
	  when taking svg icons, take first match, not last.

2004-10-17 09:22  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  update gtk-doc

2004-10-17 09:18  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  utf8-validate 'name' parameter from .desktop file

2004-10-16 14:35  edscott

	* libxfcegui4/xfce-icontheme.c:
	  missing instruction for scale fix

2004-10-16 14:20  edscott

	* libxfcegui4/xfce-icontheme.c:
	  correct logic for scaling fix.

2004-10-16 13:29  edscott

	* libxfcegui4/xfce-icontheme.c:
	  - revert yesterday's tweak
	  - fix: don't scale images that are already to scale.

2004-10-16 01:55  edscott

	* Makefile.in, config.h.in, configure, configure.ac,
	  docs/Makefile.in, libxfcegui4/Makefile.in,
	  libxfcegui4/xfce-icontheme.c, xfce4-modules/Makefile.in,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/headers/mime_icons.h,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime-icons/mime_icons.c,
	  xfce4-modules/mime/Makefile.in:
	  - update to version 4.1.91
	  - add an extra check for libdbh so that config.h gets built
	  correctly
	  - tweak xfce-icontheme so that when png icons are set, can fall
	  back to
	  svg icons if things don't work out.

2004-10-15 03:05  kelnos

	* libxfcegui4/xfce-icontheme.c, libxfcegui4/xfce-icontheme.h:
	  add xfce_icon_theme_set_use_svg() and
	  xfce_icon_theme_get_use_svg()

2004-10-13 09:55  pollux

	* configure, configure.ac, po/be.gmo, po/de.gmo, po/es.gmo,
	  po/eu.gmo, po/fi.gmo, po/fi.po, po/fr.gmo, po/gu.gmo, po/nl.gmo,
	  po/pa.gmo, po/zh_CN.gmo:
	  update FI translations

2004-10-12 21:48  edscott

	* libxfcegui4/xfce-icontheme.c:
	  previous logic fix was incomplete. Completting now.

2004-10-12 15:52  edscott

	* config.h.in, configure, configure.ac:
	  dbh dependency

2004-10-12 15:45  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  remove stuff added for inheritance debugging

2004-10-12 15:42  edscott

	* libxfcegui4/xfce-icontheme.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  fix an incorrectly stated logic expression

2004-10-12 14:20  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  I forgot that libxml dependency was in fact eliminated long
	  ago...

2004-10-12 13:47  edscott

	* configure, xfce4-modules/mime/Makefile.am,
	  xfce4-modules/mime/Makefile.in,
	  xfce4-modules/mime/gnome.mime.xml,
	  xfce4-modules/mime/hicolor.mime.xml:
	  these added files belong here, not in the xffm/pixmaps directory.

2004-10-12 13:22  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  fix bug in determining local xml file name

2004-10-11 16:30  benny

	* po/be.po, po/de.po, po/es.po, po/eu.po, po/fr.po, po/gu.po,
	  po/nl.po, po/pa.po, po/zh_CN.po:
	  update-po for Moe.

2004-10-11 14:41  edscott

	* xfce4-modules/mime/applications.xml:
	  adding firefox to applications for html files

2004-10-09 14:20  pollux

	* configure, configure.ac, po/fa.gmo, po/fa.po:
	  update FA translations

2004-10-09 13:48  pollux

	* po/pa.po:
	  Punjabi translations update from jaswinderlinux@netscape.net

2004-10-07 20:35  benny

	* configure, m4/debug.m4:
	  Added --enable-final (-O1 for GNU ld) as per Jaspers request.
	  Added missing
	  m4 files.

2004-10-03 16:14  pollux

	* configure, configure.ac, ltmain.sh, po/pa.gmo, po/pa.po:
	  Punjabi translations (PA) from jaswinderlinux@netscape.net

2004-10-02 13:28  olivier

	* ChangeLog, configure, ltmain.sh, po/libxfcegui4.pot:
	  Update all files for 4.2 beta 1

2004-10-02 06:55  boekhold

	* xfce4-modules/combo/combo.c,
	  xfce4-modules/mime-applications/mime.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  g_module_check_init needs G_MODULE_EXPORT for cygwin

2004-09-29 16:49  edscott

	* xfce4-modules/mime/xfce.org.xml:
	  sudo emblem

2004-09-29 07:59  pollux

	* configure, configure.ac, po/zh_CN.gmo, po/zh_CN.po:
	  updated zh_CN translations from yongtao yang
	  <yongtao.yang@gmail.com>

2004-09-27 17:54  jasper

	* configure, configure.ac:
	  Update version to 4.1.90

2004-09-26 23:04  kelnos

	* libxfcegui4/xfce-gdk-extensions.c:
	  fix http://bugzilla.xfce.org/show_bug.cgi?id=338

2004-09-24 08:52  benny

	* libxfcegui4/xfce_aboutdialog.h:
	  Get rid of the additional dot in the default copyright text.

2004-09-23 21:36  pollux

	* configure, configure.ac, po/gu.gmo, po/gu.po:
	  add Gujarati translations (GU) from Ankit Patel
	  <ankit@redhat.com>

2004-09-23 05:29  kelnos

	* libxfcegui4/netk-tasklist.c:
	  fix tasklist crash when label's aren't shown and the URGENT
	  status changes

2004-09-22 03:50  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  yeargh, remove debug statement

2004-09-22 03:48  kelnos

	* libxfcegui4/netk-tasklist.c, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-window.c, libxfcegui4/session-client.c,
	  libxfcegui4/xfce-appmenuitem.c,
	  libxfcegui4/xfce-gdk-extensions.c:
	  * make XfceAppMenuItem use the GenericName .desktop field if
	  we're an
	  Xfce-only app
	  * fix a bunch of warnings

2004-09-21 11:51  jasper

	* po/be.gmo, po/be.po, po/de.gmo, po/de.po, po/es.gmo, po/es.po,
	  po/eu.gmo, po/eu.po, po/fr.gmo, po/fr.po, po/libxfcegui4.pot,
	  po/nl.gmo, po/nl.po:
	  Run make update-po at Moe's request.

2004-09-20 22:22  olivier

	* ChangeLog:
	  Update all ChangeLogs

2004-09-19 15:29  jasper

	* Makefile.in, configure, xfce4-modules/mime-icons/Makefile.in:
	  autogen for Maarten

2004-09-19 15:21  boekhold

	* Makefile.am:
	  Change build-order: Build libxfcegui4 *before* the modules. Under
	  cygwin,
	  the mime-icons module depends on libxfcegui4 itself.

2004-09-19 15:19  boekhold

	* xfce4-modules/mime-icons/Makefile.am:
	  Fix typo in cygwin specific part (was wrong target name)
	  Add libraries for cygwin
	  Link against libxfcegui4.la

2004-09-19 15:09  moe

	* xfce4-modules/mime-applications/Makefile.am:
	  bah .. smack me

2004-09-19 10:29  moe

	* xfce4-modules/mime-applications/Makefile.am:
	  Dumdidum ..

2004-09-19 10:14  jasper

	* configure, configure.ac, po/nl.gmo, po/nl.po,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in:
	  Update nl translations

2004-09-19 05:00  boekhold

	* xfce4-modules/mime-icons/Makefile.am:
	  Fixed error in cygwin changes (had wrong target name for LDFLAGS)

2004-09-19 04:59  boekhold

	* xfce4-modules/mime-applications/Makefile.am:
	  Fixed mistake in the fixes for cygwin (forgot -module LDFLAGS)

2004-09-18 16:41  pollux

	* configure, configure.ac, po/de.gmo, po/eu.gmo, po/eu.po:
	  update EU translations

2004-09-18 10:16  moe

	* xfce4-modules/mime-icons/Makefile.am:
	  Typo fix

2004-09-18 00:02  moe

	* po/de.po:
	  Updating these for alpha release. Not yet finished .. but I'm
	  just too tired to continue. Needs extensive spell checking
	  and approvement (Note to myself: Write mail to the list!).

2004-09-16 22:10  pollux

	* configure, configure.ac, po/be.gmo, po/be.po:
	  add BE translations from Ales Nyakhaychyk <nab@mail.by>

2004-09-16 16:13  edscott

	* configure, xfce4-modules/combo/Makefile.am,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.am,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in:
	  Some cygwin flags by Maarten

2004-09-16 13:57  edscott

	* xfce4-modules/headers/constants.h,
	  xfce4-modules/mime-applications/mime.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  fix memleak spotted by Jasper

2004-09-14 20:41  jasper

	* libxfcegui4/netk-pager.c:
	  Make sawfish work with xfce pager (already in libwnck). Patch by
	  Willy Gardiol.

2004-09-14 20:32  jasper

	* Makefile.in, configure, configure.ac, docs/Makefile.in,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.am,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.am,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Cygwin patches by Maarten Boekhold.

2004-09-13 08:57  kelnos

	* xfce4-modules/mime-icons/mime_icons.c:
	  fix --enable-debug=full, and a memleak in the process

2004-09-12 16:43  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  fix kde icon dir lookups, and a crash that should be happening
	  basically all
	  the time, but for some reason no one's complained about it.
	  weird.

2004-09-09 07:48  kelnos

	* docs/tmpl/xfce-icontheme.sgml:
	  i'm so incredibly anal

2004-09-09 07:40  kelnos

	* libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-icontheme.c:
	  gtk-doc fixes

2004-09-09 07:34  kelnos

	* libxfcegui4/xfce-icontheme.c, libxfcegui4/xfce-icontheme.h:
	  fix docs

2004-09-09 07:33  kelnos

	* docs/libxfcegui4-docs.sgml, docs/libxfcegui4-sections.txt,
	  docs/libxfcegui4.types, docs/tmpl/xfce-icontheme.sgml:
	  add/modify gtk-doc infrastructure files for XfceIconTheme docs

2004-09-09 06:33  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  * jasper's icon category lookup fix
	  * gtk-doc for XfceIconTheme

2004-09-06 19:38  jasper

	* po/es.gmo:
	  Missing file

2004-09-06 14:07  edscott

	* configure, configure.ac, xfce4-modules/headers/mime_icons.h,
	  xfce4-modules/mime-icons/mime_icons.c:
	  some tweaks for using xfceicontheme.c (pre server move version,
	  but that should
	  not make any difference)

2004-09-06 03:18  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  internal arch fixes for xfceicontheme. this should fix all
	  crashing
	  problems, though some stress-testing would be useful

2004-09-05 21:30  olivier

	* libxfcegui4.spec.in:
	  Fix spec file

2004-08-30 01:19  edscott

	* Makefile.in, config.h.in, configure, configure.ac,
	  docs/Makefile.in, libxfcegui4/Makefile.in,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime-icons/mime_icons.c,
	  xfce4-modules/mime/Makefile.in:
	  remove check for librsvg: no longer needed by mime-icons since
	  xfce-iconthemes
	  does all the pixbuf rendering.

2004-08-30 00:16  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  first check gdk-pixbuf for SVG support, and only return .svg
	  icons if
	  supported

2004-08-29 17:20  edscott

	* configure, configure.ac, ltmain.sh,
	  xfce4-modules/mime-icons/mime_icons.c:
	  version 31: mime-icons module now uses Brian's xfce-icontheme
	  routines from
	  version 30 to find and render pixmaps. Xffm seems to work fine,
	  only xfmime-
	  edit is broken at the moment.

2004-08-28 08:55  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  implement Inherits= support. not really tested, except to make
	  sure it
	  doesn't infinite-loop if there's a theme that inherits from
	  another theme,
	  which inherits from the original theme. and stuff like that.

2004-08-28 08:28  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  make icon selection quite a bit smarter

2004-08-28 07:55  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  honestly, i'm not as stupid as i code sometimes.

2004-08-28 06:59  olivier

	* libxfcegui4/netk-marshal.c, libxfcegui4/netk-marshal.h,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-tasklist.h,
	  libxfcegui4/netk-trayicon.c, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-window.c:
	  Tabs cleanup

2004-08-28 04:05  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  * add ~/.icons to the icon search path
	  * fix nasty crash when changing themes
	  * bunch of random cleanups

2004-08-27 22:02  olivier

	* AUTHORS, Makefile.in, aclocal.m4, config.guess, config.sub,
	  configure, depcomp, docs/Makefile.in, install-sh,
	  libxfcegui4/Makefile.in, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-window.h,
	  libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h, ltmain.sh,
	  po/libxfcegui4.pot, xfce4-modules/Makefile.in,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Add support for Urgency flag.

2004-08-27 03:17  kelnos

	* configure, libxfcegui4/xfce-icontheme.c:
	  try to avoid duplicate entries in the icon theme search path

2004-08-27 03:02  kelnos

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.ac, depcomp, docs/Makefile.in, install-sh,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce-appmenuitem.h,
	  ltmain.sh, xfce4-modules/Makefile.in,
	  xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  bump version to 4.1.30 for XfceIconTheme.

2004-08-27 00:58  edscott

	* xfce4-modules/mime/xfce.org.xml:
	  detail

2004-08-26 23:42  edscott

	* configure, configure.ac:
	  update version for recent changes in mime-icons module

2004-08-26 18:22  edscott

	* xfce4-modules/headers/mime_icons.h,
	  xfce4-modules/mime-icons/mime_icons.c,
	  xfce4-modules/mime/xfce.org.xml:
	  some details to use the mcs manager to set icon theme

2004-08-26 11:48  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  use libxfce4util functions to determine name<->dirname for icon
	  theme
	  information processed by mcs manager.

2004-08-26 08:27  kelnos

	* libxfcegui4/icons.c, libxfcegui4/xfce-icontheme.c:
	  eh, that was kind of dumb. might as well move all the
	  functionality out of
	  icons.c and into XfceIconTheme. kinda dumb to create our own
	  class and still
	  have to wrap it.

2004-08-26 08:12  kelnos

	* libxfcegui4/icons.c, libxfcegui4/xfce-icontheme.c:
	  * fix some xfceicontheme bugs
	  * hook up xfceicontheme to xfce_themed_icon_lookup() and
	  xfce_icon_theme_load()

2004-08-26 01:53  kelnos

	* libxfcegui4/xfce-icontheme.c, libxfcegui4/xfce-icontheme.h:
	  license GPL -> LGPL. whoops.

2004-08-25 18:16  edscott

	* po/es.po:
	  spelling mistake

2004-08-25 13:42  jasper

	* configure, libxfcegui4/Makefile.in:
	  autogen for Brian

2004-08-25 07:09  kelnos

	* libxfcegui4/libxfcegui4.h:
	  add xfce-icontheme.h

2004-08-25 07:04  kelnos

	* libxfcegui4/xfce-icontheme.c:
	  also search /usr/share/pixmaps and $xfce_datadir/pixmaps as a
	  fallback

2004-08-25 06:35  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/xfce-icontheme.c,
	  libxfcegui4/xfce-icontheme.h:
	  add XfceIconTheme. tested somewhat, but not extensively.

2004-08-23 18:29  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  details

2004-08-23 04:12  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  fix spelling mistake

2004-08-22 22:55  dannym

	* libxfcegui4/xfce_scaled_image.c:
	  more warning fixes

2004-08-22 21:36  dannym

	* libxfcegui4/xfce_scaled_image.c:
	  small fix for removing the warning that comes up when pixbuf not
	  there

2004-08-22 16:36  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  fallback icon directory should be highcolor

2004-08-22 02:52  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  More gracefull error checking on broken installations and
	  selecting the
	  Rodent theme as default. I won't be able to properly test the
	  automatic
	  selection of the Rodent theme until I unbreak my current
	  installation.

2004-08-15 20:16  pollux

	* libxfcegui4/xfce-exec.c:
	  g_spawn_sync_with_pipes doesn't exist

2004-08-15 20:10  pollux

	* aclocal.m4, configure, configure.ac, libxfcegui4/xfce-exec.c,
	  libxfcegui4/xfce-exec.h, xfce4-modules/combo/combo.c,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-applications/mime.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  adds xfce_exec_sync and xfce_exec_sync_with_envp and some fixes,
	  bumps version to 4.1.28

2004-08-15 19:39  olivier

	* libxfcegui4/xfce-colorbutton.c,
	  libxfcegui4/xfce-gtk-extensions.c, po/fr.gmo, po/fr.po,
	  po/libxfcegui4.pot:
	  Resync with repository, most notably:
	  - libxfcegui4 fixes with gtk 2.2
	  - xfwm4 updates
	  - Present panel plugins in alphabetical order
	  - Fix add plugin dialog being placed over the panel when using SM
	  - French po updates
	  - Other various small bug fixes

2004-08-03 16:29  benny

	* libxfcegui4/icons.c:
	  Look in standard fallback paths as well.

2004-08-02 13:38  benny

	* xfce4-modules/combo/Makefile.am, xfce4-modules/combo/Makefile.in:
	  DBH_CFLAGS -> LIBDBH_CFLAGS

2004-08-02 13:09  benny

	* aclocal.m4, configure, xfce4-modules/combo/Makefile.am,
	  xfce4-modules/combo/Makefile.in:
	  combo module requires DBH_CFLAGS to build.

2004-08-02 01:37  kelnos

	* libxfcegui4/xfce-colorbutton.c:
	  compile fix for some weird compilers, thanks to daniel carrera

2004-07-30 00:01  edscott

	* xfce4-modules/mime-icons/mime_icons.c:
	  invert search order of 48x48 and scalable and only include
	  scalable if
	  libsvrg present.

2004-07-29 21:43  benny

	* COPYING, Makefile.am, Makefile.in, aclocal.m4, configure,
	  configure.ac, docs/Makefile.in, libxfcegui4/Makefile.in,
	  m4/glib-gettext.m4, m4/gtk-doc.m4, m4/pkg.m4,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Include required m4 files and correct depends.

2004-07-29 13:15  edscott

	* xfce4-modules/combo/combo.c:
	  undo unnecessary ibid

2004-07-29 12:52  edscott

	* xfce4-modules/combo/combo.c:
	  ibid

2004-07-29 12:51  edscott

	* xfce4-modules/combo/combo.c:
	  move the include dbh statement a few lines down.

2004-07-28 21:40  benny

	* Makefile.in, aclocal.m4, configure, configure.ac,
	  docs/Makefile.in, libxfcegui4/Makefile.in,
	  xfce4-modules/Makefile.in, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/headers/Makefile.in,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime/Makefile.in:
	  Rerun autogen.sh after depends.m4 update.

2004-07-28 21:22  benny

	* m4/depends.m4:
	  Fixed (module)_FOUND bug reported by brian. Hopefully nothing
	  else broke
	  this time.

2004-07-26 02:49  edscott

	* xfce4-modules/combo/combo.c:
	  close combo dropdown on shift or control key to avoid
	  initializing
	  asian input method twice.

2004-07-25 11:59  benny

	* libxfcegui4/netk-workspace.c:
	  Better this way :-)

2004-07-24 18:52  benny

	* m4/depends.m4:
	  Readded XFCE_MCS_PLUGIN() again, dunno how I manage to remove it
	  everytime
	  I edit depends.m4!

2004-07-24 18:38  kelnos

	* libxfcegui4/netk-workspace.c:
	  check pointer before deref

2004-07-24 17:30  benny

	* m4/depends.m4:
	  XFCE_PANEL_PLUGIN had wrong panel version for the threaded test.

2004-07-24 17:28  benny

	* m4/depends.m4:
	  Extended the XFCE_PANEL_PLUGIN macro to include some magic for
	  threaded panels.

2004-07-24 13:34  edscott

	* xfce4-modules/combo/combo.c,
	  xfce4-modules/mime-applications/mime.c,
	  xfce4-modules/mime-icons/mime_icons.c:
	  include local headers, not installed headers to avoid chicken-egg
	  problem.

2004-07-23 22:14  edscott

	* xfce4-modules/mime-applications,
	  xfce4-modules/mime-applications/Makefile.am,
	  xfce4-modules/mime-applications/Makefile.in,
	  xfce4-modules/mime-applications/mime.c:
	  missing files noted by Danny

2004-07-23 21:03  edscott

	* docs/tmpl/combcco.sgml, docs/tmpl/combo.sgml,
	  docs/tmpl/constants.sgml, docs/tmpl/mime.sgml,
	  docs/tmpl/mime_icons.sgml, docs/xfce4-modules-docs.sgml,
	  docs/xfce4-modules-overrides.txt,
	  docs/xfce4-modules-sections.txt, docs/xfce4-modules.types:
	  doc templates for modules (build is not configured)

2004-07-23 20:41  edscott

	* Makefile.am, Makefile.in, aclocal.m4, config.h.in, configure,
	  configure.ac, docs/Makefile.in, libxfcegui4/Makefile.in,
	  po/es.po, xfce4-modules, xfce4-modules/Makefile.am,
	  xfce4-modules/Makefile.in, xfce4-modules/combo,
	  xfce4-modules/combo/Makefile.am, xfce4-modules/combo/Makefile.in,
	  xfce4-modules/combo/combo.c, xfce4-modules/headers,
	  xfce4-modules/headers/Makefile.am,
	  xfce4-modules/headers/Makefile.in, xfce4-modules/headers/combo.h,
	  xfce4-modules/headers/constants.h, xfce4-modules/headers/mime.h,
	  xfce4-modules/headers/mime_icons.h, xfce4-modules/mime,
	  xfce4-modules/mime-icons, xfce4-modules/mime-icons/Makefile.am,
	  xfce4-modules/mime-icons/Makefile.in,
	  xfce4-modules/mime-icons/mime_icons.c,
	  xfce4-modules/mime/Makefile.am, xfce4-modules/mime/Makefile.in,
	  xfce4-modules/mime/applications.xml,
	  xfce4-modules/mime/freedesktop.org.xml,
	  xfce4-modules/mime/types.xml, xfce4-modules/mime/xfce.org.xml:
	  new combo module location

2004-07-21 23:00  benny

	* m4/depends.m4:
	  Readded the XFCE_MCS_PLUGIN macro. I didn't ment to remove it,
	  tho.

2004-07-21 21:13  pollux

	* aclocal.m4, configure, configure.ac,
	  docs/libxfcegui4-sections.txt, docs/tmpl/dialogs.sgml,
	  libxfcegui4/dialogs.c, libxfcegui4/dialogs.h:
	  add doc for xfce_message_dialog

2004-07-21 16:35  pollux

	* libxfcegui4/dialogs.c, libxfcegui4/dialogs.h:
	  add support for text only custom button in xfce_message_dialog

2004-07-21 16:18  pollux

	* libxfcegui4/dialogs.c, libxfcegui4/dialogs.h:
	  add xfce_message_dialog allowing you to easily make GNOME HIG
	  compliant dialog, doc will follow

2004-07-20 20:58  benny

	* m4/depends.m4:
	  Modifed panel plugin check, so one (the installer) can choose to
	  install
	  into a different plugin dir.

2004-07-19 02:21  kelnos

	* libxfcegui4/dialogs.c:
	  gtk_dialog_set_has_separator() isn't valid for a
	  GtkMessageDialog; the dlg
	  has no sep by default anyway

2004-07-18 12:44  pollux

	* libxfcegui4/dialogs.c:
	  xfce_confirm 'cancel' button becomes a 'no' button if stock_id is
	  GTK_STOCK_YES

2004-07-17 10:35  kelnos

	* libxfcegui4/icons.c:
	  XDG icon dir patch from benny

2004-07-16 21:22  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  fix bug

2004-07-16 17:37  kelnos

	* libxfcegui4/xfce_iconbutton.c:
	  fix for but #207 - iconbutton background pixmap should follow the
	  gtk theme

2004-07-16 14:40  kelnos

	* libxfcegui4/xfce-colorbutton.c:
	  and remove my debugging statement...

2004-07-16 14:37  kelnos

	* libxfcegui4/xfce-colorbutton.c:
	  add "color-set" signal to gtk 2.2's implementation

2004-07-16 14:03  benny

	* aclocal.m4, configure, configure.ac, depcomp, install-sh,
	  libxfcegui4/Makefile.in, ltmain.sh:
	  Bumped version to 4.1.24, so xfce4-session can depend on it.

2004-07-16 13:56  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/libxfcegui4.h, libxfcegui4/xfce-colorbutton.c,
	  libxfcegui4/xfce-colorbutton.h:
	  adding XfceColorButton. API is identical to gtk 2.4's
	  GtkColorButton
	  (except that all functions and macros start with xfce_ or XFCE_
	  of course)

2004-07-12 17:40  kelnos

	* aclocal.m4, configure, configure.ac, depcomp, install-sh,
	  libxfcegui4/icons.c, libxfcegui4/icons.h, ltmain.sh:
	  add xfce_themed_icon_add_search_path(), bump version to 4.1.23.

2004-07-11 07:42  olivier

	* libxfcegui4/netk-util.c:
	  Cleanup code

2004-07-09 12:52  olivier

	* configure, libxfcegui4/netk-util.c,
	  libxfcegui4/xfce-appmenuitem.c, po/libxfcegui4.pot:
	  Fix compilation warnings

2004-07-07 16:46  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  better way of fixing the style bug. also, this should fix the
	  problem i just
	  introduced where it misses theme changes completely sometimes

2004-07-07 16:11  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  fix XfceAppMenuItem theme/style inheritance bug

2004-07-06 15:34  olivier

	* libxfcegui4/netk-pager.c:
	  *** empty log message ***

2004-07-06 15:30  olivier

	* libxfcegui4/netk-pager.c:
	  Bug fix in pager redraw

2004-06-29 22:33  olivier

	* libxfcegui4/xfce-filechooser.c:
	  Fix various errors, might need double check.

2004-06-29 00:55  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  update the fscking docs

2004-06-29 00:48  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  remove debug statement

2004-06-29 00:31  kelnos

	* libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h:
	  * deprecate xfce_file_chooser_set_local_only() and
	  xfce_file_chooser_get_local_only()
	  * implement xfce_file_chooser_set_extra_widget() and
	  xfce_file_chooser_get_extra_widget() for gtk 2.2
	  * implement a preview label (and thus
	  xfce_file_chooser_set_use_preview_label())
	  for gtk 2.2

2004-06-27 08:13  olivier

	* aclocal.m4, configure, configure.ac, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-tasklist.h, ltmain.sh:
	  Apply Andre Leche's patch to hide labels in the taskbar,
	  Update version to .22

2004-06-22 08:13  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  oops, looks like i accidentally removed a function...

2004-06-22 07:32  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  whoops, debug statement got in there

2004-06-22 07:31  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  a little reorg, fix bug in gtk 2.2 where clicking OK returns the
	  wrong
	  response code, and XfceFileChooser will add the proper buttons as
	  requested

2004-06-20 19:24  olivier

	* libxfcegui4/netk-util.c:
	  Use stantard gtk type_hint property with gtk 2.2

2004-06-19 20:33  kelnos

	* libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h:
	  what can i say, i'm picky...

2004-06-19 19:45  pollux

	* libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h:
	  add xfce_file_chooser_new for more consistency

2004-06-19 19:45  pollux

	* docs/libxfcegui4-sections.txt, docs/tmpl/xfce-filechooser.sgml:
	  add xfce_file_chooser_new documentation

2004-06-19 18:45  pollux

	* docs/libxfcegui4-sections.txt, docs/tmpl/xfce-filechooser.sgml:
	  add enum XfceFileChooserAction documentation

2004-06-19 07:10  olivier

	* libxfcegui4/gtktoxevent.c:
	  Change a printf to a TRACE

2004-06-15 22:13  olivier

	* libxfcegui4/xfce-exec.c:
	  A bit of debug has leaked to CVS, now removed.

2004-06-15 21:53  benny

	* libxfcegui4/xfce-gdk-extensions.c:
	  Added missing comma.

2004-06-15 21:47  olivier

	* libxfcegui4/gtk_style.c, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/gtktoxevent.h, libxfcegui4/netk-window.c,
	  libxfcegui4/xfce-exec.c:
	  Changes for new xfwm4 design.

2004-06-15 21:22  benny

	* libxfcegui4/xfce-gdk-extensions.c:
	  Forgot the original copyright notice.

2004-06-15 21:19  benny

	* aclocal.m4, configure, docs/libxfcegui4-sections.txt,
	  docs/tmpl/xfce-gdk-extensions.sgml,
	  libxfcegui4/xfce-gdk-extensions.c,
	  libxfcegui4/xfce-gdk-extensions.h:
	  Added gdk_spawn_*() wrappers for olivier.

2004-06-15 18:21  jasper

	* aclocal.m4, configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce_iconbutton.c,
	  libxfcegui4/xfce_menubutton.c, libxfcegui4/xfce_scaled_image.c,
	  libxfcegui4/xfce_scaled_image.h:
	  Attempt to fix gtk >= 2.4.2 button sizing problems:
	  * add xfce_scaled_image widget
	  * make xfce_iconbutton and xfce_menubutton use the new widget
	  * sorry, no docs
	  
	  Please test.

2004-06-14 17:54  benny

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.ac, depcomp, docs/Makefile.in,
	  docs/libxfcegui4-docs.sgml, docs/libxfcegui4-sections.txt,
	  docs/tmpl/xfce-appmenuitem.sgml,
	  docs/tmpl/xfce-gdk-extensions.sgml,
	  docs/tmpl/xfce-gtk-extensions.sgml, install-sh,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/gtktoxevent.c, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xfce-gdk-extensions.c,
	  libxfcegui4/xfce-gdk-extensions.h,
	  libxfcegui4/xfce-gtk-extensions.c,
	  libxfcegui4/xfce-gtk-extensions.h, po/de.gmo, po/de.po,
	  po/fr.gmo, po/fr.po, po/libxfcegui4.pot:
	  Gtk/GDK Extensions added.

2004-06-14 16:52  kelnos

	* libxfcegui4/session-client.c:
	  fix compile if libSM isn't found

2004-06-10 17:08  jasper

	* libxfcegui4/xfce_iconbutton.c:
	  Add extra debug messages. Gtk 2.4.2 seems to add an extra border
	  (style->xthickness), but I've no idea where it comes from ...

2004-06-08 16:55  kelnos

	* libxfcegui4/xfce-appmenuitem.h, libxfcegui4/xfce-filechooser.c,
	  libxfcegui4/xfce-filechooser.h:
	  update docs

2004-06-08 16:55  kelnos

	* docs/libxfcegui4-docs.sgml, docs/libxfcegui4-sections.txt,
	  docs/libxfcegui4.types, docs/tmpl/xfce-appmenuitem.sgml,
	  docs/tmpl/xfce-filechooser.sgml:
	  add docs for XfceFileChooser

2004-06-08 15:23  kelnos

	* libxfcegui4/xfce-filechooser.h:
	  and, on occasion, i even do it right the first time.

2004-06-08 15:21  kelnos

	* libxfcegui4/xfce-appmenuitem.h, libxfcegui4/xfce-filechooser.c,
	  libxfcegui4/xfce-filechooser.h:
	  when i get bored, i mess with formatting

2004-06-04 22:15  kelnos

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  depcomp, docs/Makefile.in, install-sh, libxfcegui4/Makefile.in,
	  ltmain.sh:
	  attempt to fix semi-b0rked libtool

2004-06-04 20:44  kelnos

	* configure, configure.ac, libxfcegui4/icons.c,
	  libxfcegui4/icons.h:
	  * add xfce_themed_icon_lookup()
	  * rename: xfce_load_themed_icon() -> xfce_themed_icon_load() (old
	  name is
	  deprecated)
	  * bump lib version to 4.1.19

2004-06-01 18:40  kelnos

	* libxfcegui4/icons.c:
	  make xfce_load_themed_icon() a little smarter

2004-05-31 21:40  benny

	* libxfcegui4/icons.c:
	  Honor pixmaps fallback.

2004-05-31 21:06  olivier

	* libxfcegui4/netk-xutils.c:
	  Fix potential memleak in libxfcegui4
	  Improve internals of png composition in xfwm4
	  Prepare support for icons in xfwm4 (not quite there yet)

2004-05-31 14:00  olivier

	* configure, libxfcegui4/gtktoxevent.c, libxfcegui4/gtktoxevent.h:
	  Fix deprecated gtktoxevent API

2004-05-31 10:27  olivier

	* configure, configure.ac, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/gtktoxevent.h, libxfcegui4/xinerama.h:
	  Change namespace to xfce_* and put back older deprecated fns for
	  backward compat.

2004-05-30 23:18  olivier

	* configure, configure.ac, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/gtktoxevent.h, po/libxfcegui4.pot:
	  - Change gtktoxevent API to be GdkScreen and therefore
	  multiscreen compliant
	  - Modify xfwm4 to be compatible with the gtktoxevent API change
	  (make sure you update both libxfcegui4 *and* xfwm4 at the same
	  time!)
	  - Code cleanup in xfwm4; move global variables in a dynamically
	  allocated structure.

2004-05-25 20:08  olivier

	* libxfcegui4/xinerama.c, libxfcegui4/xinerama.h:
	  Fix compat in xinerama code

2004-05-24 21:01  olivier

	* configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/netk-pager.c,
	  libxfcegui4/xinerama.c, libxfcegui4/xinerama.h, ltmain.sh,
	  po/libxfcegui4.pot:
	  Re-add xinerama (all fns being declared deprecated for 4.2) with
	  new code that uses GdkScreen internally.
	  s is to smooth transition to 4.2 a bit.

2004-05-23 20:55  olivier

	* libxfcegui4/netk-xutils.c:
	  *** empty log message ***

2004-05-23 20:50  olivier

	* libxfcegui4/netk-pager.c:
	  *** empty log message ***

2004-05-19 23:12  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  use xfce_expand_variables() when setting the command name

2004-05-19 06:42  jasper

	* docs/Makefile.am, docs/Makefile.in, ltmain.sh:
	  remove left-over xinerama references

2004-05-18 22:37  olivier

	* configure, libxfcegui4/libxfcegui4-1.0.pc.in:
	  Fix pc file

2004-05-18 22:07  olivier

	* Makefile.in, config.h.in, configure, configure.ac,
	  docs/Makefile.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xinerama.c, libxfcegui4/xinerama.h:
	  Remove our own xinerama support as it's now managed by gtk+

2004-05-18 20:11  olivier

	* Makefile.am, Makefile.in, po/libxfcegui4.pot:
	  Fix index.theme not being picked by "make dist"

2004-05-18 05:53  olivier

	* libxfcegui4/xfce-appmenuitem.c:
	  Replace calls to g_setenv() with calls to xfce_setenv() (should
	  fix #0000199)

2004-05-17 20:52  olivier

	* docs/tmpl/xfce-framebox.sgml, po/POTFILES.in, po/libxfcegui4.pot:
	  Fix make dist

2004-05-14 22:56  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  make apps launched from XfceAppMenuItem appear on the proper
	  screen

2004-05-14 19:01  benny

	* libxfcegui4/session-client.c:
	  Save display/screen in Clone/Restart command, so xfce4-session
	  can restore
	  the desktop correctly. Maybe we should backport this change to
	  4.0.

2004-05-13 08:35  jasper

	* libxfcegui4/icons.c:
	  Add more standard icon paths

2004-05-11 19:59  jasper

	* libxfcegui4/netk-tasklist.c:
	  Let task button have a maximum width

2004-05-03 21:44  olivier

	* Makefile.in, aclocal.m4, config.guess, config.h.in, config.sub,
	  configure, docs/Makefile.in, install-sh, ltmain.sh,
	  mkinstalldirs:
	  Update zh_TW translations from umm <umm@pchome.com.tw>

2004-04-22 21:32  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  gtk-docs and a compiler warning fix

2004-04-21 00:56  kelnos

	* configure, configure.ac:
	  bump version

2004-04-21 00:55  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/gtkfilefilter.c, libxfcegui4/gtkicontheme.c,
	  libxfcegui4/gtkiconthemeparser.c, libxfcegui4/icons.c,
	  libxfcegui4/icons.h, libxfcegui4/xfce-appmenuitem.c,
	  libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xgtkfilefilter.h, libxfcegui4/xgtkicontheme.h,
	  libxfcegui4/xgtkiconthemeparser.h:
	  remove all gtk backported stuff, as per olivier's request

2004-04-20 20:43  olivier

	* libxfcegui4/netk-xutils.c:
	  Avoid our own deprecated functions

2004-04-19 21:33  kelnos

	* libxfcegui4/xfce-filechooser.c:
	  fix unresolved symbol errors for gtk 2.2 users

2004-04-18 11:07  kelnos

	* libxfcegui4/libxfcegui4.h:
	  add stuff to main header file so things don't b0rk

2004-04-18 10:57  kelnos

	* configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/gtkfilefilter.c,
	  libxfcegui4/xfce-filechooser.c, libxfcegui4/xfce-filechooser.h,
	  libxfcegui4/xgtkfilefilter.h:
	  adding XfceFileChooser!
	  the API and behaviour attempts to mimic gtk 2.4's
	  GtkFileChooser(Dialog) as
	  closely as possible. some of the functionality (*_extra_widget(),
	  *_file_filter()) isn't implemented for gtk 2.2 (yet), but the
	  preview code
	  does, so it can at the very least be made to work (sorta) like an
	  xfce
	  PreviewFileSelection.
	  see the gtk API docs and the header for API usage.

2004-04-18 10:01  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  *sigh* sorry, i screwed up the prototype - it should be GError
	  **, not GError *

2004-04-18 09:57  kelnos

	* libxfcegui4/icons.c:
	  crap, didn't mean to commit that portion of the file...

2004-04-18 09:29  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  adding xfce_pixbuf_new_from_file_at_size(). so useful, and yet
	  gtk 2.2
	  doesn't have it. how annoying.

2004-04-15 05:29  olivier

	* libxfcegui4/gtktoxevent.c:
	  Missing a flush

2004-04-14 22:42  kelnos

	* libxfcegui4/icons.c:
	  SVG memleak seems to have disappeared, so reenabling SVG icons.
	  happy now,
	  francois? ^_~
	  (just as a note, i'm using librsvg 2.7.0, gtk 2.4.0)

2004-04-10 22:20  jasper

	* aclocal.m4, configure, configure.ac,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_movehandler.h,
	  ltmain.sh, m4/debug.m4:
	  Fix panel on the screen edge. Also should fix Moe's autohide bug.

2004-04-07 20:13  olivier

	* aclocal.m4, configure, configure.ac, libxfcegui4/netk-tasklist.c,
	  ltmain.sh, po/fr.gmo, po/fr.po:
	  Make task related menues popup at mouse position rather than
	  where the task button starts,
	  Add french locale.

2004-03-30 08:29  benny

	* libxfcegui4/icons.c:
	  Small fix to make compiler happy.

2004-03-30 03:47  kelnos

	* configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/icons.c:
	  change xfce_load_themed_icon() to search in $datadir/xfce4/icons/
	  in
	  prep for moving icon themes over there. also bump version to
	  4.1.11

2004-03-27 10:07  kelnos

	* configure, configure.ac, docs/Makefile.in,
	  docs/libxfcegui4-sections.txt, docs/tmpl/xfce-appmenuitem.sgml,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  add XfceAppMenuItem function for variable icon sizing, update
	  docs, bump
	  version

2004-03-26 18:25  benny

	* configure:
	  unbreak my configure :-)

2004-03-26 18:17  kelnos

	* configure, configure.ac:
	  bumping libtool major version to 3:0:0 cuz benny said so ^_^
	  also bumping lib version to 4.1.9 for xfdesktop requirement

2004-03-26 01:29  kelnos

	* Makefile.am, Makefile.in:
	  hicolor theme check. commit _all_ the files this time, brian

2004-03-26 01:23  kelnos

	* configure, configure.ac, index.theme:
	  check for $datadir/icons/hicolor/index.theme, and, if not
	  present,
	  install our own

2004-03-25 20:22  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Add a warning when icon size is inconsistent

2004-03-24 21:10  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Try to fix #0000137

2004-03-24 09:57  pollux

	* libxfcegui4/xfce_aboutdialog.c:
	  a nicer way to set default button in a dialog

2004-03-24 09:43  pollux

	* libxfcegui4/xfce_aboutdialog.c:
	  set close button as default widget

2004-03-23 12:04  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Another attempt to fix 0000137

2004-03-22 19:59  kelnos

	* libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  required change to XfceAppMenuItem API to avoid resource wasteage
	  with
	  the new xfdesktop menu parsing code

2004-03-20 18:31  jasper

	* libxfcegui4/dialogs.c, libxfcegui4/xfce-exec.c:
	  Fix X freeze when running console apps without terminal

2004-03-19 21:44  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Try to be a bit smarter with systray icon resize.

2004-03-18 17:56  olivier

	* libxfcegui4/netk-util.c:
	  Missing include

2004-03-17 23:18  benny

	* libxfcegui4/gtk_style.c, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/netk-xutils.c, libxfcegui4/session-client.c,
	  libxfcegui4/xfce-appmenuitem.h, libxfcegui4/xfce_aboutdialog.h,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_systemtray.c:
	  Spamming xfce4-commits: <libxfce4util/*.h> ->
	  <libxfce4util/libxfce4util.h>. Fix compiler warning in
	  libxfcegui4.

2004-03-17 21:58  olivier

	* libxfcegui4/netk-util.c:
	  Add traces

2004-03-17 20:36  olivier

	* libxfcegui4/netk-util.c:
	  Use version checking of gtk at runtime.

2004-03-17 06:22  kelnos

	* libxfcegui4/icons.c, libxfcegui4/xfce-appmenuitem.c:
	  fix breakage due to function rename, also disable SVG icons
	  (again),
	  since they still appear to be leaky (*sigh*)

2004-03-17 06:03  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  a couple more fixes, change _dispose() to _destroy() and override
	  the
	  corresponding function in GtkObject (and not GObject)

2004-03-16 13:25  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  whoops, fix compile for gtk 2.4.0+ (not that it's released yet or
	  anything)

2004-03-16 13:24  kelnos

	* libxfcegui4/gtkicontheme.c, libxfcegui4/gtkiconthemeparser.c,
	  libxfcegui4/xgtkicontheme.h, libxfcegui4/xgtkiconthemeparser.h:
	  forgot to commit this before:
	  update my backport of GtkIconTheme to the one from gtk 2.3.6
	  (which
	  coincidentally contains my bugfixes from 2.3.4).

2004-03-16 13:19  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  memleak fix: remember to explicitly call the superclass'
	  (GtkImageMenuItem's) dispose() and finalize() because gobject
	  doesn't do
	  it for us.
	  some redundancy fixes: the size requisition stuff isn't needed,
	  as i'm
	  not actually overriding any of that.

2004-03-15 20:05  olivier

	* libxfcegui4/netk-util.c:
	  Fix for gtk 2.3.x/2.4.x

2004-03-12 21:34  olivier

	* libxfcegui4/netk-util.c:
	  Fix focus management with gtk 2.3.x/2.4.x

2004-03-11 00:53  benny

	* aclocal.m4, configure, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in:
	  Define G_LOG_DOMAIN, to be able to distinguish between log
	  messages from different libs

2004-03-08 09:29  kelnos

	* libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  API functions that take 'gchar *' should really take 'const gchar
	  *'

2004-03-07 23:12  kelnos

	* libxfcegui4/gtkicontheme.c:
	  _gtk_rc_reset_styles -> gtk_rc_reset_styles for gtk 2.3 >= 2.3.5
	  note: this means a libxfcegui4 compiled against gtk2.3 < 2.4.5
	  won't
	  be binary compatible with a libxfcegui4 compiled against gtk
	  2.3.5 (and
	  vice versa). if you're running 2.3, you have to live with it.

2004-03-07 13:14  benny

	* libxfcegui4/dialogs.h:
	  exec_command() and exec_command_full_with_envp() have been
	  obsoleted by the xfce-exec module.

2004-03-07 09:40  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  fix some docs *sigh*

2004-03-07 09:38  kelnos

	* docs/libxfcegui4-sections.txt, docs/tmpl/xfce-appmenuitem.sgml:
	  update XfceAppMenuItem docs

2004-03-07 09:14  kelnos

	* libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  why not...? added xfce_app_menu_item_new_full().

2004-03-07 09:00  kelnos

	* libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-appmenuitem.h:
	  XfceAppMenuItem now uses xfce_exec(). it also supports startup
	  notification (two new API functions).

2004-03-07 05:14  kelnos

	* libxfcegui4/xgtkicontheme.h:
	  reverting change: i don't want to support possibly broken
	  versions of
	  this in gtk 2.3

2004-03-06 20:49  dannym

	* libxfcegui4/xgtkicontheme.h:
	  make version check more forgiving

2004-03-06 20:48  dannym

	* libxfcegui4/xgtkicontheme.h:
	  gtk 2.3 (development) also already has icon themes

2004-03-06 19:36  benny

	* libxfcegui4/libxfcegui4.h:
	  Include xfce-exec.h here as well.

2004-03-05 04:20  kelnos

	* libxfcegui4/xfce-exec.c:
	  actually return a status code on success or failure of running
	  the app ^_~.
	  also, only do the startup notification thingy if g_spawn_async
	  succeeded

2004-03-05 00:12  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Center window on parent (if any) or on workspace if no parent by
	  default.

2004-03-04 23:17  benny

	* docs/libxfcegui4-docs.sgml, docs/libxfcegui4-sections.txt,
	  docs/libxfcegui4.types, docs/tmpl/xfce-framebox.sgml,
	  libxfcegui4/xfce_aboutdialog.h, libxfcegui4/xfce_framebox.c,
	  libxfcegui4/xfce_systemtray.c, libxfcegui4/xfce_systemtray.h:
	  Added documentation for XfceFramebox, fixes.

2004-03-04 22:55  benny

	* docs/Makefile.am, docs/Makefile.in, docs/libxfcegui4-docs.sgml,
	  docs/libxfcegui4-sections.txt, docs/libxfcegui4.types,
	  docs/tmpl/xfce-aboutdialog.sgml, docs/tmpl/xfce-appmenuitem.sgml,
	  docs/tmpl/xfce-exec.sgml, libxfcegui4/xfce-appmenuitem.c,
	  libxfcegui4/xfce-exec.c, libxfcegui4/xfce_aboutdialog.c,
	  libxfcegui4/xfce_aboutdialog.h:
	  Added docs for xfce-exec and xfce-aboutdialog. Fixed
	  xfce-appmenuitem to be documented as a GObject.

2004-03-04 20:49  jasper

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.ac,
	  docs/Makefile.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce-exec.c,
	  libxfcegui4/xfce-exec.h:
	  Add xfce-exec to libxfcegui4

2004-03-04 20:37  dannym

	* libxfcegui4/xfce-appmenuitem.c:
	  get rid of warnings with --enable-debug=full

2004-03-04 20:24  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Fix bug #0000129

2004-03-04 20:18  dannym

	* libxfcegui4/xfce_aboutdialog.c:
	  make it work with --enable-debug=full again

2004-03-04 20:05  benny

	* AUTHORS, ChangeLog, Makefile.am, Makefile.in, NEWS, aclocal.m4,
	  config.h.in, configure, configure.ac, docs/Makefile.in,
	  docs/tmpl/xfce-appmenuitem.sgml, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/gtkicontheme.c,
	  libxfcegui4/netk-private.h,
	  libxfcegui4/netk-window-action-menu.c,
	  libxfcegui4/xfce-appmenuitem.c, libxfcegui4/xfce-internals.c,
	  libxfcegui4/xfce-internals.h, libxfcegui4/xfce_aboutdialog.c,
	  libxfcegui4/xfce_systemtray.c, m4/i18n.m4, po, po/ChangeLog,
	  po/Makefile.in.in, po/POTFILES.in, po/de.gmo, po/de.po,
	  po/libxfcegui4.pot:
	  Added gettext framework.

2004-03-02 09:34  benny

	* docs/libxfcegui4-sections.txt:
	  Added include file to sections.

2004-03-02 05:53  kelnos

	* docs/libxfcegui4-docs.sgml, docs/tmpl/xfce-appmenuitem.sgml,
	  libxfcegui4/xfce-appmenuitem.c:
	  adding gtk-docs for XfceAppMenuItem

2004-03-01 22:50  benny

	* ChangeLog, Makefile.am, Makefile.in, NEWS, README, aclocal.m4,
	  autogen.sh, configure, configure.ac, docs, docs/.cvsignore,
	  docs/Doxyfile, docs/MAINPAGE, docs/Makefile.am, docs/Makefile.in,
	  docs/libxfcegui4-docs.sgml, docs/libxfcegui4-overrides.txt,
	  docs/libxfcegui4-sections.txt, docs/libxfcegui4.types, docs/tmpl,
	  docs/tmpl/dialogs.sgml, docs/tmpl/standard-macros.sgml,
	  docs/version.xml.in, libxfcegui4.spec.in,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/dialogs.c, libxfcegui4/dialogs.h,
	  libxfcegui4/libxfcegui4-config.h.in, libxfcegui4/libxfcegui4.h,
	  libxfcegui4/xfce_aboutdialog.h:
	  Added gtk-doc framework to libxfcegui4, more documentation soon
	  to come (as
	  usual :). Added version checks to both libxfce4util and
	  libxfcegui4, namely
	  LIBXFCE4UTIL_CHECK_VERSION and LIBXFCEGUI4_CHECK_VERSION similar
	  to the
	  ones in glib/gtk. Updated spec files to include the gtk-doc
	  files. Bumped
	  versions of both libs to 4.1.6. Started renaming some of the
	  libxfcegui4
	  functions include the xfce_ prefix (ok'd with jasper). Maybe
	  things will
	  still work after this commit ;-).

2004-03-01 21:09  benny

	* m4/debug.m4:
	  Added --enable-gcov to compile xfce with support for coverage
	  tests. Very
	  useful.

2004-02-29 01:38  kelnos

	* libxfcegui4/icons.c:
	  make xfce_load_themed_icon() a little smarter

2004-02-27 00:45  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  or, i could do that the right way and not break binary
	  compatibility

2004-02-27 00:38  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  prefixing the new function with 'xfce_' as per benny's request

2004-02-27 00:11  kelnos

	* libxfcegui4/icons.c, libxfcegui4/icons.h:
	  added load_themed_icon(const gchar *name, gint size). it's a nice
	  and
	  easy interface to GtkIconTheme. if you want a themed icon, give
	  it an
	  icon name without an extension (though it will remove it for you
	  if you
	  give it one). if you give it an absoulte filename, it will
	  attempt to
	  load that. if you give it a filename with a relative path, it
	  will
	  attempt to load $datadir/pixmaps/$name.

2004-02-25 08:19  kelnos

	* configure, configure.ac, libxfcegui4/xfce-appmenuitem.c:
	  use g_getenv() instead of probing for system getenv()

2004-02-24 05:12  kelnos

	* configure, configure.ac, libxfcegui4/xfce-appmenuitem.c:
	  tweak how XfceAppMenuItem uses GtkIconTheme

2004-02-24 04:20  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  use gtk_icon_theme_prepend_search_path() now that i fixed it

2004-02-24 04:18  kelnos

	* libxfcegui4/gtkicontheme.c:
	  * fix a bug in gtk_icon_theme_prepend_search_path()
	  * add a gtk_settings_install_property() for gtk-icon-theme-name,
	  since
	  GtkSettings from gtk <2.4 doesn't have this by default

2004-02-23 22:29  olivier

	* libxfcegui4/session-client.c:
	  Compile error w/out libSM

2004-02-23 21:56  kelnos

	* libxfcegui4/xfce-appmenuitem.c:
	  add $(datadir)/xfce4/themes to the icon search path

2004-02-23 18:46  kelnos

	* configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce-appmenuitem.c,
	  libxfcegui4/xfce-appmenuitem.h:
	  adding my XfceAppMenuItem. see the .h file for the API. gtk-doc
	  documentation is included in the .c file (need to figure out how
	  to hook
	  this up). i've tested it somewhat, but i wouldn't consider it
	  rock-solid stable or finished.
	  
	  quick description:
	  XfceAppMenuItem is a subclass of GtkImageMenuItem. its purpose is
	  to
	  represent an application that is run by selecting the menu item.
	  it
	  handles themed icons mostly automatically and can be generated
	  manually
	  from app name, command, icon name, etc., or automatically from an
	  XfceDesktopEntry.
	  
	  also, i bumped libxfcegui4's version number to 4.1.5 so i can
	  start
	  requiring it for xfdesktop soon.

2004-02-23 15:24  kelnos

	* libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/gtkicontheme.c, libxfcegui4/gtkiconthemeparser.c,
	  libxfcegui4/xgtkicontheme.h, libxfcegui4/xgtkiconthemeparser.h:
	  'backport' of GtkIconTheme from gtk 2.3. include
	  <libxfcegui4/xgtkicontheme.h> to use it. code does not get
	  compiled/included if compiled against >=gtk-2.4.0

2004-02-15 17:00  olivier

	* libxfcegui4/session-client.c:
	  Fix compilation when missing sm

2004-02-12 00:36  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Use xfce_version_string() as discussed for the Xfce version.

2004-02-11 21:25  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  Be consistent about the header borders.

2004-02-11 20:59  benny

	* libxfcegui4/xfce_aboutdialog.c:
	  <ofourdan> "XFce" should be spelled "Xfce"

2004-02-03 10:13  benny

	* AUTHORS, ChangeLog, NEWS, aclocal.m4, configure, configure.ac,
	  docs, docs/Doxyfile, docs/MAINPAGE, examples/aboutdlg,
	  examples/aboutdlg/Makefile, examples/aboutdlg/aboutdlg.c,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/libxfcegui4.h, libxfcegui4/xfce_aboutdialog.c,
	  libxfcegui4/xfce_aboutdialog.h, ltmain.sh:
	  Added initial doxygen framework, documentation will following
	  soon, hopefully :-). Added XfceAboutDialog class, which provides
	  implementation of an about dialog box. Version is now 4.1.4.

2004-02-02 21:24  olivier

	* libxfcegui4/netk-xutils.c:
	  Get rid of useless warnings

2004-02-02 21:13  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Bug fix, make code safer
	  CVS

2004-01-25 00:07  olivier

	* Makefile.in, aclocal.m4, compile, config.guess, config.sub,
	  configure, depcomp, install-sh, libxfcegui4/Makefile.in,
	  ltmain.sh, missing, mkinstalldirs:
	  Update libtool and other automake, autoconf and gettext packages

2004-01-21 19:43  jasper

	* configure, configure.ac, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h:
	  Add extra dialog header function that takes a gtk image (or
	  another widget) as first argument.

2004-01-13 23:07  benny

	* libxfcegui4/netk-xutils.c:
	  Revert to faulty casting until somebody figures out what to do
	  with
	  XGetWindowProperty.

2004-01-13 19:13  benny

	* libxfcegui4/netk-xutils.c:
	  Fix "dereferencing type-punned pointer will break strict-aliasing
	  rules" with
	  gcc 3.3.x to allow for strict aliasing and therefore better code
	  genera-
	  tion.

2004-01-10 23:22  olivier

	* libxfcegui4/gtk_style.h, libxfcegui4/gtktoxevent.h,
	  libxfcegui4/session-client.h, libxfcegui4/xinerama.h:
	  Remove inclusion of config.h in header files

2004-01-04 13:43  olivier

	* libxfcegui4/xfce_systemtray.c:
	  Add the piece of glue required for the KDE systray icons to show
	  properly

2003-12-13 22:51  olivier

	* libxfcegui4/netk-util.c:
	  Fix compilation warning:x

2003-12-13 21:42  olivier

	* libxfcegui4/netk-xutils.c:
	  Add some more NULL pointer checking

2003-12-13 20:25  olivier

	* libxfcegui4/netk-window-action-menu.c:
	  Reorg menu and change labels to mimic xfwm4 men

2003-12-13 12:01  olivier

	* libxfcegui4/netk-tasklist.c:
	  On left click, it should open the window list, from where the
	  userselect the window to activate, on right click, it opens the
	  window list,with a window action submenu for each...

2003-12-13 09:17  olivier

	* libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-window-action-menu.c,
	  libxfcegui4/netk-window-action-menu.h, libxfcegui4/netk-xutils.h:
	  Apply Eduard Roccatello <xfce@roccatello.it> patch that adds
	  window ops menu for taskbar

2003-12-07 10:46  jasper

	* libxfcegui4/netk-util.c:
	  Fix possible crash

2003-12-02 23:08  olivier

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-window.c:
	  Don't display transient in taskbar
	  Remove C++ style comment

2003-11-17 21:46  olivier

	* configure, configure.ac, libxfcegui4/netk-util.c:
	  Add some additional controls to libxfcegui4
	  Change default 4.2 xfwm4 default theme

2003-11-14 12:26  jasper

	* libxfcegui4/netk-pager.c:
	  screen aspect ratio fix for vertical pager. Patch by Tyson
	  Bashore <dfunct@bluemotiontech.com>

2003-11-02 08:22  olivier

	* aclocal.m4, configure:
	  Add hi.po

2003-10-27 21:47  olivier

	* libxfcegui4/netk-xutils.c:
	  Remove CR in non UTF8 names too

2003-10-20 15:53  edscott

	* Makefile.in, configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/combo.c,
	  libxfcegui4/combo.h:
	  remove combo object from libxfcegui4 (too many dependency
	  problems)

2003-10-20 02:20  edscott

	* Makefile.in, aclocal.m4, configure, configure.ac,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/combo.c, libxfcegui4/combo.h:
	  put the combo self completing with history object into library.
	  Used by xffm and soon by xfrun.

2003-10-18 14:39  olivier

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_iconbutton.h,
	  libxfcegui4/xfce_menubutton.c, libxfcegui4/xfce_menubutton.h:
	  Remove scaled var that should be replaced with size caching

2003-10-18 08:55  jasper

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c:
	  Try 3 for icon scaling cache

2003-10-18 07:28  jasper

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c:
	  Try 2 for icon scaling cache

2003-10-17 21:58  jasper

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c:
	  scaled icon tweak

2003-10-16 15:37  benny

	* libxfcegui4/netk-tasklist.c:
	  gtk_widget_queue_clear() is deprecated.

2003-10-13 22:06  olivier

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c:
	  Sync with my local tree

2003-10-13 18:51  jasper

	* ChangeLog:
	  Update ChangeLog's after syncing with SF. Everything should now
	  be up-to-date.

2003-10-13 16:21  jasper

	* libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/netk-class-group.c, libxfcegui4/netk-class-group.h,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-private.h,
	  libxfcegui4/netk-screen.c, libxfcegui4/netk-screen.h,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-window.h, libxfcegui4/netk-xutils.c,
	  libxfcegui4/netk-xutils.h:
	  Huge commit to bring new repository in sync with SF. We are
	  losing some
	  CVS history here, but for completeness sake I'm including the
	  ChangeLog
	  entries here:
	  
	  +++
	  
	  2003-10-11 00:08 edscott
	  
	  * xffm/src/: add_folder.c, add_node_contents.c, callbacks.c,
	  keybindings.c, main.c, treeview.c: do second letter search if
	  first
	  letter is / -- DONE autohide diagnostics on click or
	  keypress--DONE
	  compare dates between mime file and dbh file before updating
	  applications -- DONE scroll by keyboard debugged and enhanced
	  --DONE g_strchug() crash on openwith by menu... --FIXED on go_up
	  do
	  not place in history, nor back nor forward --DONE
	  
	  2003-10-11 00:05 edscott
	  
	  * xffm/: libs/apps.c, libs/bookmarks.c, libs/constants.h,
	  libs/cpy.c, libs/dnd.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/goto.c, libs/goto.h, libs/icons.c,
	  libs/menu.c,
	  libs/menu_callbacks.c, libs/misc.c, libs/misc.h, libs/monitor.c,
	  libs/new_win.c, libs/pasteboard.c, libs/print.c, libs/refresh.c,
	  libs/reg.c, libs/remove.c, libs/rename.c, libs/run.c, libs/run.h,
	  libs/scramble.c, libs/symlink.c, libs/terminal.c, libs/touch.c,
	  libs/trash.c, libs/xfdiff.c, smb/smb_download.c, smb/smb_list.c:
	  do
	  second letter search if first letter is / -- DONE autohide
	  diagnostics on click or keypress--DONE compare dates between mime
	  file and dbh file before updating applications -- DONE scroll by
	  keyboard debugged and enhanced --DONE g_strchug() crash on
	  openwith
	  by menu... --FIXED on go_up do not place in history, nor back nor
	  forward --DONE
	  
	  2003-10-10 23:19 xfce
	  
	  * xfce-utils/scripts/xinitrc: Don't use cpp in xrdb so that DPI
	  settings load even on workstations w/out cpp
	  
	  2003-10-10 22:17 xfce
	  
	  * libxfcegui4/libxfcegui4/netk-pager.c, xfwm4/configure,
	  xfwm4/configure.ac, xfwm4/themes/Makefile.am,
	  xfwm4/themes/Makefile.in, xfwm4/themes/default/bottom-active.xpm,
	  xfwm4/themes/default/bottom-inactive.xpm,
	  xfwm4/themes/default/bottom-left-active.xpm,
	  xfwm4/themes/default/bottom-left-inactive.xpm,
	  xfwm4/themes/default/bottom-right-active.xpm,
	  xfwm4/themes/default/bottom-right-inactive.xpm,
	  xfwm4/themes/default/close-active.xpm,
	  xfwm4/themes/default/close-inactive.xpm,
	  xfwm4/themes/default/close-pressed.xpm,
	  xfwm4/themes/default/hide-active.xpm,
	  xfwm4/themes/default/hide-inactive.xpm,
	  xfwm4/themes/default/hide-pressed.xpm,
	  xfwm4/themes/default/left-active.xpm,
	  xfwm4/themes/default/left-inactive.xpm,
	  xfwm4/themes/default/maximize-active.xpm,
	  xfwm4/themes/default/maximize-inactive.xpm,
	  xfwm4/themes/default/maximize-pressed.xpm,
	  xfwm4/themes/default/maximize-toggled-active.xpm,
	  xfwm4/themes/default/maximize-toggled-inactive.xpm,
	  xfwm4/themes/default/maximize-toggled-pressed.xpm,
	  xfwm4/themes/default/menu-active.xpm,
	  xfwm4/themes/default/menu-inactive.xpm,
	  xfwm4/themes/default/menu-pressed.xpm,
	  xfwm4/themes/default/right-active.xpm,
	  xfwm4/themes/default/right-inactive.xpm,
	  xfwm4/themes/default/shade-active.xpm,
	  xfwm4/themes/default/shade-inactive.xpm,
	  xfwm4/themes/default/shade-pressed.xpm,
	  xfwm4/themes/default/shade-toggled-active.xpm,
	  xfwm4/themes/default/shade-toggled-inactive.xpm,
	  xfwm4/themes/default/shade-toggled-pressed.xpm,
	  xfwm4/themes/default/stick-active.xpm,
	  xfwm4/themes/default/stick-inactive.xpm,
	  xfwm4/themes/default/stick-pressed.xpm,
	  xfwm4/themes/default/stick-toggled-active.xpm,
	  xfwm4/themes/default/stick-toggled-inactive.xpm,
	  xfwm4/themes/default/stick-toggled-pressed.xpm,
	  xfwm4/themes/default/themerc,
	  xfwm4/themes/default/title-1-active.xpm,
	  xfwm4/themes/default/title-1-inactive.xpm,
	  xfwm4/themes/default/title-2-active.xpm,
	  xfwm4/themes/default/title-2-inactive.xpm,
	  xfwm4/themes/default/title-3-active.xpm,
	  xfwm4/themes/default/title-3-inactive.xpm,
	  xfwm4/themes/default/title-4-active.xpm,
	  xfwm4/themes/default/title-4-inactive.xpm,
	  xfwm4/themes/default/title-5-active.xpm,
	  xfwm4/themes/default/title-5-inactive.xpm,
	  xfwm4/themes/default/top-left-active.xpm,
	  xfwm4/themes/default/top-left-inactive.xpm,
	  xfwm4/themes/default/top-right-active.xpm,
	  xfwm4/themes/default/top-right-inactive.xpm: Revert xfwm4 default
	  theme to the one found in pre-release as it looked better Fix a
	  very small thing in netk-pager
	  
	  2003-10-10 19:21 huysmans
	  
	  * xfce4/plugins/pager/pager.c: Fix resizing bug
	  
	  2003-10-09 23:41 huysmans
	  
	  * xfwm4/: mcs-plugin/workspaces.c, src/settings.c: Move workspace
	  names settings into settings plugin. Rename count to
	  Xfwm/WorkspaceCount for consistency.
	  
	  2003-10-09 23:03 xfce
	  
	  * libxfcegui4/: configure, configure.ac: Increase version number
	  
	  2003-10-09 22:13 xfce
	  
	  * xfwm4/themes/default/: close-active.xpm, close-inactive.xpm,
	  close-pressed.xpm, hide-active.xpm, hide-inactive.xpm,
	  hide-pressed.xpm, maximize-active.xpm, maximize-inactive.xpm,
	  maximize-pressed.xpm, maximize-toggled-active.xpm,
	  maximize-toggled-inactive.xpm, maximize-toggled-pressed.xpm,
	  menu-active.xpm, menu-inactive.xpm, menu-pressed.xpm,
	  shade-active.xpm, shade-inactive.xpm, shade-pressed.xpm,
	  shade-toggled-active.xpm, shade-toggled-inactive.xpm,
	  shade-toggled-pressed.xpm, stick-active.xpm, stick-inactive.xpm,
	  stick-pressed.xpm, stick-toggled-active.xpm,
	  stick-toggled-inactive.xpm, stick-toggled-pressed.xpm, themerc,
	  title-2-active.xpm, title-2-inactive.xpm, title-3-active.xpm,
	  title-3-inactive.xpm, title-4-active.xpm, title-4-inactive.xpm:
	  Change default theme for 4.2
	  
	  2003-10-09 15:19 edscott
	  
	  * xffm/: glade_intl, src/glade_callbacks.h, src/glade_gui.c.bak,
	  src/glade_gui.h: remove obsolete files
	  
	  2003-10-09 07:04 edscott
	  
	  * xffm/src/: Makefile.am, Makefile.in, callbacks.c,
	  keybindings.c,
	  keybindings.h, treeview.c, treeview.h: scroll by keyboard is now
	  case insensitive, if shift is pressed, scroll search w ill
	  proceed
	  backwards. Backward scroll-search will not wrap. Forward
	  scroll-sear ch will wrap (as before).
	  
	  2003-10-09 04:14 edscott
	  
	  * xffm/: glade/xffm_main.glade, libs/apps.c, libs/bookmarks.c,
	  libs/combo.c, libs/cpy.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/filter.c, libs/find.h, libs/goto.c,
	  libs/goto.h,
	  libs/icons.c, libs/input.c, libs/menu.c, libs/menu_callbacks.c,
	  libs/misc.c, libs/monitor.c, libs/options.c, libs/options.h,
	  libs/print.h, libs/refresh.c, libs/reg.c, libs/reg.h,
	  libs/remove.c, libs/remove.h, libs/rename.c, libs/run.c,
	  libs/run.h, libs/symlink.c, libs/touch.c, libs/trash.c,
	  smb/smb_download.c, smb/smb_list.c, src/glade_main_gui.c,
	  src/main.c, src/treeview.c, src/widgets.c: eliminate all warnings
	  when compiling with --enable-debug
	  
	  2003-10-09 01:46 edscott
	  
	  * xffm/: xffm.glade, xffm.gladep, glade/xffm_find.glade,
	  glade/xffm_find.gladep, glade/xffm_main.glade,
	  glade/xffm_main.gladep, glade/xffm_remove.glade,
	  glade/xffm_remove.gladep, libs/Makefile.am, libs/Makefile.in,
	  libs/apps.c, libs/bookmarks.c, libs/combo.c, libs/combo.h,
	  libs/cpy.c, libs/dnd.c, libs/duplicate.c, libs/entry.c,
	  libs/filter.c, libs/filter.h, libs/find.c, libs/fstab.c,
	  libs/goto.c, libs/help.c, libs/input.c, libs/input.h,
	  libs/menu_callbacks.c, libs/menu_callbacks.h, libs/misc.c,
	  libs/monitor.c, libs/new.c, libs/options.c, libs/pasteboard.c,
	  libs/print.c, libs/refresh.c, libs/reg.c, libs/remove.c,
	  libs/rename.c, libs/run.c, libs/scramble.c, libs/settings.c,
	  libs/symlink.c, libs/terminal.c, libs/touch.c, libs/trash.c,
	  libs/tubo.c, libs/xfdiff.c, libs/zoom.c, smb/smb_list.c,
	  src/Makefile.am, src/Makefile.in, src/add_file.c,
	  src/add_folder.c,
	  src/add_node_contents.c, src/aux.c, src/callbacks.c,
	  src/glade_callbacks.c, src/glade_find_callbacks.c,
	  src/glade_find_callbacks.h, src/glade_find_gui.c,
	  src/glade_find_gui.h, src/glade_gui.c,
	  src/glade_main_callbacks.c,
	  src/glade_main_callbacks.h, src/glade_main_gui.c,
	  src/glade_main_gui.h, src/glade_remove_callbacks.c,
	  src/glade_remove_callbacks.h, src/glade_remove_gui.c,
	  src/glade_remove_gui.h, src/main.c, src/mcs-manager.c,
	  src/treeview.c, src/widgets.c: broke glade files into three parts
	  
	  2003-10-08 23:43 xfce
	  
	  * xfwm4/src/: client.c, events.c, settings.c: [no log message]
	  
	  2003-10-08 22:29 xfce
	  
	  * xfwm4/themes/default.keys/keythemerc: Change raise/lower key
	  
	  2003-10-08 22:24 xfce
	  
	  * xfwm4/: src/settings.c, themes/default.keys/keythemerc: Fix
	  raise/lower key shortcut patch
	  
	  2003-10-08 22:12 xfce
	  
	  * xfwm4/: configure, configure.ac, themes/Makefile.am,
	  themes/Makefile.in, themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm: Add missing files
	  
	  2003-10-08 10:20 huysmans
	  
	  * xfdesktop/doc/C/xfdesktop.html, xfdesktop/doc/C/xfdesktop.xml,
	  xfdesktop/doc/C/images/Makefile.am,
	  xfdesktop/doc/C/images/Makefile.in,
	  xfdesktop/doc/C/images/xfdesktop-workspace.png,
	  xfdesktop/settings/Makefile.am, xfdesktop/settings/Makefile.in,
	  xfdesktop/settings/backdrop-icon.h, xfdesktop/src/Makefile.am,
	  xfdesktop/src/Makefile.in, xfdesktop/src/menu.c,
	  xfdesktop/src/settings.c, xfwm4/configure, xfwm4/configure.ac,
	  xfwm4/doc/C/xfwm4.html, xfwm4/doc/C/xfwm4.xml,
	  xfwm4/doc/C/images/Makefile.am, xfwm4/doc/C/images/Makefile.in,
	  xfwm4/doc/C/images/xfwm_workspaces.png,
	  xfwm4/mcs-plugin/Makefile.am, xfwm4/mcs-plugin/Makefile.in,
	  xfwm4/mcs-plugin/margins.c, xfwm4/mcs-plugin/margins.h,
	  xfwm4/mcs-plugin/margins_plugin.c, xfwm4/mcs-plugin/plugin.c,
	  xfwm4/mcs-plugin/plugin.h, xfwm4/mcs-plugin/workspaces-icon.h,
	  xfwm4/mcs-plugin/workspaces.c, xfwm4/mcs-plugin/workspaces.h,
	  xfwm4/mcs-plugin/workspaces.png, xfwm4/src/settings.c,
	  xfwm4/themes/Makefile.am, xfwm4/themes/Makefile.in: Largish
	  update:
	  merge workspaces dialog from xfdesktop with workspace margins
	  dialog from xfwm4. The new dialog is part of xfwm4.
	  
	  2003-10-07 22:44 xfce
	  
	  * libxfcegui4/libxfcegui4/: Makefile.am, Makefile.in,
	  netk-class-group.c, netk-class-group.h, netk-private.h,
	  netk-screen.c, netk-screen.h, netk-tasklist.c, netk-window.c,
	  netk-window.h, netk-xutils.c, netk-xutils.h: Backport changes
	  from
	  libwnck HEAD cvs
	  
	  2003-10-07 22:40 xfce
	  
	  * xffm/libs/: input.c, run.c: Include Edscott patches
	  
	  2003-10-07 22:31 xfce
	  
	  * xfwm4/: configure, configure.ac, src/client.c, src/events.c,
	  themes/Makefile.am, themes/Makefile.in,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/left-active.xpm, themes/default/left-inactive.xpm,
	  themes/default/right-active.xpm,
	  themes/default/right-inactive.xpm,
	  themes/default/themerc, themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm,
	  themes/tgc-large/Makefile.am, themes/tgc-large/Makefile.in,
	  themes/tgc-large/README, themes/tgc-large/bottom-active.xpm,
	  themes/tgc-large/bottom-inactive.xpm,
	  themes/tgc-large/bottom-left-active.xpm,
	  themes/tgc-large/bottom-left-inactive.xpm,
	  themes/tgc-large/bottom-right-active.xpm,
	  themes/tgc-large/bottom-right-inactive.xpm,
	  themes/tgc-large/close-active.xpm,
	  themes/tgc-large/close-inactive.xpm,
	  themes/tgc-large/close-pressed.xpm,
	  themes/tgc-large/hide-active.xpm,
	  themes/tgc-large/hide-inactive.xpm,
	  themes/tgc-large/hide-pressed.xpm,
	  themes/tgc-large/left-active.xpm,
	  themes/tgc-large/left-inactive.xpm,
	  themes/tgc-large/maximize-active.xpm,
	  themes/tgc-large/maximize-inactive.xpm,
	  themes/tgc-large/maximize-pressed.xpm,
	  themes/tgc-large/maximize-toggled-active.xpm,
	  themes/tgc-large/maximize-toggled-inactive.xpm,
	  themes/tgc-large/maximize-toggled-pressed.xpm,
	  themes/tgc-large/menu-active.xpm,
	  themes/tgc-large/menu-inactive.xpm,
	  themes/tgc-large/menu-pressed.xpm,
	  themes/tgc-large/right-active.xpm,
	  themes/tgc-large/right-inactive.xpm,
	  themes/tgc-large/shade-active.xpm,
	  themes/tgc-large/shade-inactive.xpm,
	  themes/tgc-large/shade-pressed.xpm,
	  themes/tgc-large/shade-toggled-active.xpm,
	  themes/tgc-large/shade-toggled-inactive.xpm,
	  themes/tgc-large/shade-toggled-pressed.xpm,
	  themes/tgc-large/stick-active.xpm,
	  themes/tgc-large/stick-inactive.xpm,
	  themes/tgc-large/stick-pressed.xpm,
	  themes/tgc-large/stick-toggled-active.xpm,
	  themes/tgc-large/stick-toggled-inactive.xpm,
	  themes/tgc-large/stick-toggled-pressed.xpm,
	  themes/tgc-large/themerc, themes/tgc-large/title-1-active.xpm,
	  themes/tgc-large/title-1-inactive.xpm,
	  themes/tgc-large/title-2-active.xpm,
	  themes/tgc-large/title-2-inactive.xpm,
	  themes/tgc-large/title-3-active.xpm,
	  themes/tgc-large/title-3-inactive.xpm,
	  themes/tgc-large/title-4-active.xpm,
	  themes/tgc-large/title-4-inactive.xpm,
	  themes/tgc-large/title-5-active.xpm,
	  themes/tgc-large/title-5-inactive.xpm,
	  themes/tgc-large/top-left-active.xpm,
	  themes/tgc-large/top-left-inactive.xpm,
	  themes/tgc-large/top-right-active.xpm,
	  themes/tgc-large/top-right-inactive.xpm: Change default theme,
	  keep
	  old 4.0 theme as default-4.0 and add tgc-large theme Include
	  improvements for fullscreen mode for gst from Arwed von Merkatz
	  <v.merkatz@gmx.net>
	  
	  +++

2003-10-13 15:32  jasper

	* configure, configure.ac:
	  Huge commit to bring new repository in sync with SF. We are
	  losing some
	  CVS history here, but for completeness sake I'm including the
	  ChangeLog
	  entries here:
	  
	  +++
	  
	  2003-10-11 00:08 edscott
	  
	  * xffm/src/: add_folder.c, add_node_contents.c, callbacks.c,
	  keybindings.c, main.c, treeview.c: do second letter search if
	  first
	  letter is / -- DONE autohide diagnostics on click or
	  keypress--DONE
	  compare dates between mime file and dbh file before updating
	  applications -- DONE scroll by keyboard debugged and enhanced
	  --DONE g_strchug() crash on openwith by menu... --FIXED on go_up
	  do
	  not place in history, nor back nor forward --DONE
	  
	  2003-10-11 00:05 edscott
	  
	  * xffm/: libs/apps.c, libs/bookmarks.c, libs/constants.h,
	  libs/cpy.c, libs/dnd.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/goto.c, libs/goto.h, libs/icons.c,
	  libs/menu.c,
	  libs/menu_callbacks.c, libs/misc.c, libs/misc.h, libs/monitor.c,
	  libs/new_win.c, libs/pasteboard.c, libs/print.c, libs/refresh.c,
	  libs/reg.c, libs/remove.c, libs/rename.c, libs/run.c, libs/run.h,
	  libs/scramble.c, libs/symlink.c, libs/terminal.c, libs/touch.c,
	  libs/trash.c, libs/xfdiff.c, smb/smb_download.c, smb/smb_list.c:
	  do
	  second letter search if first letter is / -- DONE autohide
	  diagnostics on click or keypress--DONE compare dates between mime
	  file and dbh file before updating applications -- DONE scroll by
	  keyboard debugged and enhanced --DONE g_strchug() crash on
	  openwith
	  by menu... --FIXED on go_up do not place in history, nor back nor
	  forward --DONE
	  
	  2003-10-10 23:19 xfce
	  
	  * xfce-utils/scripts/xinitrc: Don't use cpp in xrdb so that DPI
	  settings load even on workstations w/out cpp
	  
	  2003-10-10 22:17 xfce
	  
	  * libxfcegui4/libxfcegui4/netk-pager.c, xfwm4/configure,
	  xfwm4/configure.ac, xfwm4/themes/Makefile.am,
	  xfwm4/themes/Makefile.in, xfwm4/themes/default/bottom-active.xpm,
	  xfwm4/themes/default/bottom-inactive.xpm,
	  xfwm4/themes/default/bottom-left-active.xpm,
	  xfwm4/themes/default/bottom-left-inactive.xpm,
	  xfwm4/themes/default/bottom-right-active.xpm,
	  xfwm4/themes/default/bottom-right-inactive.xpm,
	  xfwm4/themes/default/close-active.xpm,
	  xfwm4/themes/default/close-inactive.xpm,
	  xfwm4/themes/default/close-pressed.xpm,
	  xfwm4/themes/default/hide-active.xpm,
	  xfwm4/themes/default/hide-inactive.xpm,
	  xfwm4/themes/default/hide-pressed.xpm,
	  xfwm4/themes/default/left-active.xpm,
	  xfwm4/themes/default/left-inactive.xpm,
	  xfwm4/themes/default/maximize-active.xpm,
	  xfwm4/themes/default/maximize-inactive.xpm,
	  xfwm4/themes/default/maximize-pressed.xpm,
	  xfwm4/themes/default/maximize-toggled-active.xpm,
	  xfwm4/themes/default/maximize-toggled-inactive.xpm,
	  xfwm4/themes/default/maximize-toggled-pressed.xpm,
	  xfwm4/themes/default/menu-active.xpm,
	  xfwm4/themes/default/menu-inactive.xpm,
	  xfwm4/themes/default/menu-pressed.xpm,
	  xfwm4/themes/default/right-active.xpm,
	  xfwm4/themes/default/right-inactive.xpm,
	  xfwm4/themes/default/shade-active.xpm,
	  xfwm4/themes/default/shade-inactive.xpm,
	  xfwm4/themes/default/shade-pressed.xpm,
	  xfwm4/themes/default/shade-toggled-active.xpm,
	  xfwm4/themes/default/shade-toggled-inactive.xpm,
	  xfwm4/themes/default/shade-toggled-pressed.xpm,
	  xfwm4/themes/default/stick-active.xpm,
	  xfwm4/themes/default/stick-inactive.xpm,
	  xfwm4/themes/default/stick-pressed.xpm,
	  xfwm4/themes/default/stick-toggled-active.xpm,
	  xfwm4/themes/default/stick-toggled-inactive.xpm,
	  xfwm4/themes/default/stick-toggled-pressed.xpm,
	  xfwm4/themes/default/themerc,
	  xfwm4/themes/default/title-1-active.xpm,
	  xfwm4/themes/default/title-1-inactive.xpm,
	  xfwm4/themes/default/title-2-active.xpm,
	  xfwm4/themes/default/title-2-inactive.xpm,
	  xfwm4/themes/default/title-3-active.xpm,
	  xfwm4/themes/default/title-3-inactive.xpm,
	  xfwm4/themes/default/title-4-active.xpm,
	  xfwm4/themes/default/title-4-inactive.xpm,
	  xfwm4/themes/default/title-5-active.xpm,
	  xfwm4/themes/default/title-5-inactive.xpm,
	  xfwm4/themes/default/top-left-active.xpm,
	  xfwm4/themes/default/top-left-inactive.xpm,
	  xfwm4/themes/default/top-right-active.xpm,
	  xfwm4/themes/default/top-right-inactive.xpm: Revert xfwm4 default
	  theme to the one found in pre-release as it looked better Fix a
	  very small thing in netk-pager
	  
	  2003-10-10 19:21 huysmans
	  
	  * xfce4/plugins/pager/pager.c: Fix resizing bug
	  
	  2003-10-09 23:41 huysmans
	  
	  * xfwm4/: mcs-plugin/workspaces.c, src/settings.c: Move workspace
	  names settings into settings plugin. Rename count to
	  Xfwm/WorkspaceCount for consistency.
	  
	  2003-10-09 23:03 xfce
	  
	  * libxfcegui4/: configure, configure.ac: Increase version number
	  
	  2003-10-09 22:13 xfce
	  
	  * xfwm4/themes/default/: close-active.xpm, close-inactive.xpm,
	  close-pressed.xpm, hide-active.xpm, hide-inactive.xpm,
	  hide-pressed.xpm, maximize-active.xpm, maximize-inactive.xpm,
	  maximize-pressed.xpm, maximize-toggled-active.xpm,
	  maximize-toggled-inactive.xpm, maximize-toggled-pressed.xpm,
	  menu-active.xpm, menu-inactive.xpm, menu-pressed.xpm,
	  shade-active.xpm, shade-inactive.xpm, shade-pressed.xpm,
	  shade-toggled-active.xpm, shade-toggled-inactive.xpm,
	  shade-toggled-pressed.xpm, stick-active.xpm, stick-inactive.xpm,
	  stick-pressed.xpm, stick-toggled-active.xpm,
	  stick-toggled-inactive.xpm, stick-toggled-pressed.xpm, themerc,
	  title-2-active.xpm, title-2-inactive.xpm, title-3-active.xpm,
	  title-3-inactive.xpm, title-4-active.xpm, title-4-inactive.xpm:
	  Change default theme for 4.2
	  
	  2003-10-09 15:19 edscott
	  
	  * xffm/: glade_intl, src/glade_callbacks.h, src/glade_gui.c.bak,
	  src/glade_gui.h: remove obsolete files
	  
	  2003-10-09 07:04 edscott
	  
	  * xffm/src/: Makefile.am, Makefile.in, callbacks.c,
	  keybindings.c,
	  keybindings.h, treeview.c, treeview.h: scroll by keyboard is now
	  case insensitive, if shift is pressed, scroll search w ill
	  proceed
	  backwards. Backward scroll-search will not wrap. Forward
	  scroll-sear ch will wrap (as before).
	  
	  2003-10-09 04:14 edscott
	  
	  * xffm/: glade/xffm_main.glade, libs/apps.c, libs/bookmarks.c,
	  libs/combo.c, libs/cpy.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/filter.c, libs/find.h, libs/goto.c,
	  libs/goto.h,
	  libs/icons.c, libs/input.c, libs/menu.c, libs/menu_callbacks.c,
	  libs/misc.c, libs/monitor.c, libs/options.c, libs/options.h,
	  libs/print.h, libs/refresh.c, libs/reg.c, libs/reg.h,
	  libs/remove.c, libs/remove.h, libs/rename.c, libs/run.c,
	  libs/run.h, libs/symlink.c, libs/touch.c, libs/trash.c,
	  smb/smb_download.c, smb/smb_list.c, src/glade_main_gui.c,
	  src/main.c, src/treeview.c, src/widgets.c: eliminate all warnings
	  when compiling with --enable-debug
	  
	  2003-10-09 01:46 edscott
	  
	  * xffm/: xffm.glade, xffm.gladep, glade/xffm_find.glade,
	  glade/xffm_find.gladep, glade/xffm_main.glade,
	  glade/xffm_main.gladep, glade/xffm_remove.glade,
	  glade/xffm_remove.gladep, libs/Makefile.am, libs/Makefile.in,
	  libs/apps.c, libs/bookmarks.c, libs/combo.c, libs/combo.h,
	  libs/cpy.c, libs/dnd.c, libs/duplicate.c, libs/entry.c,
	  libs/filter.c, libs/filter.h, libs/find.c, libs/fstab.c,
	  libs/goto.c, libs/help.c, libs/input.c, libs/input.h,
	  libs/menu_callbacks.c, libs/menu_callbacks.h, libs/misc.c,
	  libs/monitor.c, libs/new.c, libs/options.c, libs/pasteboard.c,
	  libs/print.c, libs/refresh.c, libs/reg.c, libs/remove.c,
	  libs/rename.c, libs/run.c, libs/scramble.c, libs/settings.c,
	  libs/symlink.c, libs/terminal.c, libs/touch.c, libs/trash.c,
	  libs/tubo.c, libs/xfdiff.c, libs/zoom.c, smb/smb_list.c,
	  src/Makefile.am, src/Makefile.in, src/add_file.c,
	  src/add_folder.c,
	  src/add_node_contents.c, src/aux.c, src/callbacks.c,
	  src/glade_callbacks.c, src/glade_find_callbacks.c,
	  src/glade_find_callbacks.h, src/glade_find_gui.c,
	  src/glade_find_gui.h, src/glade_gui.c,
	  src/glade_main_callbacks.c,
	  src/glade_main_callbacks.h, src/glade_main_gui.c,
	  src/glade_main_gui.h, src/glade_remove_callbacks.c,
	  src/glade_remove_callbacks.h, src/glade_remove_gui.c,
	  src/glade_remove_gui.h, src/main.c, src/mcs-manager.c,
	  src/treeview.c, src/widgets.c: broke glade files into three parts
	  
	  2003-10-08 23:43 xfce
	  
	  * xfwm4/src/: client.c, events.c, settings.c: [no log message]
	  
	  2003-10-08 22:29 xfce
	  
	  * xfwm4/themes/default.keys/keythemerc: Change raise/lower key
	  
	  2003-10-08 22:24 xfce
	  
	  * xfwm4/: src/settings.c, themes/default.keys/keythemerc: Fix
	  raise/lower key shortcut patch
	  
	  2003-10-08 22:12 xfce
	  
	  * xfwm4/: configure, configure.ac, themes/Makefile.am,
	  themes/Makefile.in, themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm: Add missing files
	  
	  2003-10-08 10:20 huysmans
	  
	  * xfdesktop/doc/C/xfdesktop.html, xfdesktop/doc/C/xfdesktop.xml,
	  xfdesktop/doc/C/images/Makefile.am,
	  xfdesktop/doc/C/images/Makefile.in,
	  xfdesktop/doc/C/images/xfdesktop-workspace.png,
	  xfdesktop/settings/Makefile.am, xfdesktop/settings/Makefile.in,
	  xfdesktop/settings/backdrop-icon.h, xfdesktop/src/Makefile.am,
	  xfdesktop/src/Makefile.in, xfdesktop/src/menu.c,
	  xfdesktop/src/settings.c, xfwm4/configure, xfwm4/configure.ac,
	  xfwm4/doc/C/xfwm4.html, xfwm4/doc/C/xfwm4.xml,
	  xfwm4/doc/C/images/Makefile.am, xfwm4/doc/C/images/Makefile.in,
	  xfwm4/doc/C/images/xfwm_workspaces.png,
	  xfwm4/mcs-plugin/Makefile.am, xfwm4/mcs-plugin/Makefile.in,
	  xfwm4/mcs-plugin/margins.c, xfwm4/mcs-plugin/margins.h,
	  xfwm4/mcs-plugin/margins_plugin.c, xfwm4/mcs-plugin/plugin.c,
	  xfwm4/mcs-plugin/plugin.h, xfwm4/mcs-plugin/workspaces-icon.h,
	  xfwm4/mcs-plugin/workspaces.c, xfwm4/mcs-plugin/workspaces.h,
	  xfwm4/mcs-plugin/workspaces.png, xfwm4/src/settings.c,
	  xfwm4/themes/Makefile.am, xfwm4/themes/Makefile.in: Largish
	  update:
	  merge workspaces dialog from xfdesktop with workspace margins
	  dialog from xfwm4. The new dialog is part of xfwm4.
	  
	  2003-10-07 22:44 xfce
	  
	  * libxfcegui4/libxfcegui4/: Makefile.am, Makefile.in,
	  netk-class-group.c, netk-class-group.h, netk-private.h,
	  netk-screen.c, netk-screen.h, netk-tasklist.c, netk-window.c,
	  netk-window.h, netk-xutils.c, netk-xutils.h: Backport changes
	  from
	  libwnck HEAD cvs
	  
	  2003-10-07 22:40 xfce
	  
	  * xffm/libs/: input.c, run.c: Include Edscott patches
	  
	  2003-10-07 22:31 xfce
	  
	  * xfwm4/: configure, configure.ac, src/client.c, src/events.c,
	  themes/Makefile.am, themes/Makefile.in,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/left-active.xpm, themes/default/left-inactive.xpm,
	  themes/default/right-active.xpm,
	  themes/default/right-inactive.xpm,
	  themes/default/themerc, themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm,
	  themes/tgc-large/Makefile.am, themes/tgc-large/Makefile.in,
	  themes/tgc-large/README, themes/tgc-large/bottom-active.xpm,
	  themes/tgc-large/bottom-inactive.xpm,
	  themes/tgc-large/bottom-left-active.xpm,
	  themes/tgc-large/bottom-left-inactive.xpm,
	  themes/tgc-large/bottom-right-active.xpm,
	  themes/tgc-large/bottom-right-inactive.xpm,
	  themes/tgc-large/close-active.xpm,
	  themes/tgc-large/close-inactive.xpm,
	  themes/tgc-large/close-pressed.xpm,
	  themes/tgc-large/hide-active.xpm,
	  themes/tgc-large/hide-inactive.xpm,
	  themes/tgc-large/hide-pressed.xpm,
	  themes/tgc-large/left-active.xpm,
	  themes/tgc-large/left-inactive.xpm,
	  themes/tgc-large/maximize-active.xpm,
	  themes/tgc-large/maximize-inactive.xpm,
	  themes/tgc-large/maximize-pressed.xpm,
	  themes/tgc-large/maximize-toggled-active.xpm,
	  themes/tgc-large/maximize-toggled-inactive.xpm,
	  themes/tgc-large/maximize-toggled-pressed.xpm,
	  themes/tgc-large/menu-active.xpm,
	  themes/tgc-large/menu-inactive.xpm,
	  themes/tgc-large/menu-pressed.xpm,
	  themes/tgc-large/right-active.xpm,
	  themes/tgc-large/right-inactive.xpm,
	  themes/tgc-large/shade-active.xpm,
	  themes/tgc-large/shade-inactive.xpm,
	  themes/tgc-large/shade-pressed.xpm,
	  themes/tgc-large/shade-toggled-active.xpm,
	  themes/tgc-large/shade-toggled-inactive.xpm,
	  themes/tgc-large/shade-toggled-pressed.xpm,
	  themes/tgc-large/stick-active.xpm,
	  themes/tgc-large/stick-inactive.xpm,
	  themes/tgc-large/stick-pressed.xpm,
	  themes/tgc-large/stick-toggled-active.xpm,
	  themes/tgc-large/stick-toggled-inactive.xpm,
	  themes/tgc-large/stick-toggled-pressed.xpm,
	  themes/tgc-large/themerc, themes/tgc-large/title-1-active.xpm,
	  themes/tgc-large/title-1-inactive.xpm,
	  themes/tgc-large/title-2-active.xpm,
	  themes/tgc-large/title-2-inactive.xpm,
	  themes/tgc-large/title-3-active.xpm,
	  themes/tgc-large/title-3-inactive.xpm,
	  themes/tgc-large/title-4-active.xpm,
	  themes/tgc-large/title-4-inactive.xpm,
	  themes/tgc-large/title-5-active.xpm,
	  themes/tgc-large/title-5-inactive.xpm,
	  themes/tgc-large/top-left-active.xpm,
	  themes/tgc-large/top-left-inactive.xpm,
	  themes/tgc-large/top-right-active.xpm,
	  themes/tgc-large/top-right-inactive.xpm: Change default theme,
	  keep
	  old 4.0 theme as default-4.0 and add tgc-large theme Include
	  improvements for fullscreen mode for gst from Arwed von Merkatz
	  <v.merkatz@gmx.net>
	  
	  +++

2003-09-22 20:52  huysmans

	* ChangeLog:
	  Update ChangeLogs

2003-09-21 22:19  xfce

	* configure, configure.ac:
	  Update version number to 4.0.0
	  Improve focus change for modal dialogs in xfwm4

2003-09-14 22:06  xfce

	* ChangeLog:
	  Update ChangeLog

2003-09-14 08:48  xfce

	* libxfcegui4/xfce_systemtray.c:
	  Remove GINT_TO_POINTER(*xwindow)

2003-09-13 23:13  xfce

	* ChangeLog:
	  Update ChangeLog

2003-09-13 22:22  xfce

	* configure, configure.ac, libxfcegui4/xfce_systemtray.c:
	  Got the bug with systray manager (hopefully)

2003-09-13 00:18  xfce

	* libxfcegui4/xfce_systemtray.c:
	  Flush X output buffer on dock request in systemtray

2003-09-10 07:54  huysmans

	* ChangeLog:
	  Update ChangeLogs

2003-09-10 07:39  huysmans

	* configure, configure.ac:
	  Update version numbers and po files for release

2003-09-08 19:43  huysmans

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_iconbutton.h,
	  libxfcegui4/xfce_menubutton.c:
	  Fix icon scaling. Really. I think ...

2003-09-07 19:33  huysmans

	* libxfcegui4/xfce_iconbutton.h:
	  Revert changes to fix crash

2003-09-07 17:36  huysmans

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c:
	  Reverting scaling fixes, because of crash reports

2003-09-04 21:09  huysmans

	* configure, configure.ac, libxfcegui4/xfce_iconbutton.c,
	  libxfcegui4/xfce_iconbutton.h, libxfcegui4/xfce_menubutton.c:
	  Fix the icon scaling issues

2003-09-01 21:08  xfce

	* libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h:
	  Fix 64bit + endianess problem on Alpha (and probably other
	  platforms)

2003-08-30 18:26  huysmans

	* configure, configure.ac:
	  Bump lib version such that the so name is actually higher than
	  before ... I really don't like libtool.

2003-08-26 07:38  huysmans

	* ChangeLog:
	  Update changelogs

2003-08-26 07:12  huysmans

	* configure, configure.ac:
	  Update version numbers and po files for release

2003-08-21 14:59  huysmans

	* libxfcegui4/xfce_iconbutton.c:
	  Fix crash when theme doesn't provide the default_border property

2003-08-19 11:32  huysmans

	* libxfcegui4/xfce_iconbutton.c:
	  Fix scaling issue

2003-08-14 19:09  xfce

	* aclocal.m4, configure:
	  Resync with cvs

2003-08-07 07:02  huysmans

	* libxfcegui4/netk-xutils.c:
	  Remove unneeded casts

2003-08-03 21:59  xfce

	* libxfcegui4/netk-workspace.c:
	  Forgot wnck reference...

2003-08-03 21:41  xfce

	* libxfcegui4/netk-tasklist.c, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-workspace.c, libxfcegui4/netk-workspace.h,
	  libxfcegui4/netk-xutils.c:
	  Revert latest change
	  Resync with libwnck fixes

2003-08-03 18:45  bmeurer

	* ChangeLog:
	  Updated ChangeLogs

2003-08-03 18:37  bmeurer

	* m4/X11.m4:
	  grep -q does not work with Solaris grep, fixed it.

2003-07-31 07:12  huysmans

	* libxfcegui4/netk-xutils.c:
	  Fix compiler warnings. Apparently, gcc doesn't like casting
	  dereferenced pointers: (type *) &var. Perhaps it's a gcc 3.3
	  thing. The warnings I get are: warning: dereferencing type-punned
	  pointer will break strict-aliasing rules. I don't think it hurts
	  fixing the warnings.

2003-07-30 11:31  huysmans

	* ChangeLog:
	  Update changlogs

2003-07-30 08:05  huysmans

	* configure, configure.ac:
	  Update version numbers and po files for release

2003-07-30 00:07  xfce

	* configure, configure.ac, libxfcegui4/netk-trayicon.c:
	  Add error handling to avoid X errors

2003-07-29 23:50  xfce

	* libxfcegui4/xfce_systemtray.c:
	  Change filters, add credits to egg tray impl since I looked at
	  it...

2003-07-29 20:16  xfce

	* configure, configure.ac, libxfcegui4/xfce_systemtray.c:
	  Fix double free (gtk_widget_destroy() followed by a
	  g_object_unref() in xfce_systray widget

2003-07-24 21:21  bmeurer

	* libxfcegui4/netk-trayicon.c, libxfcegui4/netk-trayicon.h,
	  libxfcegui4/xfce_systemtray.c, libxfcegui4/xfce_systemtray.h:
	  BSD -> GPL.

2003-07-24 09:21  huysmans

	* debian:
	  Remove debian dirs on Martin's request

2003-07-23 20:53  xfce

	* libxfcegui4/xfce_menubutton.c:
	  Take hbox width into account when computing icon size for menu
	  icons

2003-07-23 17:26  xfce

	* libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_iconbutton.h,
	  libxfcegui4/xfce_menubutton.c, libxfcegui4/xfce_menubutton.h:
	  Apply a merge of Jasper's and my patches

2003-07-19 09:30  huysmans

	* ChangeLog:
	  Update ChangeLogs

2003-07-19 08:59  huysmans

	* configure, configure.ac:
	  Update version numbers and po files for release

2003-07-17 21:07  bmeurer

	* ChangeLog, configure, configure.ac, libxfcegui4/netk-trayicon.c:
	  Fixed SONAME issue: Bumped lib version to 1.0.0

2003-07-13 09:24  huysmans

	* ChangeLog:
	  Update ChangeLog for release

2003-07-13 09:12  bmeurer

	* libxfcegui4/netk-trayicon.c:
	  gtk2.0 fixes.

2003-07-13 08:43  huysmans

	* ChangeLog:
	  Update ChangeLogs for release

2003-07-11 07:33  huysmans

	* ChangeLog:
	  Update ChangeLog's for release

2003-07-10 22:44  bmeurer

	* libxfcegui4/netk-trayicon.c:
	  Introduced realize handler. I'm about to make it possible to
	  "move"
	  tray icon between different system trays. This is the first step,
	  it
	  does not fix it yet (I'll figure out soon, hopefully)

2003-07-10 09:56  huysmans

	* ChangeLog:
	  Update ChangeLog's for release

2003-07-10 09:24  huysmans

	* configure, configure.ac:
	  Bump version numbers for release and update po files

2003-07-08 21:01  bmeurer

	* configure, configure.ac:
	  Updated version.

2003-07-08 20:44  bmeurer

	* libxfcegui4/netk-trayicon.c, libxfcegui4/netk-trayicon.h:
	  Added missing function. I need this for the session managers tray
	  icon!

2003-07-07 22:26  xfce

	* ltmain.sh:
	  Update ltmain.sh with patched version

2003-07-06 19:45  huysmans

	* ChangeLog:
	  Updating ChangeLogs

2003-07-05 12:31  xfce

	* Makefile.in, ltconfig:
	  Remove ltconfig script as it is generated

2003-07-04 22:55  xfce

	* libxfcegui4/netk-xutils.c:
	  Properly manage NETK_WINDOW_MODAL_DIALOG (modal is a state, not a
	  type)

2003-07-04 22:40  xfce

	* Makefile.in, configure, configure.ac, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-util.h, libxfcegui4/netk-xutils.c,
	  libxfcegui4/netk-xutils.h, ltcf-c.sh:
	  Add netk_gtk_window_set_type (GtkWindow * window, NetkWindowType
	  type)

2003-07-02 05:46  xfce

	* libxfcegui4/netk-application.c:
	  Add checking of passed params in netk-application routines

2003-07-01 20:53  xfce

	* configure, configure.ac, libxfcegui4/netk-xutils.c:
	  Make use of the new utf8 function added ti libxfce4util.

2003-06-28 09:46  xfce

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.ac,
	  libxfcegui4/Makefile.in, ltmain.sh:
	  Update to libtool-1.5
	  Use proper complete CURRENT:REVISION:AGE scheme for lib
	  versionning

2003-06-27 21:34  xfce

	* libxfcegui4/netk-tasklist.c, libxfcegui4/netk-xutils.c:
	  Fix some oddities in netk functions

2003-06-27 19:57  xfce

	* libxfcegui4/netk-pager.c:
	  Include Bernhard Walle <Bernhard.Walle@gmx.de> fix for pager
	  rounding problem.

2003-06-23 21:48  xfce

	* libxfcegui4/netk-xutils.c:
	  Add paranoid checks

2003-06-21 17:42  bmeurer

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.ac, install-sh, libxfcegui4/Makefile.in, ltcf-c.sh,
	  ltconfig, ltmain.sh:
	  Fixes.

2003-06-20 22:56  xfce

	* libxfcegui4/netk-xutils.c:
	  Protect against newlines and other crazyness in window titles

2003-06-18 20:35  xfce

	* libxfcegui4/gtktoxevent.c:
	  Call gtk_window_set_position () as late at possible as it seems
	  there is a race cond in gtk+

2003-06-14 22:56  xfce

	* libxfcegui4/xinerama.c:
	  A lot of improvements on Xinerama support

2003-06-14 16:03  xfce

	* libxfcegui4/dialogs.c:
	  Revert the GTK_POS_WINDOW_CENTER

2003-06-13 23:57  xfce

	* libxfcegui4/dialogs.c:
	  Use GTK_WIN_POS_CENTER_ALWAYS instead of GTK_WIN_POS_CENTER when
	  centering dialogs

2003-06-12 20:57  xfce

	* AUTHORS, libxfcegui4/default_icon.png,
	  libxfcegui4/netk-inlinepixbufs.h:
	  Change default fallback icon

2003-06-10 22:07  xfce

	* libxfcegui4/xfce_framebox.c:
	  Various updates

2003-06-10 20:04  bmeurer

	* libxfcegui4/xfce_framebox.c:
	  gtk_widget_usize() is deprecated.

2003-06-09 23:20  xfce

	* Makefile.in, libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/dialogs.c, libxfcegui4/dialogs.h,
	  libxfcegui4/libxfcegui4.h, libxfcegui4/xfce_framebox.c,
	  libxfcegui4/xfce_framebox.h:
	  Add new widget xfce_framebox to unify look across UI
	  Migrate all plugins to this new widget

2003-06-09 21:27  xfce

	* libxfcegui4/dialogs.c:
	  Latest change was not compiling!

2003-06-09 17:17  xfce

	* Makefile.in, configure, configure.ac, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h:
	  Redesign UI

2003-06-07 00:12  xfce

	* libxfcegui4.spec.in:
	  Change specfile to support xinerama in RPMS

2003-06-06 21:36  xfce

	* aclocal.m4, configure, configure.ac, ltcf-c.sh, ltconfig,
	  ltmain.sh:
	  Versionning scheme

2003-06-05 22:34  bmeurer

	* configure, configure.ac:
	  Updated to use the 3.90 versions instead.

2003-06-05 22:09  bmeurer

	* Makefile.in, aclocal.m4, configure, configure.ac, ltcf-c.sh,
	  ltconfig, ltmain.sh:
	  Updated to 3.90.0.

2003-06-04 16:47  xfce

	* libxfcegui4/xfce_clock.c:
	  Fix a long standing leak in xfce clock widget
	  Remove thread enter/leave (not needed, the rest of the lib is not
	  thread safe anyway)

2003-05-28 16:16  xfce

	* libxfcegui4/netk-tasklist.c:
	  Fix problem in tasklist with transients reported by Danny.

2003-05-27 17:02  xfce

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-window.c:
	  Bug fixes: Sticky windows not showing on all workspaces in pager,
	  shaded window till being visible in pager.

2003-05-21 21:44  xfce

	* libxfcegui4/netk-application.c, libxfcegui4/netk-window.c:
	  Fallback name problem

2003-05-17 22:22  xfce

	* configure, configure.ac, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h, libxfcegui4/gtk_style.c,
	  libxfcegui4/gtk_style.h, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/gtktoxevent.h, libxfcegui4/icons.c,
	  libxfcegui4/icons.h, libxfcegui4/libnetk.h,
	  libxfcegui4/netk-application.c, libxfcegui4/netk-application.h,
	  libxfcegui4/netk-enum-types.c, libxfcegui4/netk-inlinepixbufs.h,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-pager.h,
	  libxfcegui4/netk-private.h, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-screen.h, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-tasklist.h, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-trayicon.h, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-util.h, libxfcegui4/netk-window-menu.c,
	  libxfcegui4/netk-window-menu.h, libxfcegui4/netk-window.c,
	  libxfcegui4/netk-window.h, libxfcegui4/netk-workspace.c,
	  libxfcegui4/netk-workspace.h, libxfcegui4/netk-xutils.c,
	  libxfcegui4/netk-xutils.h, libxfcegui4/preview_filesel.c,
	  libxfcegui4/preview_filesel.h, libxfcegui4/session-client.c,
	  libxfcegui4/session-client.h, libxfcegui4/xfce_clock.c,
	  libxfcegui4/xfce_clock.h, libxfcegui4/xfce_decorbutton.c,
	  libxfcegui4/xfce_decorbutton.h, libxfcegui4/xfce_decortoggle.c,
	  libxfcegui4/xfce_decortoggle.h, libxfcegui4/xfce_iconbutton.c,
	  libxfcegui4/xfce_iconbutton.h, libxfcegui4/xfce_menubutton.c,
	  libxfcegui4/xfce_menubutton.h, libxfcegui4/xfce_movehandler.c,
	  libxfcegui4/xfce_movehandler.h, libxfcegui4/xfce_systemtray.c,
	  libxfcegui4/xfce_systemtray.h, libxfcegui4/xfce_togglebutton.c,
	  libxfcegui4/xfce_togglebutton.h, libxfcegui4/xinerama.c,
	  libxfcegui4/xinerama.h:
	  Synchronize with libwnck (adds support to viewports, adds focus
	  to pager widget and some bug fixes)
	  Fix a bug I introduced in systray_check_running when adding
	  compatibility with gtk-2.0.x

2003-05-15 11:03  huysmans

	* ChangeLog:
	  Mass update of ChangeLogs

2003-05-15 06:37  xfce

	* configure, configure.ac, libxfcegui4/xinerama.c,
	  libxfcegui4/xinerama.h:
	  Add generic functions to get screen size (thus API addition)

2003-05-10 15:09  xfce

	* aclocal.m4, configure:
	  Regenerate configure script with latest Benny's libtool version

2003-05-08 19:52  huysmans

	* libxfcegui4/xfce_systemtray.c:
	  Systray fix

2003-05-08 14:41  xfce

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.ac, libxfcegui4/Makefile.in,
	  libxfcegui4/netk-trayicon.c, libxfcegui4/netk-trayicon.h,
	  libxfcegui4/xfce_systemtray.c, libxfcegui4/xfce_systemtray.h:
	  Remove gtk+-2.2 requirement, thus an API change in libxfcegui4
	  that jumps to version 0.22
	  Change xftaskbar accordingly.

2003-05-04 15:33  xfce

	* Makefile.in, libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/netk-application.c, libxfcegui4/netk-marshal.c,
	  libxfcegui4/netk-marshal.h, libxfcegui4/netk-pager.c,
	  libxfcegui4/netk-private.h, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-trayicon.c, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-workspace.c,
	  libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h,
	  libxfcegui4/xfce_marshal.c, libxfcegui4/xfce_marshal.h,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_systemtray.c:
	  Get rid of _netk_* and _xfce_* and use p_netk_* and p_xfce_* (p
	  is for "private")

2003-05-04 14:27  huysmans

	* Makefile.am, Makefile.in, aclocal.m4, config.guess, config.sub,
	  configure, libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  ltcf-c.sh, ltconfig, ltmain.sh:
	  Fix distcheck and rpm build targets

2003-05-02 23:16  bmeurer

	* configure, configure.ac:
	  Really requires gtk+ >= 2.2

2003-05-02 23:10  bmeurer

	* libxfcegui4/netk-trayicon.c, libxfcegui4/xfce_systemtray.c:
	  Finally get the balloon messages working.

2003-05-02 20:50  bmeurer

	* aclocal.m4, configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/netk-trayicon.c,
	  libxfcegui4/netk-trayicon.h, libxfcegui4/xfce_marshal.c,
	  libxfcegui4/xfce_marshal.h, libxfcegui4/xfce_marshal.list,
	  libxfcegui4/xfce_systemtray.c, m4/depends.m4:
	  Added netk-trayicon

2003-05-01 15:31  bmeurer

	* configure, configure.ac:
	  Increased version to 0.0.20

2003-05-01 15:27  bmeurer

	* libxfcegui4/netk-marshal.c, libxfcegui4/netk-marshal.h,
	  libxfcegui4/netk-marshal.list, libxfcegui4/xfce_marshal.c,
	  libxfcegui4/xfce_marshal.h, libxfcegui4/xfce_marshal.list,
	  libxfcegui4/xfce_systemtray.c, libxfcegui4/xfce_systemtray.h:
	  Added balloon messages to the system tray.

2003-05-01 10:42  bmeurer

	* aclocal.m4, configure, configure.ac:
	  Added i18n functions to libxfce4util.

2003-04-28 20:29  xfce

	* libxfcegui4/netk-pager.c:
	  wrap when reaching the first or last workspace when using scroll
	  wheel on the pager widget

2003-04-26 21:16  bmeurer

	* m4/depends.m4:
	  Updated BM_DEPEND_CHECK.

2003-04-26 11:52  bmeurer

	* m4/debug.m4:
	  Fixed a stupid typo.

2003-04-25 22:12  bmeurer

	* libxfcegui4/xfce_systemtray.c:
	  Two fixes, as suggested by Olivier.

2003-04-25 09:53  bmeurer

	* m4/depends.m4:
	  Updated depends.m4 and added macro for use with panel plugins.
	  Updated
	  libxfce4util to install the common m4 files into
	  $(datadir)/xfce4/m4.

2003-04-24 06:00  bmeurer

	* libxfcegui4/dialogs.c:
	  Make this stuff 64bit-clean.

2003-04-19 21:31  bmeurer

	* Makefile.in, aclocal.m4, configure, configure.ac,
	  libxfcegui4.spec.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/libxfcegui4-1.0.pc.in,
	  libxfcegui4/libxfcegui4.h, libxfcegui4/xfce_systemtray.c,
	  libxfcegui4/xfce_systemtray.h, ltcf-c.sh, ltconfig, ltmain.sh,
	  m4/X11.m4, m4/rpath.m4:
	  Added system tray support to libxfcegui4 and frontend to
	  xftaskbar4.
	  Lots of cleanups in the autotools stuff.

2003-04-18 20:48  xfce

	* configure, configure.ac, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/xfce_marshal.c,
	  libxfcegui4/xfce_marshal.h, libxfcegui4/xfce_marshal.list,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_movehandler.h:
	  Include Tobias' patch that adds signals to movehandler widget
	  Set version to 0.0.18 due to API addition

2003-04-17 21:55  xfce

	* Makefile.in, aclocal.m4, configure, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/netk-enum-types.c,
	  libxfcegui4/netk-enum-types.h, libxfcegui4/netk-marshal.c,
	  libxfcegui4/netk-marshal.h, libxfcegui4/netk-window.h, ltcf-c.sh,
	  ltconfig, ltmain.sh:
	  Stupid bug because of a wrong indent

2003-04-09 20:39  bmeurer

	* aclocal.m4, configure, m4/debug.m4:
	  Improved debug.m4:
	  
	  1) --disable-debug no longer disables assert()'s
	  2) --enable-profiling now enables profiling code
	  3) --disable-asserts allows disabling of assert()'s

2003-04-05 21:30  bmeurer

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.ac, depcomp, libxfcegui4/Makefile.in, ltconfig:
	  Fixed libxfce4util libtool verinfo.
	  Updated to automake 1.7.3.

2003-04-05 00:10  xfce

	* libxfcegui4/gtk_style.c, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/session-client.c, libxfcegui4/xfce_movehandler.c:
	  Revert last change in debug.h, use "??" instead of ((__const char
	  *)0)
	  Replace DBG() statements with TRACE() in libxfcegui4 and xfwm4
	  because it was generating far too much logs in simple debug mode
	  (use --enable-debug=full to get full traces)
	  Add params to TRACE() (just like in DBG())
	  Remove trailing CR in log messages

2003-04-03 22:08  bmeurer

	* m4/depends.m4:
	  Updated BM_DEPEND_CHECK to make it possible to disable the test

2003-04-03 21:34  bmeurer

	* aclocal.m4, m4/depends.m4:
	  Fixed BM_DEPEND_CHECK

2003-04-02 21:18  xfce

	* ChangeLog:
	  Update ChangeLog

2003-04-02 20:17  bmeurer

	* Makefile.in, README, aclocal.m4, config.h.in, configure,
	  configure.ac, libxfcegui4.spec.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/debug.h,
	  libxfcegui4/gtk_style.c, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/session-client.c, libxfcegui4/xfce_movehandler.c,
	  m4/debug.m4:
	  Debugging stuff now provided by libxfce4util. As a result of this
	  change
	  libxfcegui4 now depends on libxfce4util.
	  Some other updates.
	  added a hint to the libxfcegui4 README for Xinerama problems with
	  XFree86.

2003-04-02 17:33  bmeurer

	* aclocal.m4, configure, configure.ac, m4/X11.m4, m4/debug.m4,
	  m4/rpath.m4:
	  left-over autostuff for libxfce*, xfcs-mcs-* and xfce4

2003-04-02 16:01  bmeurer

	* m4/X11.m4:
	  Updated i18n stuff (libxfce4util now provides a i18n.h).
	  updated X11.m4
	  updated xfwm4 to compile well with -Werror -Wall
	  updated xfce-mcs-plugins and added a hint to the README for
	  XFree86 users

2003-04-02 13:24  bmeurer

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.ac,
	  libxfcegui4.spec.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/dialogs.c,
	  libxfcegui4/gtk_style.c, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/icons.c, libxfcegui4/netk-application.c,
	  libxfcegui4/netk-pager.c, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-tasklist.c, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-workspace.c,
	  libxfcegui4/netk-xutils.c, libxfcegui4/preview_filesel.c,
	  libxfcegui4/session-client.c, libxfcegui4/xfce_clock.c,
	  libxfcegui4/xfce_decorbutton.c, libxfcegui4/xfce_decortoggle.c,
	  libxfcegui4/xfce_iconbutton.c, libxfcegui4/xfce_menubutton.c,
	  libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_togglebutton.c,
	  libxfcegui4/xinerama.c, ltcf-c.sh, ltconfig, ltmain.sh,
	  m4/debug.m4, m4/depends.m4:
	  Large autotools update. Should fix James problems with
	  unsubstituted
	  @PKG_LDFLAGS@ in .pc files. Should also make it easier to port
	  XFce4 to
	  a non-POSIX (or even non-UNIX) plattform, using autoconf.

2003-03-27 21:36  xfce

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-screen.c,
	  libxfcegui4/xinerama.c:
	  Prefer gdk_screen[width|height] instead of XDisplay[Width|Height]

2003-03-27 20:32  xfce

	* ChangeLog:
	  Update ChangeLog

2003-03-24 18:18  xfce

	* libxfcegui4/netk-pager.c:
	  Test gtk version to use deprecated gdk pixbuf render functions,
	  update default theme.

2003-03-23 23:39  xfce

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/xfce_clock.c:
	  Remove soon to be deprecated gtk functions :
	  gtk_timeout_add()
	  gtk_timeout_remove()
	  gdk_pixbuf_render_to_drawable()
	  gdk_pixbuf_render_to_drawable_alpha()

2003-03-23 21:17  xfce

	* ChangeLog:
	  Update ChangeLog

2003-03-19 07:12  huysmans

	* autogen.sh:
	  Only add extra autogen parameters when none are given

2003-03-18 22:33  xfce

	* ChangeLog, Makefile.in, aclocal.m4, configure, ltcf-c.sh,
	  ltconfig, ltmain.sh:
	  Update ChangeLog
	  Update build scripts (ie rerun autogen.sh)
	  Update xfwm4's microdeck theme
	  Remove 1 pix border arround xffm menu bar

2003-03-15 11:15  bmeurer

	* Makefile.am, Makefile.in, aclocal.m4, autogen.sh, config.h.in,
	  configure, configure.ac, configure.in, libxfcegui4.spec.in,
	  libxfcegui4/Makefile.in, m4/depends.m4:
	  Autotools update.

2003-03-14 19:14  bmeurer

	* Makefile.in, aclocal.m4, autogen.sh, config.h.in, configure,
	  configure.in, libxfcegui4/Makefile.am, libxfcegui4/Makefile.in,
	  libxfcegui4/libxfcegui4-1.0.pc.in, m4/rpath.m4:
	  New -rpath stuff (to make debian people happy)

2003-03-13 20:39  xfce

	* ChangeLog:
	  Update Changelogs

2003-03-13 20:12  bmeurer

	* Makefile.in, aclocal.m4, configure, configure.in,
	  libxfcegui4/Makefile.in, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h, libxfcegui4/netk-pager.c,
	  libxfcegui4/netk-xutils.c, ltcf-c.sh, ltconfig, ltmain.sh,
	  m4/debug.m4:
	  Updated debug.m4, added new err/warn/info dialogs. Fixed two
	  things to make
	  gcc happy with -Wall -Werror.

2003-03-11 23:42  bmeurer

	* autogen.sh:
	  Prevent autogen.sh of replacing the LGPL COPYING file with GPL.

2003-03-09 21:26  xfce

	* libxfcegui4/netk-pager.c, libxfcegui4/netk-screen.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-xutils.c,
	  libxfcegui4/xinerama.c:
	  Don't show shaded windows in pager
	  Remove useless warnings

2003-03-09 20:15  huysmans

	* libxfcegui4/xfce_movehandler.c:
	  Learned math and fixed snapping code

2003-03-09 18:37  huysmans

	* libxfcegui4/xfce_movehandler.c, libxfcegui4/xfce_movehandler.h,
	  libxfcegui4/xinerama.h:
	  Edge center and corner snapping. Position saving fixes.

2003-03-09 14:56  xfce

	* COPYING, libxfcegui4/debug.h, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h, libxfcegui4/gtk_style.c,
	  libxfcegui4/gtk_style.h, libxfcegui4/gtktoxevent.c,
	  libxfcegui4/gtktoxevent.h, libxfcegui4/icons.c,
	  libxfcegui4/icons.h, libxfcegui4/preview_filesel.c,
	  libxfcegui4/preview_filesel.h, libxfcegui4/session-client.c,
	  libxfcegui4/session-client.h, libxfcegui4/xfce_clock.c,
	  libxfcegui4/xfce_clock.h, libxfcegui4/xfce_decorbutton.c,
	  libxfcegui4/xfce_decorbutton.h, libxfcegui4/xfce_decortoggle.c,
	  libxfcegui4/xfce_decortoggle.h, libxfcegui4/xfce_iconbutton.c,
	  libxfcegui4/xfce_iconbutton.h, libxfcegui4/xfce_menubutton.c,
	  libxfcegui4/xfce_menubutton.h, libxfcegui4/xfce_movehandler.c,
	  libxfcegui4/xfce_movehandler.h, libxfcegui4/xfce_togglebutton.c,
	  libxfcegui4/xfce_togglebutton.h, libxfcegui4/xinerama.c,
	  libxfcegui4/xinerama.h:
	  Change license to LGPL

2003-03-04 21:36  xfce

	* libxfcegui4/netk-pager.c:
	  Add desktop switch with mouse wheel on pager widget

2003-02-28 23:35  xfce

	* Makefile.in, aclocal.m4, configure, ltcf-c.sh, ltconfig,
	  ltmain.sh:
	  *** empty log message ***

2003-02-28 22:33  bmeurer

	* m4/X11.m4:
	  Fixed typo. I should really learn to type :-)

2003-02-28 22:23  bmeurer

	* debian/rules:
	  Disable use of -rpath with Debian.

2003-02-28 22:19  bmeurer

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.in,
	  libxfcegui4/Makefile.in, ltmain.sh, m4/X11.m4, m4/rpath.m4:
	  Added --disable-rpath option for broken systems.

2003-02-28 21:08  xfce

	* Makefile.in, config.h.in, libxfcegui4/Makefile.in, ltmain.sh:
	  Revert the revert on Benny's changes regarding xfce-mcs-manager
	  version against API/ABI version (ie read, I put back Benny's
	  change)

2003-02-28 18:39  xfce

	* aclocal.m4, configure:
	  Fix xfce-mcs-manager API/ABI versionning
	  Update configure/libtool to use libtool 1.4.3

2003-02-28 18:04  bmeurer

	* Makefile.in, config.h.in, libxfcegui4/Makefile.in, ltmain.sh:
	  Fixes libtool problem.

2003-02-28 13:54  bmeurer

	* ltcf-c.sh, ltconfig:
	  Updated libtool.

2003-02-28 10:32  bmeurer

	* aclocal.m4:
	  Disable xinerama by default.

2003-02-28 10:31  bmeurer

	* configure, m4/X11.m4:
	  Disable xinerama by default. Keeps system without shared
	  libXinerama from
	  running into trouble by default :-)

2003-02-27 21:58  bmeurer

	* configure.in, m4/debug.m4:
	  Update debug handling (see notes for libxfce4mcs)

2003-02-27 21:48  xfce

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  depcomp, libxfcegui4/Makefile.in:
	  Updates (I'm sure you wouldn't have guessed)

2003-02-27 18:53  huysmans

	* ChangeLog, Makefile.am, Makefile.in, acconfig.h, aclocal.m4,
	  autogen.sh, config.guess, config.h.in, config.sub, configure,
	  configure.in, depcomp, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/libxfcegui4-1.0.pc.in,
	  libxfcegui4/xinerama.c, libxfcegui4/xinerama.h, m4, m4/X11.m4,
	  m4/debug.m4:
	  Autotools update by Benedikt Meurer

2003-02-26 07:17  xfce

	* Makefile.in, configure, libxfcegui4/Makefile.in:
	  Apply Benedikt Meurer <Benedikt.Meurer@unix-ag.uni-siegen.de>
	  patch
	  Replace all occurences of g_getenv("HOME") with g_get_home_dir()
	  Regenerate all Makefiles.on and configure scripts

2003-02-25 21:23  huysmans

	* autogen.sh:
	  Fix proper use of AC_PROG_LIBTOOL

2003-02-25 20:17  jensl

	* configure.in:
	  replaced AM_PROG_LIBTOOL -> AC_PROG_LIBTOOL

2003-02-25 20:03  jensl

	* Makefile.am, configure.in:
	  <benny> ok, I think I found the problem with libtool beeing bogus
	  under certain conditions, atleast for libxfcegui4...

2003-02-24 21:42  jensl

	* configure.in:
	  libxfcegui4 X11 rpath handling

2003-02-23 19:39  huysmans

	* libxfcegui4/libxfcegui4-1.0.pc.in:
	  Add correct ELF path handling. Thanks to Benedikt Meurer.

2003-02-23 16:28  jensl

	* libxfcegui4/libxfcegui4-1.0.pc.in:
	  applied patch to fix pkg-config issue

2003-02-16 17:15  xfce

	* libxfcegui4/preview_filesel.c:
	  Fix deprecated gdk_pixbuf_ref() call

2003-02-14 10:41  xfce

	* libxfcegui4/dialogs.c:
	  Remove unsecure expand_path() function

2003-02-11 19:49  xfce

	* ChangeLog:
	  Update ChangeLog

2003-02-11 16:41  xfce

	* libxfcegui4/dialogs.c:
	  Just free var as soon as possible

2003-02-10 12:00  xfce

	* libxfcegui4/dialogs.c:
	  Whoops, forgot to remove a g_strfreev() on argv passed to
	  exec_command_full_with_envp()

2003-02-10 11:56  xfce

	* configure, configure.in, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h:
	  Add exec_command_full_with_envp()

2003-02-07 16:13  xfce

	* libxfcegui4/netk-tasklist.c, libxfcegui4/xfce_clock.c:
	  Replace gtk_timeout_remove() by g_source_remove()

2003-02-05 13:21  xfce

	* libxfcegui4/dialogs.c, libxfcegui4/netk-pager.c,
	  libxfcegui4/netk-tasklist.h:
	  Cleanup

2003-02-03 20:17  xfce

	* libxfcegui4/gtk_style.c:
	  Use widget colormap instead of system colormap

2003-02-03 10:42  xfce

	* libxfcegui4/gtk_style.c:
	  Use real allocated gtk color instead of r/g/b value

2003-01-30 20:22  jensl

	* .cvsignore, libxfcegui4/.cvsignore:
	  *** empty log message ***

2003-01-30 18:15  jensl

	* libxfcegui4, libxfcegui4/.cvsignore:
	  added cvsignore file

2003-01-30 18:13  jensl

	* ., .cvsignore:
	  added .cvsignore file

2003-01-29 21:18  xfce

	* libxfcegui4/session-client.c:
	  Fixed problem with session management

2003-01-27 10:41  xfce

	* Makefile.am, Makefile.in, autogen.sh, configure, configure.in,
	  libxfcegui4/Makefile.in:
	  Update Makefiles

2003-01-26 21:19  xfce

	* configure, configure.in, libxfcegui4/netk-util.c,
	  libxfcegui4/netk-util.h:
	  API addition: add netk_gtk_window_avoid_input() used by xftaskbar
	  and xfdesktop

2003-01-23 10:59  xfce

	* INSTALL, autogen.sh, config.guess, config.sub, install-sh,
	  mkinstalldirs:
	  Update auto* stuff

2003-01-22 21:41  xfce

	* Makefile.in, aclocal.m4, autogen.sh, configure, configure.in,
	  libxfcegui4/Makefile.in, libxfcegui4/dialogs.c,
	  libxfcegui4/dialogs.h:
	  Update autogen.sh script,
	  Add a new function "small_label(const gchar*)" to dialog.[ch]
	  Kick version .14

2003-01-17 23:54  xfce

	* config.h.in, configure, configure.in:
	  configure stuff

2003-01-12 14:48  xfce

	* configure, configure.in, libxfcegui4/Makefile.am,
	  libxfcegui4/Makefile.in, libxfcegui4/dialogs.h,
	  libxfcegui4/icons.c, libxfcegui4/icons.h,
	  libxfcegui4/libxfcegui4.h:
	  API addition :
	  
	  GdkPixbuf *inline_icon_at_size(const guint8 *data, int width, int
	  height);
	  
	  Bug fixes :
	  
	  Includes in dialogs.h

2003-01-11 23:03  xfce

	* configure, configure.in, libxfcegui4/Makefile.in,
	  libxfcegui4/netk-private.h, libxfcegui4/netk-screen.c:
	  Fixes

2003-01-11 22:47  xfce

	* libxfcegui4/netk-application.c, libxfcegui4/netk-pager.c,
	  libxfcegui4/netk-pager.h, libxfcegui4/netk-tasklist.c,
	  libxfcegui4/netk-window.c, libxfcegui4/netk-window.h,
	  libxfcegui4/netk-workspace.c, libxfcegui4/netk-workspace.h,
	  libxfcegui4/netk-xutils.c, libxfcegui4/netk-xutils.h:
	  Sync with libwnck from CVS

2003-01-11 21:33  xfce

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  libxfcegui4/Makefile.am, libxfcegui4/Makefile.in, ltmain.sh:
	  Make sure "make rpm" works

2003-01-11 15:44  xfce

	* TODO:
	  *** empty log message ***

2003-01-09 22:35  xfce

	* libxfcegui4/dialogs.c:
	  Add code to update header colors on theme change

2003-01-09 10:25  xfce

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	  configure.in, libxfcegui4/Makefile.in, ltmain.sh:
	  Version .10

2003-01-08 14:52  huysmans

	* libxfcegui4/dialogs.c:
	  Remove separator from dialogs

2003-01-08 13:16  huysmans

	* ChangeLog, libxfcegui4/dialogs.c:
	  Add new header to xfce4 plugin and add a bit more border

2003-01-08 09:55  huysmans

	* libxfcegui4/dialogs.c, libxfcegui4/dialogs.h:
	  Add create_header() function to libgui and sort plugins in
	  settings manager dialog

2003-01-05 15:54  huysmans

	* ChangeLog, Makefile.in, aclocal.m4, config.guess, config.sub,
